<?php if (!defined('ABSPATH')) {
    die;
} // Cannot access pages directly.

$options = array();

$options[] = array(
    'id' => 'phoxy_post_options',
    'title' => 'Post preview settings',
    'post_type' => 'post',
    'context' => 'normal',
    'priority' => 'default',
    'sections' => array(
	    array(
		    'name' => 'general_post_options',
		    'title' => 'General Post Options',
		    'fields' => array(
                array(
                    'id' => 'post_preview_style',
                    'type' => 'select',
                    'title' => 'Preview style',
                    'options' => array(
                        'image' => 'Post image',
                        'text' => 'Quote',
                        'video' => 'Video',
                        'slider' => 'Image slider',
                        'link' => 'Link'
                    ),
                    'default' => array('image')
                ),
                
                array(
                    'id' => 'post_preview_text',
                    'type' => 'wysiwyg',
                    'title' => 'Post preview text',
                    'dependency' => array('post_preview_style', '==', 'text')
                ),
	            array(
		            'id' => 'post_preview_author',
		            'type' => 'text',
		            'title' => 'Author',
		            'dependency' => array('post_preview_style', '==', 'text')
	            ),
	            array(
		            'id' => 'post_preview_link',
		            'type' => 'text',
		            'title' => 'Link',
		            'dependency' => array('post_preview_style', '==', 'link')
	            ),
                array(
                    'id' => 'post_preview_video',
                    'type' => 'text',
                    'title' => 'Video url from Youtube',
                    'dependency' => array('post_preview_style', '==', 'video')
                ),
                array(
                    'id' => 'post_preview_slider',
                    'type' => 'gallery',
                    'title' => 'Slider images',
                    'add_title' => 'Add Images',
                    'edit_title' => 'Edit Images',
                    'clear_title' => 'Remove Images',
                    'dependency' => array('post_preview_style', '==', 'slider')
                ),
            )
        )
    )
);


$options[] = array(
    'id' => 'phoxy_whizzy_options',
    'title' => 'Gallery additional options',
    'post_type' => 'whizzy_proof_gallery',
    'context' => 'normal',
    'priority' => 'high',
    'sections' => array(
	    array(
		    'name' => 'general_portfolio_options',
		    'title' => 'Gallery Options',
		    'fields' => array(
			    array(
				    'id'        => 'portfolio_style',
				    'type'      => 'image_select',
				    'title'     => 'Gallery Style:',
				    'options'   => array(
					    'classic'   => EF_URL . '/admin/assets/images/cs_images/whizzy-classic.jpg',
					    'modern'   => EF_URL . '/admin/assets/images/cs_images/whizzy-modern.jpg',
				    ),
				    'radio'     => true,
				    'attributes'   => array(
					    'data-depend-id' => 'portfolio_style',
				    ),
				    'default' => 'classic',
				    'desc' => 'Choose style for gallery'
			    ),
			    array(
				    'id'        => 'portfolio_protected_style',
				    'type'      => 'image_select',
				    'title'     => 'Gallery Protected Style:',
				    'options'   => array(
					    'classic'   => EF_URL . '/admin/assets/images/cs_images/protected-classic.jpg',
					    'modern'   => EF_URL . '/admin/assets/images/cs_images/protected-modern.jpg',
				    ),
				    'radio'     => true,
				    'attributes'   => array(
					    'data-depend-id' => 'portfolio_protected_style',
				    ),
				    'default' => 'classic',
				    'desc' => 'Choose style for gallery protected page'
			    ),
			    array(
				    'id'         => 'protected_bg',
				    'type'       => 'upload',
				    'title'      => 'Background image for Gallery Protected Page',
				    'default'    => '',
				    'desc'       => 'Upload background image for Gallery Protected Page.',
				    'dependency' => array( 'portfolio_protected_style', '==', 'modern' ),
			    ),
			    array(
				    'id' => 'protected_descr',
				    'type' => 'textarea',
				    'title' => 'Protected Description',
				    'dependency' => array( 'portfolio_protected_style', '==', 'modern' ),
			    ),
		    )
	    ),
	    array(
	        'name' => 'header_portfolio_options',
	        'title' => 'Header Portfolio Options',
	        'fields' => array(
		        array(
			        'id'      => 'page_menu',
			        'type'    => 'select',
			        'title'   => 'Page menu',
			        'options' => phoxy_get_menus(),
			        'default' => array( 'none' )
		        ),
		        array(
			        'id' => 'change_menu',
			        'type' => 'switcher',
			        'title' => 'Change menu style for this page?',
			        'default' => false
		        ),
		        array(
			        'id'        => 'menu_style',
			        'type'      => 'image_select',
			        'title'     => 'Menu style:',
			        'options'   => array(
				        'classic'    => EF_URL . '/admin/assets/images/cs_images/menu_classic.jpg',
				        'simple'    => EF_URL . '/admin/assets/images/cs_images/menu_simple.jpg',
				        'aside'   => EF_URL . '/admin/assets/images/cs_images/menu_aside.jpg',
				        'static_aside'   => EF_URL . '/admin/assets/images/cs_images/menu_static_aside.jpg',
				        'only_logo'   => EF_URL . '/admin/assets/images/cs_images/menu_only_logo.jpg',
			        ),
			        'radio'     => true,
			        'attributes'   => array(
				        'data-depend-id' => 'menu_style',
			        ),
			        'default'   => 'classic',
			        'desc' => 'Choose menu style',
			        'dependency' => array( 'change_menu', '==', true ),
		        ),
		        array(
			        'id' => 'hide_menu',
			        'type' => 'switcher',
			        'title' => 'Hide menu, but not for scroll?',
			        'default' => false,
			        'dependency' => array( 'change_menu|menu_style', '==|any', 'true|classic,simple' ),
		        ),
		        array(
			        'id'         => 'bg_static_menu',
			        'type'       => 'upload',
			        'title'      => 'Background image for Static Menu',
			        'default'    => '',
			        'desc'       => 'Upload background image for menu section.',
			        'dependency' => array( 'menu_style', '==', 'static_aside' ),
		        ),
		        array(
			        'id' => 'scroll_bg_menu',
			        'type' => 'switcher',
			        'title' => 'Change style menu on scroll for dark style?',
			        'desc' => 'Only for Classic and Simple menu style.',
			        'default' => false
		        ),
		        array(
			        'id'      => 'menu_container',
			        'type'    => 'switcher',
			        'title'   => 'Menu in container?',
			        'default' => false,
			        'dependency' => array( 'menu_style|change_menu', 'any|==', 'classic,simple|true' )
		        ),
		        array(
			        'id'      => 'full_width_menu',
			        'type'    => 'switcher',
			        'title'   => 'Full width menu',
			        'default' => false,
			        'dependency' => array( 'menu_style|change_menu', '==|==', 'left|true' ),
		        ),
		        array(
			        'id'      => 'aside_open',
			        'type'    => 'switcher',
			        'title'   => 'Open menu by default',
			        'default' => false,
			        'dependency' => array( 'menu_style|change_menu', '==|==', 'aside|true' ),
		        ),
		        array(
			        'id'    => 'style_header',
			        'type'  => 'select',
			        'title' => 'Select header style',
			        'options' => array(
				        'empty'     => "Isn`t chosen",
				        'default'     => 'Default',
				        'fixed'       => 'Fixed',
				        'transparent' => 'Fixed transparent',
				        'not_fixed_but_transparent' => 'Not Fixed, but transparent',
				        'none' => 'None'
			        ),
			        'default' => 'empty',
			        'desc' => 'Only for Classic, Simple and Only Logo menu style.',
		        ),
		        array(
			        'id' => 'menu_light_text',
			        'type' => 'switcher',
			        'title' => 'Light text on menu',
			        'label' => 'Do you want to it ?',
			        'default' => false,
			        'dependency' => array('menu_style|style_header', 'any|any', 'left,classic,simple|transparent,not_fixed_but_transparent'),
		        ),
		        array(
			        'id' => 'image_page_logo',
			        'type' => 'upload',
			        'title' => 'Site Logo',
			        'default' => '',
			        'desc' => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
		        ),
		        array(
			        'id'         => 'image_logo_scroll',
			        'type'       => 'upload',
			        'title'      => 'Site Logo on scroll',
			        'default'    => '',
			        'desc' => 'Only if options "Type of site logo" = "Image Logo"(Themes Options) and "Header style" = "Fixed transparent". Upload any media using the WordPress Native Uploader.',
		        ),
		        array(
			        'id'         => 'image_logo_mobile',
			        'type'       => 'upload',
			        'title'      => 'Site Logo on mobile',
			        'default'    => '',
			        'desc' => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
		        ),
		        array(
			        'id'      => 'header_scroll_bg',
			        'type'    => 'color_picker',
			        'title'   => 'Change Header Scroll Background Color',
			        'default' => '',
			        'desc' => 'Only if options "Change style menu on scroll for dark style?" = "Off" and "Header style" = "Fixed transparent".'
		        ),
		        array(
			        'id'      => 'header_scroll_text',
			        'type'    => 'color_picker',
			        'title'   => 'Change Header Scroll Text Color',
			        'default' => '',
			        'desc' => 'Only if options "Change style menu on scroll for dark style?" = "Off" and "Header style" = "Fixed transparent".'
		        ),
	        )
	        ),
	    array(
		    'name' => 'footer_portfolio_options',
		    'title' => 'Footer Portfolio Options',
		    'fields' => array(
			    // Footer with margin bottom.
			    array(
				    'id'        => 'phoxy_footer_style',
				    'type'      => 'image_select',
				    'title'     => 'Footer style:',
				    'options'   => array(
					    'modern'    => EF_URL . '/admin/assets/images/cs_images/footer-modern.jpg',
					    'classic'   => EF_URL . '/admin/assets/images/cs_images/footer-classic.jpg',
				    ),
				    'radio'     => true,
				    'attributes'   => array(
					    'data-depend-id' => 'phoxy_footer_style',
				    ),
				    'default'   => 'modern',
				    'desc' => 'Choose style for Footer'
			    ),
			    array(
				    'id' => 'fixed_transparent_footer',
				    'type' => 'switcher',
				    'title' => 'Fixed and tranparent footer',
				    'label' => 'Do you want to it ?',
				    'default' => false
			    ),
			    array(
				    'id'      => 'enable_parallax_footer_page',
				    'type'    => 'switcher',
				    'title'   => 'Enable Parallax Footer',
				    'default' => false,
				    'dependency' => array( 'fixed_transparent_footer|phoxy_footer_style', '==|!=', 'false|classic' ),
			    ),
			    array(
				    'id'      => 'footer_color',
				    'type'    => 'color_picker',
				    'title'   => 'Change Footer Background Color',
				    'default' => '',
			    ),
			    array(
				    'id'      => 'enable_footer_copy_page',
				    'type'    => 'switcher',
				    'title'   => 'Enable Footer copyright',
				    'default' => false,
				    'dependency' => array( 'phoxy_footer_style', '!=', 'classic' ),
			    ),
			    array(
				    'id'             => 'phoxy_copyright_align',
				    'type'           => 'select',
				    'title'          => 'Copyright align',
				    'options'    => array(
					    'center' => 'center',
					    'right'  => 'right',
					    'left' => 'left',
				    ),
				    'dependency' => array( 'enable_footer_copy_page|phoxy_footer_style', '==|!=', 'true|classic' ),
			    ),
		    )
	    )
    )
);




$options[] = array(
    'id' => 'phoxy_portfolio_options',
    'title' => 'Portfolio details',
    'post_type' => 'portfolio',
    'context' => 'normal',
    'priority' => 'high',
    'sections' => array(
	    array(
		    'name' => 'general_portfolio_options',
		    'title' => 'General Portfolio Options',
		    'fields' => array(
			    array(
				    'id' => 'slider',
				    'type' => 'gallery',
				    'title' => 'Image gallery',
				    'add_title' => 'Add Images',
				    'edit_title' => 'Edit Images',
				    'clear_title' => 'Remove Images',
			    ),
			    array(
				    'id' => 'portfolio_img_size',
				    'type' => 'select',
				    'title' => 'Select size for images of gallery',
				    'options' => array_merge(array('full'),get_intermediate_image_sizes()),
				    'default'  => 'full',
			    ),

			    array(
				    'id'        => 'portfolio_style',
				    'type'      => 'image_select',
				    'title'     => 'Select style for gallery:',
				    'options'   => array(
					    'parallax'    => EF_URL . '/admin/assets/images/cs_images/portfolio-parallax.jpg',
					    'masonry' => EF_URL . '/admin/assets/images/cs_images/portfolio-masonry.jpg',
					    'grid' => EF_URL . '/admin/assets/images/cs_images/portfolio-grid.jpg',
					    'full_screen' => EF_URL . '/admin/assets/images/cs_images/portfolio-full_screen.jpg',
					    'full_slider' => EF_URL . '/admin/assets/images/cs_images/portfolio-full_slider.jpg',
					    'metro_2' => EF_URL . '/admin/assets/images/cs_images/portfolio-metro_2.jpg',
					    'metro_3' => EF_URL . '/admin/assets/images/cs_images/portfolio-metro_3.jpg',
					    'another' => EF_URL . '/admin/assets/images/cs_images/portfolio-another.jpg'
				    ),
				    'radio'     => true,
				    'attributes'   => array(
					    'data-depend-id' => 'portfolio_style',
				    ),
				    'default'   => 'parallax',
				    'desc' => 'Choose style for gallery'
			    ),

			    array(
				    'id'             => 'gallery_column',
				    'type'           => 'select',
				    'title'          => 'Select count of columns for gallery',
				    'options'    => array(
					    'col-4' => 'Four',
					    'col-3'  => 'Three',
					    'col-6' => 'Two',
				    ),
				    'default' => 'col-4',
				    'dependency' => array('portfolio_style', 'any', 'masonry,grid,full_screen'),
			    ),
			    array(
				    'id'             => 'gallery_hover',
				    'type'           => 'select',
				    'title'          => 'Select hover for gallery',
				    'options'    => array(
					    'default' => 'Default',
					    'hover1'  => 'Zoom Out',
					    'hover2' => 'Slide',
					    'hover3' => 'Rotate',
					    'hover4' => 'Blur',
					    'hover5' => 'Gray Scale',
					    'hover6' => 'Sepia',
					    'hover7' => 'Blur + Gray Scale',
					    'hover8' => 'Opacity',
					    'hover9' => 'Shine',
				    ),
				    'default' => 'default',
				    'dependency' => array('portfolio_style', 'any', 'masonry,grid,full_screen,metro_2,metro_3'),
			    ),
			    array(
				    'id' => 'portfolio_btn',
				    'type' => 'text',
				    'title' => 'Additional button',
				    'default' => '',
				    'dependency' => array('portfolio_style', 'any', 'simple'),
			    ),
			    array(
				    'id' => 'portfolio_btn_url',
				    'type' => 'text',
				    'title' => 'Additional button URL',
				    'default' => '',
				    'dependency' => array('portfolio_style', 'any', 'simple'),
			    ),
			    array(
				    'id' => 'btn_style',
				    'type' => 'select',
				    'title' => 'Button style',
				    'options' => array(
					    'a-btn'   => 'Dark',
					    'a-btn-2' => 'Light',
					    'a-btn-3' => 'Grey',
					    'a-btn-4' => 'White'
				    ),
				    'dependency' => array('portfolio_style', 'any', 'simple'),
			    ),
			    array(
				    'id' => 'phoxy_navigation_portfolio',
				    'type' => 'switcher',
				    'title' => 'Navigation in portfolio post',
				    'default' => true
			    ),
			    array(
				    'id' => 'ext_link',
				    'type' => 'text',
				    'title' => 'External link',
			    ),
			    array(
				    'id'        => 'portfolio_protected_style',
				    'type'      => 'image_select',
				    'title'     => 'Gallery Protected Style:',
				    'options'   => array(
					    'classic'   => EF_URL . '/admin/assets/images/cs_images/protected-classic.jpg',
					    'modern'   => EF_URL . '/admin/assets/images/cs_images/protected-modern.jpg',
				    ),
				    'radio'     => true,
				    'attributes'   => array(
					    'data-depend-id' => 'portfolio_protected_style',
				    ),
				    'default' => 'classic',
				    'desc' => 'Choose style for gallery protected page'
			    ),
			    array(
				    'id'         => 'protected_bg',
				    'type'       => 'upload',
				    'title'      => 'Background image for Gallery Protected Page',
				    'default'    => '',
				    'desc'       => 'Upload background image for Gallery Protected Page.',
				    'dependency' => array( 'portfolio_protected_style', '==', 'modern' ),
			    ),
			    array(
				    'id' => 'protected_descr',
				    'type' => 'textarea',
				    'title' => 'Protected Description',
				    'dependency' => array( 'portfolio_protected_style', '==', 'modern' ),
			    ),

		    )
	    ),
	    array(
		    'name' => 'header_portfolio_options',
		    'title' => 'Header Portfolio Options',
		    'fields' => array(
			    array(
				    'id'      => 'page_menu',
				    'type'    => 'select',
				    'title'   => 'Page menu',
				    'options' => phoxy_get_menus(),
				    'default' => array( 'none' )
			    ),
			    array(
				    'id' => 'change_menu',
				    'type' => 'switcher',
				    'title' => 'Change menu style for this page?',
				    'default' => false
			    ),
			    array(
				    'id'        => 'menu_style',
				    'type'      => 'image_select',
				    'title'     => 'Menu style:',
				    'options'   => array(
					    'classic'    => EF_URL . '/admin/assets/images/cs_images/menu_classic.jpg',
					    'simple'    => EF_URL . '/admin/assets/images/cs_images/menu_simple.jpg',
					    'aside'   => EF_URL . '/admin/assets/images/cs_images/menu_aside.jpg',
					    'static_aside'   => EF_URL . '/admin/assets/images/cs_images/menu_static_aside.jpg',
					    'only_logo'   => EF_URL . '/admin/assets/images/cs_images/menu_only_logo.jpg',
				    ),
				    'radio'     => true,
				    'attributes'   => array(
					    'data-depend-id' => 'menu_style',
				    ),
				    'default'   => 'classic',
				    'desc' => 'Choose menu style',
				    'dependency' => array( 'change_menu', '==', true ),
			    ),
			    array(
				    'id' => 'hide_menu',
				    'type' => 'switcher',
				    'title' => 'Hide menu, but not for scroll?',
				    'default' => false,
				    'dependency' => array( 'change_menu|menu_style', '==|any', 'true|classic,simple' ),
			    ),
			    array(
				    'id'         => 'bg_static_menu',
				    'type'       => 'upload',
				    'title'      => 'Background image for Static Menu',
				    'default'    => '',
				    'desc'       => 'Upload background image for menu section.',
				    'dependency' => array( 'menu_style', '==', 'static_aside' ),
			    ),
			    array(
				    'id' => 'scroll_bg_menu',
				    'type' => 'switcher',
				    'title' => 'Change style menu on scroll for dark style?',
				    'desc' => 'Only for Classic and Simple menu style.',
				    'default' => false
			    ),
			    array(
				    'id'      => 'menu_container',
				    'type'    => 'switcher',
				    'title'   => 'Menu in container?',
				    'default' => false,
				    'dependency' => array( 'menu_style|change_menu', 'any|==', 'classic,simple|true' )
			    ),
			    array(
				    'id'      => 'full_width_menu',
				    'type'    => 'switcher',
				    'title'   => 'Full width menu',
				    'default' => false,
				    'dependency' => array( 'menu_style|change_menu', '==|==', 'left|true' ),
			    ),
			    array(
				    'id'      => 'aside_open',
				    'type'    => 'switcher',
				    'title'   => 'Open menu by default',
				    'default' => false,
				    'dependency' => array( 'menu_style|change_menu', '==|==', 'aside|true' ),
			    ),
			    array(
				    'id'    => 'style_header',
				    'type'  => 'select',
				    'title' => 'Select header style',
				    'options' => array(
					    'empty'     => "Isn`t chosen",
					    'default'     => 'Default',
					    'fixed'       => 'Fixed',
					    'transparent' => 'Fixed transparent',
					    'not_fixed_but_transparent' => 'Not Fixed, but transparent',
					    'none' => 'None'
				    ),
				    'default' => 'empty',
				    'desc' => 'Only for Classic, Simple and Only Logo menu style.',
			    ),
			    array(
				    'id' => 'menu_light_text',
				    'type' => 'switcher',
				    'title' => 'Light text on menu',
				    'label' => 'Do you want to it ?',
				    'default' => false,
				    'dependency' => array('menu_style|style_header', 'any|any', 'left,classic,simple|transparent,not_fixed_but_transparent'),
			    ),
			    array(
				    'id' => 'image_page_logo',
				    'type' => 'upload',
				    'title' => 'Site Logo',
				    'default' => '',
				    'desc' => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
			    ),
			    array(
				    'id'         => 'image_logo_scroll',
				    'type'       => 'upload',
				    'title'      => 'Site Logo on scroll',
				    'default'    => '',
				    'desc' => 'Only if options "Type of site logo" = "Image Logo"(Themes Options) and "Header style" = "Fixed transparent". Upload any media using the WordPress Native Uploader.',
			    ),
			    array(
				    'id'         => 'image_logo_mobile',
				    'type'       => 'upload',
				    'title'      => 'Site Logo on mobile',
				    'default'    => '',
				    'desc' => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
			    ),
			    array(
				    'id'      => 'header_scroll_bg',
				    'type'    => 'color_picker',
				    'title'   => 'Change Header Scroll Background Color',
				    'default' => '',
				    'desc' => 'Only if options "Change style menu on scroll for dark style?" = "Off" and "Header style" = "Fixed transparent".'
			    ),
			    array(
				    'id'      => 'header_scroll_text',
				    'type'    => 'color_picker',
				    'title'   => 'Change Header Scroll Text Color',
				    'default' => '',
				    'desc' => 'Only if options "Change style menu on scroll for dark style?" = "Off" and "Header style" = "Fixed transparent".'
			    ),
		    )
	    ),
	    array(
		    'name' => 'footer_portfolio_options',
		    'title' => 'Footer Portfolio Options',
		    'fields' => array(
			    // Footer with margin bottom.
			    array(
				    'id'        => 'phoxy_footer_style',
				    'type'      => 'image_select',
				    'title'     => 'Footer style:',
				    'options'   => array(
					    'modern'    => EF_URL . '/admin/assets/images/cs_images/footer-modern.jpg',
					    'classic'   => EF_URL . '/admin/assets/images/cs_images/footer-classic.jpg',
				    ),
				    'radio'     => true,
				    'attributes'   => array(
					    'data-depend-id' => 'phoxy_footer_style',
				    ),
				    'default'   => 'modern',
				    'desc' => 'Choose style for Footer'
			    ),
			    array(
				    'id' => 'fixed_transparent_footer',
				    'type' => 'switcher',
				    'title' => 'Fixed and tranparent footer',
				    'label' => 'Do you want to it ?',
				    'default' => false
			    ),
			    array(
				    'id'      => 'enable_parallax_footer_page',
				    'type'    => 'switcher',
				    'title'   => 'Enable Parallax Footer',
				    'default' => false,
				    'dependency' => array( 'fixed_transparent_footer|phoxy_footer_style', '==|!=', 'false|classic' ),
			    ),
			    array(
				    'id'      => 'footer_color',
				    'type'    => 'color_picker',
				    'title'   => 'Change Footer Background Color',
				    'default' => '',
			    ),
			    array(
				    'id'      => 'enable_footer_copy_page',
				    'type'    => 'switcher',
				    'title'   => 'Enable Footer copyright',
				    'default' => false,
				    'dependency' => array( 'phoxy_footer_style', '!=', 'classic' ),
			    ),
			    array(
				    'id'             => 'phoxy_copyright_align',
				    'type'           => 'select',
				    'title'          => 'Copyright align',
				    'options'    => array(
					    'center' => 'center',
					    'right'  => 'right',
					    'left' => 'left',
				    ),
				    'dependency' => array( 'enable_footer_copy_page|phoxy_footer_style', '==|!=', 'true|classic' ),
			    ),
		    )
	    )
    )
);

$options[] = array(
    'id' => '_custom_page_options',
    'title' => 'Custom Options',
    'post_type' => 'page', // or post or CPT
    'context' => 'normal',
    'priority' => 'default',
    'sections' => array(
	    array(
		    'name' => 'header_page_options',
		    'title' => 'Header Page Options',
		    'fields' => array(
			    array(
				    'id'      => 'page_menu',
				    'type'    => 'select',
				    'title'   => 'Page menu',
				    'options' => phoxy_get_menus(),
				    'default' => array( 'none' )
			    ),
			    array(
				    'id' => 'change_menu',
				    'type' => 'switcher',
				    'title' => 'Change menu style for this page?',
				    'default' => false
			    ),
			    array(
				    'id'        => 'menu_style',
				    'type'      => 'image_select',
				    'title'     => 'Menu style:',
				    'options'   => array(
					    'classic'    => EF_URL . '/admin/assets/images/cs_images/menu_classic.jpg',
					    'simple'    => EF_URL . '/admin/assets/images/cs_images/menu_simple.jpg',
					    'aside'   => EF_URL . '/admin/assets/images/cs_images/menu_aside.jpg',
					    'static_aside'   => EF_URL . '/admin/assets/images/cs_images/menu_static_aside.jpg',
					    'only_logo'   => EF_URL . '/admin/assets/images/cs_images/menu_only_logo.jpg',
				    ),
				    'radio'     => true,
				    'attributes'   => array(
					    'data-depend-id' => 'menu_style',
				    ),
				    'default'   => 'classic',
				    'desc' => 'Choose menu style',
				    'dependency' => array( 'change_menu', '==', true ),
			    ),
			    array(
				    'id'      => 'static_right',
				    'type'    => 'switcher',
				    'title'   => 'Change Static Aside menu for right side?',
				    'default' => false,
				    'desc' => 'Static Aside menu will be align on right side',
				    'dependency' => array( 'change_menu|menu_style', '==|==', 'true|static_aside' )
			    ),
			    array(
				    'id'      => 'menu_bottom',
				    'type'    => 'switcher',
				    'title'   => 'Change align menu for bottom side?',
				    'default' => false,
				    'desc' => 'Menu will be align on bottom',
				    'dependency' => array( 'change_menu|menu_style', '==|any', 'true|classic,simple' )
			    ),
			    array(
				    'id'         => 'bg_static_menu',
				    'type'       => 'upload',
				    'title'      => 'Background image for Static Menu',
				    'default'    => '',
				    'desc'       => 'Upload background image for menu section.',
				    'dependency' => array( 'menu_style', '==', 'static_aside' ),
			    ),
			    array(
				    'id' => 'scroll_bg_menu',
				    'type' => 'switcher',
				    'title' => 'Change style menu on scroll for dark style?',
				    'desc' => 'Only for Classic and Simple menu style.',
				    'default' => false
			    ),
			    array(
				    'id'      => 'menu_container',
				    'type'    => 'switcher',
				    'title'   => 'Menu in container?',
				    'default' => false,
				    'dependency' => array( 'menu_style|change_menu', 'any|==', 'classic,simple|true' )
			    ),
			    array(
				    'id'      => 'full_width_menu',
				    'type'    => 'switcher',
				    'title'   => 'Full width menu',
				    'default' => false,
				    'dependency' => array( 'menu_style|change_menu', '==|==', 'left|true' ),
			    ),
			    array(
				    'id'      => 'aside_open',
				    'type'    => 'switcher',
				    'title'   => 'Open menu by default',
				    'default' => false,
				    'dependency' => array( 'menu_style|change_menu', '==|==', 'aside|true' ),
			    ),
			    array(
				    'id'    => 'style_header',
				    'type'  => 'select',
				    'title' => 'Select header style',
				    'options' => array(
					    'empty'     => "Isn`t chosen",
					    'default'     => 'Default',
					    'fixed'       => 'Fixed',
					    'transparent' => 'Fixed transparent',
					    'not_fixed_but_transparent' => 'Not Fixed, but transparent',
					    'none' => 'None'
				    ),
				    'default' => 'empty',
				    'desc' => 'Only for Classic, Simple and Only Logo menu style.',
			    ),
			    array(
				    'id' => 'menu_light_text',
				    'type' => 'switcher',
				    'title' => 'Light text on menu',
				    'label' => 'Do you want to it ?',
				    'default' => false,
				    'dependency' => array('menu_style|style_header', 'any|any', 'left,classic,simple|transparent,not_fixed_but_transparent'),
			    ),
			    array(
				    'id' => 'image_page_logo',
				    'type' => 'upload',
				    'title' => 'Site Logo',
				    'default' => '',
				    'desc' => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
			    ),
			    array(
				    'id'         => 'image_logo_scroll',
				    'type'       => 'upload',
				    'title'      => 'Site Logo on scroll',
				    'default'    => '',
				    'desc' => 'Only if options "Type of site logo" = "Image Logo"(Themes Options) and "Header style" = "Fixed transparent". Upload any media using the WordPress Native Uploader.',
			    ),
			    array(
				    'id'         => 'image_logo_mobile',
				    'type'       => 'upload',
				    'title'      => 'Site Logo on mobile',
				    'default'    => '',
				    'desc' => 'Only if option "Type of site logo" = "Image Logo"(Themes Options). Upload any media using the WordPress Native Uploader.',
			    ),
			    array(
				    'id'      => 'header_scroll_bg',
				    'type'    => 'color_picker',
				    'title'   => 'Change Header Scroll Background Color',
				    'default' => '',
				    'desc' => 'Only if options "Change style menu on scroll for dark style?" = "Off" and "Header style" = "Fixed transparent".'
			    ),
			    array(
				    'id'      => 'header_scroll_text',
				    'type'    => 'color_picker',
				    'title'   => 'Change Header Scroll Text Color',
				    'default' => '',
				    'desc' => 'Only if options "Change style menu on scroll for dark style?" = "Off" and "Header style" = "Fixed transparent".'
			    ),
		    )
	    ),
        // begin section
	    array(
		    'name' => 'footer_page_options',
		    'title' => 'Footer Page Options',
		    'fields' => array(
			    array(
				    'id'        => 'phoxy_footer_style',
				    'type'      => 'image_select',
				    'title'     => 'Footer style:',
				    'options'   => array(
					    'modern'    => EF_URL . '/admin/assets/images/cs_images/footer-modern.jpg',
					    'classic'   => EF_URL . '/admin/assets/images/cs_images/footer-classic.jpg',
				    ),
				    'radio'     => true,
				    'attributes'   => array(
					    'data-depend-id' => 'phoxy_footer_style',
				    ),
				    'default'   => 'modern',
				    'desc' => 'Choose style for Footer'
			    ),
			    array(
				    'id' => 'fixed_transparent_footer',
				    'type' => 'switcher',
				    'title' => 'Fixed and tranparent footer',
				    'label' => 'Do you want to it ?',
				    'default' => false
			    ),
			    array(
				    'id'      => 'enable_parallax_footer_page',
				    'type'    => 'switcher',
				    'title'   => 'Enable Parallax Footer',
				    'default' => false,
				    'dependency' => array( 'fixed_transparent_footer|phoxy_footer_style', '==|!=', 'false|classic' ),
			    ),
			    array(
				    'id'      => 'footer_color',
				    'type'    => 'color_picker',
				    'title'   => 'Change Footer Background Color',
				    'default' => '',
			    ),
			    array(
				    'id'      => 'enable_footer_copy_page',
				    'type'    => 'switcher',
				    'title'   => 'Enable Footer copyright',
				    'default' => false,
				    'dependency' => array( 'phoxy_footer_style', '!=', 'classic' ),
			    ),
			    array(
				    'id'             => 'phoxy_copyright_align',
				    'type'           => 'select',
				    'title'          => 'Copyright align',
				    'options'    => array(
					    'center' => 'center',
					    'right'  => 'right',
					    'left' => 'left',
				    ),
				    'dependency' => array( 'enable_footer_copy_page|phoxy_footer_style', '==|!=', 'true|classic' ),
			    ),
		    )
	    ),
        array(
            'name' => 'other_page_options',
            'title' => 'Other Page Options',
            'fields' => array(
                array(
                    'id' => 'disable_container_padding',
                    'type' => 'switcher',
                    'title' => 'Disable padding container',
                    'label' => 'Do you want to it ?',
                    'default' => false
                ),
                array(
                    'id'    => 'padding_desktop',
                    'type'  => 'text',
                    'title' => 'Custom desktop paddings (left and right) for page'
                ),
	            array(
		            'id' => 'bg_slider',
		            'type' => 'switcher',
		            'title' => 'Enable slider images for background on pages?',
		            'label' => 'Do you want do it ?',
		            'default' => false
	            ),
	            array(
		            'id' => 'bg_slider_images',
		            'type' => 'gallery',
		            'title' => 'Slider images',
		            'add_title' => 'Add Images',
		            'edit_title' => 'Edit Images',
		            'clear_title' => 'Remove Images',
		            'dependency' => array('bg_slider', '==', 'true')
	            ),
            ),
        ),
    ),
);

CSFramework_Metabox::instance($options);
