<?php
/*
Plugin Name: Phoxy Plugins
Version: 1.3.4
Description: Includes Portfolio Custom Post Type and Visual Composer Shortcodes
*/

// Define Constants
defined( 'EF_ROOT' ) or define( 'EF_ROOT', dirname( __FILE__ ) );
defined( 'EF_URL' ) or define( 'EF_URL', plugins_url( 'phoxy-plugins' ) );
defined( 'EF_VERSION' ) or define( 'EF_VERSION', '1.0' );

if ( ! class_exists( 'Phoxy_Plugins' ) ) {

	require_once EF_ROOT . '/cs-framework/cs-framework.php';
	require_once EF_ROOT . '/lib/aq_resizer.php';
	require_once EF_ROOT . '/lib/phoxy-justified-gallery/phoxy-justified-gallery.php';
	// include functions
	require_once EF_ROOT . '/includes/functions_plugins.php';
	require_once EF_ROOT . '/register_post_types.php';
	require_once EF_ROOT . '/includes/lib/vendor/autoload.php';

	require_once EF_ROOT . '/lib/TwitterAPIExchange.php';

	// Import Integration
	require_once( EF_ROOT . '/importer/index.php' );

	require dirname( __FILE__ ) .'/plugin-update-checker/plugin-update-checker.php';
	$MyUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
		'https://main.aheto.co/wp-update/?action=get_metadata&slug=phoxy-plugins', //Metadata URL.
		__FILE__, //Full path to the main plugin file.
		'phoxy-plugins' //Plugin slug. Usually it's the same as the name of the directory.
	);

	// add a skin in a plugin/theme

	if (!class_exists('The_Grid_Plugin')) {
		add_filter( 'tg_add_item_skin', function ( $skins ) {

			$dir            = EF_ROOT . '/the-grid/';
			$directory_list = scandir( $dir );

			$directory_list = array_slice( $directory_list, 2 );
			foreach ( $directory_list as $directory ) {

				$directory_templates_list = scandir( $dir . $directory );
				$directory_templates_list = array_slice( $directory_templates_list, 2 );

				foreach ( $directory_templates_list as $list ) {

					$name = str_replace( '-', ' ', $list );
					$name = substr( $name, 3 );

					// register a skin and add it to the main skins array
					$skins[ $list ] = array(
						'type' => $directory,
						'slug' => $list,
						'name' => $name,
						'php'  => EF_ROOT . '/the-grid/' . $directory . '/' . $list . '/' . $list . '.php',
						'css'  => EF_ROOT . '/the-grid/' . $directory . '/' . $list . '/' . $list . '.css',
						'col'  => 1, // col number in preview skin mode
						'row'  => 1  // row number in preview skin mode
					);
				}


			}

			// return the skins array + the new one you added (in this example 2 new skins was added)
			return $skins;

		} );
	}
	/**
	 * Template editor init.
	 */
	if ( ! function_exists( 'phoxy_include_vc_templates' ) ) {
		function phoxy_include_vc_templates() {
			if ( class_exists( 'WPBakeryVisualComposerAbstract' ) ) {
				require_once EF_ROOT . '/vc-templates/theme-vc-template-editor.php';
				require_once EF_ROOT . '/vc-templates/theme-vc-templates.php';

				$phoxy_templates = new Phoxy_Vc_Templates_Editor();

				return $phoxy_templates->init();
			}
		}
	}

	add_action( 'init', 'phoxy_include_vc_templates');


	// register scripts and styles for shortcodes
	add_action( 'wp_enqueue_scripts', 'phoxy_register_scripts' );
	function phoxy_register_scripts() {

		// styles
		wp_register_style( 'magnific-popup', EF_URL . '/shortcodes/assets/css/magnific-popup.css', array('phoxy-base') );
		wp_register_style( 'phoxy-line-of-images-style', EF_URL . '/shortcodes/assets/css/line_of_images.css', array('phoxy-base') );
		wp_register_style( 'phoxy-team-style', EF_URL . '/shortcodes/assets/css/team.css', array('phoxy-base') );
		wp_register_style( 'phoxy-skills-style', EF_URL . '/shortcodes/assets/css/skills.css', array('phoxy-base') );
		wp_register_style( 'phoxy-about-style', EF_URL . '/shortcodes/assets/css/about.css', array('phoxy-base') );
		wp_register_style( 'phoxy-headings-style', EF_URL . '/shortcodes/assets/css/headings.css', array('phoxy-base') );
		wp_register_style( 'phoxy-services-style', EF_URL . '/shortcodes/assets/css/services.css', array('phoxy-base') );
		wp_register_style( 'supersized-style', EF_URL . '/shortcodes/assets/css/supersized.css', array('phoxy-base') );
		wp_register_style( 'phoxy-banner-slider-style', EF_URL . '/shortcodes/assets/css/banner_slider.css', array('phoxy-base') );
		wp_register_style( 'phoxy-testimonial-style', EF_URL . '/shortcodes/assets/css/testimonial.css', array('phoxy-base') );
		wp_register_style( 'phoxy-contacts-style', EF_URL . '/shortcodes/assets/css/contacts.css', array('phoxy-base') );
		wp_register_style( 'phoxy-banner-image-style', EF_URL . '/shortcodes/assets/css/banner_image.css', array('phoxy-base') );
		wp_register_style( 'phoxy-pricing-style', EF_URL . '/shortcodes/assets/css/pricing.css', array('phoxy-base') );
		wp_register_style( 'phoxy-coming-soon-style', EF_URL . '/shortcodes/assets/css/coming_soon.css', array('phoxy-base') );
		wp_register_style( 'phoxy-portfolio-sliders-style', EF_URL . '/shortcodes/assets/css/portfolio_sliders.css', array('phoxy-base') );
		wp_register_style( 'justified-gallery-style', EF_URL . '/shortcodes/assets/css/justified-gallery.css', array('phoxy-base') );
		wp_register_style( 'phoxy-portfolio-list-style', EF_URL . '/shortcodes/assets/css/portfolio_list.css', array('phoxy-base') );
		wp_register_style( 'phoxy-exhibition-style', EF_URL . '/shortcodes/assets/css/exhibition.css', array('phoxy-base') );
		wp_register_style( 'owlcarousel-style', EF_URL . '/shortcodes/assets/css/owlcarousel.css', array('phoxy-base') );
		wp_register_style( 'titl-style', EF_URL . '/shortcodes/assets/css/titl-style.css', array('phoxy-base') );
		wp_register_style( 'phoxy-gallery-style', EF_URL . '/shortcodes/assets/css/phoxy_gallery.css', array('phoxy-base') );
		wp_register_style( 'phoxy-kenburn-style', EF_URL . '/shortcodes/assets/css/kenburn.css', array('phoxy-base') );
		wp_register_style( 'phoxy-full-screen-style', EF_URL . '/shortcodes/assets/css/full_screen.css', array('phoxy-base') );
		wp_register_style( 'phoxy-video-banner-style', EF_URL . '/shortcodes/assets/css/video_banner.css', array('phoxy-base') );
		wp_register_style( 'phoxy-clients-style', EF_URL . '/shortcodes/assets/css/clients.css', array('phoxy-base') );
		wp_register_style( 'glitch-slideshow-style', EF_URL . '/shortcodes/assets/css/glitch-slideshow.css', array('phoxy-base') );
		wp_register_style( 'phoxy-grid-menu-style', EF_URL . '/shortcodes/assets/css/grid_menu.css', array('phoxy-base') );
		wp_register_style( 'phoxy_instagram-style', EF_URL . '/shortcodes/assets/css/instagram.css', array('phoxy-base') );
		wp_register_style( 'phoxy-posts-style', EF_URL . '/shortcodes/assets/css/posts.css', array('phoxy-base') );
		wp_register_style( 'phoxy-posts-list-style', EF_URL . '/shortcodes/assets/css/posts-list.css', array('phoxy-base') );

		// scripts
		wp_register_script( 'phoxy-youtube', 'https://www.youtube.com/iframe_api', '', true );
		wp_register_script( 'magnific', EF_URL . '/shortcodes/assets/js/magnific.js', array( 'jquery' ), false, true );
		wp_register_script( 'stellar', EF_URL . '/shortcodes/assets/js/jquery.stellar.js', array( 'jquery' ), false, true );
		wp_register_script( 'post-list', EF_URL . '/shortcodes/assets/js/post-list.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-anime', EF_URL . '/shortcodes/assets/js/anime.min.js', array( 'jquery' ), false, true );
		wp_register_script( 'shaffle', EF_URL . '/shortcodes/assets/js/shaffle.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-shaffle-init', EF_URL . '/shortcodes/assets/js/shaffle_init.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-team', EF_URL . '/shortcodes/assets/js/team.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-count', EF_URL . '/shortcodes/assets/js/countTo.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-skills', EF_URL . '/shortcodes/assets/js/skills.js', array(
			'jquery',
			'phoxy-count'
		), false, true );
		wp_register_script( 'parallax-fragments-js', EF_URL . '/shortcodes/assets/js/parallax.js', array( 'jquery' ), false, true );
		wp_register_script( 'supersized', EF_URL . '/shortcodes/assets/js/supersized.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-banner-slider', EF_URL . '/shortcodes/assets/js/banner_slider.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-gridrotator', EF_URL . '/shortcodes/assets/js/gridrotator.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-typed', EF_URL . '/shortcodes/assets/js/typed.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-image-banner', EF_URL . '/shortcodes/assets/js/image_banner.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-parallax-lib', EF_URL . '/shortcodes/assets/js/parallax.lib.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-coming-soon', EF_URL . '/shortcodes/assets/js/coming_soon.js', array( 'jquery' ), false, true );
		wp_register_script( 'justified-gallery', EF_URL . '/shortcodes/assets/js/justified-gallery.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-portfolio-list', EF_URL . '/shortcodes/assets/js/portfolio_list.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-physics-three', EF_URL . '/shortcodes/assets/js/three.min.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-charming', EF_URL . '/shortcodes/assets/js/charming.js', array( 'jquery', 'imagesloaded' ), false, true );
		wp_register_script( 'phoxy-tweenmax', EF_URL . '/shortcodes/assets/js/TweenMax.min.js', array( 'jquery', 'imagesloaded' ), false, true );
		wp_register_script( 'phoxy-diagonal', EF_URL . '/shortcodes/assets/js/diagonal.js', array( 'jquery', 'imagesloaded' ), false, true );
		wp_register_script( 'phoxy-portfolio-sliders', EF_URL . '/shortcodes/assets/js/portfolio_sliders.js', array( 'jquery', 'swiper' ), false, true );
		wp_register_script( 'phoxy-headings', EF_URL . '/shortcodes/assets/js/headings.js', array( 'jquery', 'phoxy-typed' ), false, true );
		wp_register_script( 'phoxy-exhibition', EF_URL . '/shortcodes/assets/js/exhibition.js', array( 'imagesloaded' ), true, false );
		wp_register_script( 'phoxy-flexslider', EF_URL . '/shortcodes/assets/js/flexslider.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-slider-transition', EF_URL . '/shortcodes/assets/js/slider-transition.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-kenburn', EF_URL . '/shortcodes/assets/js/kenburn.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-full-screen', EF_URL . '/shortcodes/assets/js/full_screen.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-video-banner', EF_URL . '/shortcodes/assets/js/video_banner.js', array( 'jquery', 'phoxy-youtube' ), false, true );
		wp_register_script( 'glitch', EF_URL . '/shortcodes/assets/js/glitch.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-distortion-hover', EF_URL . '/shortcodes/assets/js/hover.js', array( 'jquery' ), false, true );
		wp_register_script( 'owlcarousel', EF_URL . '/shortcodes/assets/js/owlcarousel.js', array( 'jquery' ), false, true );
		wp_register_script( 'titl_effect', EF_URL . '/shortcodes/assets/js/titl_effect.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-gallery', EF_URL . '/shortcodes/assets/js/phoxy_gallery.js', array( 'jquery' ), false, true );
		wp_register_script( 'phoxy-grid-menu', EF_URL . '/shortcodes/assets/js/grid_menu.js', array( 'jquery', 'imagesloaded' ), false, true );
		wp_register_script( 'phoxy_services', EF_URL . '/shortcodes/assets/js/services.js', array( 'jquery'), false, true );
		wp_register_script( 'phoxy_instagram', EF_URL . '/shortcodes/assets/js/instagram.js', array( 'jquery'), false, true );
	}


	new Phoxy_Plugins;

	if ( ! function_exists( 'phoxyiframeDecoder' ) ) {
		function phoxyiframeDecoder( $iframe_code ) {
			$iframe_code = base64_decode( strip_tags( $iframe_code ) );
		}

		add_action( 'phoxyiframeDecoder', 'phoxyiframeDecoder' );
	}


	if ( ! function_exists( 'phoxy_portfolio_slider_load' ) ) {
		function phoxy_portfolio_slider_load() {

			$category = sanitize_text_field( $_POST['cats'] );
			$order    = sanitize_text_field($_POST['order']);
			$orderby  = sanitize_text_field($_POST['orderby']);
			$count    = sanitize_text_field($_POST['count']);

			$autoplay    = sanitize_text_field($_POST['autoplay']);
			$speed    = sanitize_text_field($_POST['speed']);

			$args = array(
				'post_type'      => 'portfolio',
				'order'          => $order,
				'orderby'        => $orderby,
				'posts_per_page' => $count,
			);

			$category = explode(",", $category);

			$args['tax_query'][] = array(
				'taxonomy' => 'portfolio-category',
				'terms'    => $category,
				'field'    => 'slug',
			);


			$portfolio_filter = new WP_Query( $args );

			ob_start(); ?>

            <div class="swiper-container phoxy-portfolio-filter" data-mouse="0"
                 data-autoplay="<?php echo esc_attr( $autoplay ); ?>"
                 data-loop="1"
                 data-speed="<?php echo esc_attr( $speed ); ?>"
                 data-center="1" data-space="0" data-pagination-type="bullets"
                 data-mode="horizontal">
                <div class="swiper-wrapper">

					<?php while ( $portfolio_filter->have_posts() ) : $portfolio_filter->the_post();

						$filter_terms = wp_get_post_terms( $portfolio_filter->ID, 'portfolio-category' );
						$termClass    = '';
						if ( isset( $filter_terms ) && ! empty( $filter_terms ) ) {
							foreach ( $filter_terms as $term ) {
								$termClass .= '.' . $term->slug . ' ';
							}
						}

						$portfolio_meta = get_post_meta( $portfolio_filter->ID, 'phoxy_portfolio_options' );
						$link      = get_the_permalink();
						$target    = '_self';

						if ( $linked == 'none' && ! empty( $portfolio_meta['ext_link'] ) ) {
							$link   = $portfolio_meta['ext_link'];
							$target = '_blank';
						}

						if ( $blank == 'none' ) {
							$target = '_self';
						} elseif ( $blank == 'yes' ) {
							$target = '_blank';
						}
						$images    = explode( ',', $portfolio_meta[0]['slider'] ); ?>


                        <div class="swiper-slide <?php echo esc_attr( $termClass ); ?>">

                            <div class="phoxy-portfolio-list-image">
                                <div class="image-wrap">
									<?php
									$image_id = get_post_thumbnail_id( $portfolio_meta->ID );
									if ( ! empty( $image_id ) && is_numeric( $image_id ) ) {
										$imageUrl = wp_get_attachment_image_url( $image_id, $image_original_size );
									} elseif ( ! empty( $images ) ) {
										$imageUrl = wp_get_attachment_image_url( $images[0], $image_original_size );
									} else {
										$imageUrl = '';
									}

									if(!empty($imageUrl)){
										echo phoxy_the_lazy_load_flter( $imageUrl, array(
											'class' => 's-img-switch',
										) );
									} ?>

                                    <a href="<?php echo esc_attr($link); ?>" class="title" target="<?php echo esc_attr($target); ?>">
										<?php echo esc_html(get_the_title()); ?>
                                    </a>
                                </div>

                            </div>

                        </div>

					<?php
					endwhile; ?>

                </div>
                <div class="swiper-pagination"></div>
            </div>
			<?php
			echo ob_get_clean();

			wp_die();
		}
	}


	add_action( 'wp_ajax_phoxy_portfolio_slider_load', 'phoxy_portfolio_slider_load' );
	add_action( 'wp_ajax_nopriv_phoxy_portfolio_slider_load', 'phoxy_portfolio_slider_load' );




	/**
	 *
	 * Image Picker and Theme options styling.
	 * @since 1.0.0
	 * @version 1.0.0
	 *
	 **/

	if ( ! function_exists( 'phoxy_enqueue_select' ) ){
		function phoxy_enqueue_select() {
			wp_enqueue_style( 'phoxy-admin-style', EF_URL . '/admin/assets/image-picker/admin.css' );
			wp_enqueue_style( 'phoxy-imagepicker', EF_URL . '/admin/assets/image-picker/image-picker.css' );
			wp_enqueue_script( 'phoxy-image-picker', EF_URL . '/admin/assets/image-picker/image-picker.min.js', array( 'jquery' ), false, true );
		}
	}

	add_action( 'admin_enqueue_scripts', 'phoxy_enqueue_select',99);








	/**
	 *
	 * Get instagram images.
	 * @since 1.0.0
	 * @version 1.0.0
	 *
	 **/
	if ( ! function_exists( 'phoxy_get_imstagram' ) ) {
		function phoxy_get_imstagram( $username, $count_photos = 7 ) {
			if ( empty( $username ) ) {


				$response = wp_remote_get( "https://graph.instagram.com/me/media?fields=idmedia_type,media_url,permalink,caption,thumbnail_url,username&access_token=" . cs_get_option( 'access_token_instagram' ), $count_photos);
				if ( is_wp_error( $response ) || 200 != wp_remote_retrieve_response_code( $response ) ) {
					return false;
				}

				$data = json_decode( wp_remote_retrieve_body( $response ) );

				$result = array();


				$username = '';
				foreach ( $data->data as $key => $image ) {
					$result[] = array(
						'link'      =>  $image->permalink,
						'image-url' =>  $image->media_url
					);
					if ($key == $count_photos - 1) {
						break;
					}
				}
				$result = array( 'items' => $result, 'username' => $username );

				return $result;

			}
			else {

				$instagram = get_transient( 'instagram-media-' . sanitize_title_with_dashes( $username ) );
				$remote_wp = wp_remote_get( "https://graph.instagram.com/me/media?fields=idmedia_type,media_url,permalink,caption,thumbnail_url,username&access_token=" . cs_get_option( 'access_token_instagram' ), $count_photos);
				$instagram_response = json_decode( $remote_wp['body'] );

				$error = '';
				if ( is_wp_error( $remote_wp ) ) {
					$error = esc_html__( 'Unable to communicate with Instagram.', 'wiso' );
				}

				if ( 200 != wp_remote_retrieve_response_code( $remote_wp ) ) {
					$error = esc_html__( 'Instagram error.', 'wiso' );
				}

				if ( empty( $error ) ) {
					$result = array();

					foreach ( $instagram_response->data as $key => $image ) {
						$result[] = array(
							'link'      =>  $image->permalink,
							'image-url' =>  $image->media_url
						);
						if ($key == $count_photos - 1) {
							break;
						}
					}

					$result = base64_encode( serialize( $result ) );
					set_transient( 'instagram-media-' . sanitize_title_with_dashes( $username ), $result, apply_filters( 'null_instagram_cache_time', HOUR_IN_SECONDS * 2 ) );
				}

				if ( $error ) {
					return $icontent = $error;
				} else {
					$result = unserialize( base64_decode( $result ) );
					$result = array( 'items' => $result, 'username' => $username );

					return $result;
				}
			}
		}
	}


} // end of class_exists
