;(function ($, window, document, undefined) {
    'use strict';

    function bannerSliderHeight() {
        if ($('.banner-slider-wrap .container').length) {
            var contentH = $('.banner-slider-wrap .container').outerHeight();
            var winH = $(window).height();
            var bannerH = winH > (contentH + 200) ? winH : (contentH + 200);
            $('.banner-slider-wrap .slider-banner').css('height', bannerH);
        }
    }

    /*=================================*/
    /* ADD IMAGE ON BACKGROUND */

    /*=================================*/

    function wpc_add_img_bg(img_sel, parent_sel) {
        if (!img_sel) {

            return false;
        }
        var $parent, $imgDataHidden, _this;
        $(img_sel).each(function () {
            _this = $(this);
            $imgDataHidden = _this.data('s-hidden');
            $parent = _this.closest(parent_sel);
            $parent = $parent.length ? $parent : _this.parent();
            $parent.css('background-image', 'url(' + this.src + ')').addClass('s-back-switch');
            if ($imgDataHidden) {
                _this.css('visibility', 'hidden');
                _this.show();
            }
            else {
                _this.hide();
            }
        });
    }

    function supersizedSlider(){
        if($('.banner-slider-supersized').length){
            $('.banner-slider-supersized').each(function () {
                var $t = $(this);
                var autoplay = parseInt($t.attr('data-autoplay'), 10) === 0 ? '500000' : parseInt($t.attr('data-autoplay'), 10),
                    speed = parseInt($t.attr('data-speed'), 10),
                    images = $t.attr('data-images') ? $t.attr('data-images') : '';

                // $t.find('.content-wrap').css('transition-delay', speed);

                var slides = images.split(',');
                var imgArray = [];


                $.each( slides, function (i, val) {
                    var  imgObj = {};
                    imgObj["image"] = val;
                    imgArray.push(imgObj);
                });

                $t.supersized({

                    // Functionality
                    slide_interval: autoplay,		// Length between transitions
                    transition : 5, 			// 0-None, 1-Fade, 2-Slide Top, 3-Slide Right, 4-Slide Bottom, 5-Slide Left, 6-Carousel Right, 7-Carousel Left
                    transition_speed :	speed,		// Speed of transition

                    // Components
                    slide_links: false,	// Individual links for each slide (Options: false, 'num', 'name', 'blank')
                    slides: imgArray,
                    thumb_links: 0

                });
            });
        }
    }




    $(window).on('load', function () {
        supersizedSlider();
        setTimeout(wpc_add_img_bg('.s-img-switch'), 150);
    });
    $(window).on('load resize', function () {
        bannerSliderHeight();
    });

    window.addEventListener("orientationchange", function () {
        bannerSliderHeight();
    });
})(jQuery, window, document);