<?php

//About shortcode

if ( function_exists( 'vc_map' ) ) {

    $url = EF_URL . '/admin/assets/images/shortcodes_images/about/';

	vc_map(
		array(
			'name'        => esc_html__( 'About', 'js_composer' ),
			'base'        => 'phoxy_about',
			'description' => __( 'Section with image, text and button', 'js_composer' ),
			'category'    => __( 'Content', 'js_composer' ),
			'params'      => array(
                array(
                    'type'       => 'select_preview',
                    'param_name' => 'style',
                    'heading'    => esc_html__( 'Style', 'js_composer' ),
                    'value'      => array(

                        array(
                            'value' => 'simple',
                            'label' => esc_html__( 'Simple', 'js_composer' ),
                            'image' => $url . 'simple.jpg'
                        ),
                    ),
                    'admin_label' => true,
                    'save_always' => true,
                ),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
                    'dependency' => array( 'element' => 'style', 'value' => array( 'simple' ) )
				),
                array(
                    'type'       => 'textfield',
                    'heading'    => __( 'Subtitle', 'js_composer' ),
                    'param_name' => 'subtitle',
                    'dependency' => array( 'element' => 'style', 'value' => array( 'simple' ) )
                ),
                array(
                    'type'       => 'textarea_html',
                    'heading'    => __( 'Description', 'js_composer' ),
                    'param_name' => 'content',
                    'dependency' => array( 'element' => 'style', 'value' => array( 'simple' ) )
                ),
				array(
					'type'       => 'vc_link',
					'heading'    => __( 'Button', 'js_composer' ),
					'param_name' => 'button',
                    'dependency' => array( 'element' => 'style', 'value' => array( 'simple') )
				),
				array(
					'type'       => 'dropdown',
					'heading'    => __( 'Button style', 'js_composer' ),
					'param_name' => 'btn_style',
                    'dependency' => array( 'element' => 'style', 'value' => array( 'simple' ) ),
					'value'      => array(
                        'Dark'  => 'a-btn',
                        'Light' => 'a-btn-2',
                        'Grey'  => 'a-btn-3',
                        'White' => 'a-btn-4'
					),
				),
			),

			//end params
		)
	);
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_phoxy_about extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'style'     => 'simple',
				'title'     => '',
				'btn_style' => '',
				'subtitle'  => '',
				'button'    => '',

			), $atts ) );

			// include needed stylesheets
			if ( ! in_array( "phoxy-about-style", self::$css_scripts ) ) {
				self::$css_scripts[] = "phoxy-about-style";
			}
			$this->enqueueCss();

			$style = isset($style) && !empty($style) ? $style : 'simple';
			$btn_style = isset( $btn_style ) && ! empty( $btn_style ) ? $btn_style : 'a-btn';

			// start output
			ob_start(); ?>
                <div class="about-section-<?php echo esc_attr( $style ); ?>">
                    <div class="content">
						<?php if ( ! empty( $subtitle ) ) { ?>
                            <div class="subtitle"><?php echo wp_kses_post( $subtitle ); ?></div>
                        <?php }
                        if ( ! empty( $title ) ) { ?>
                            <h2 class="title"><?php echo wp_kses_post( $title ); ?></h2>
						<?php }
						if ( ! empty( $content ) ) { ?>
                            <div class="description"><p><?php echo wp_kses_post( $content ); ?></p></div>
						<?php }
						if ( ! empty( $button ) ) {
							$url = vc_build_link( $button );
							$url['target'] = isset($url['target']) && !empty($url['target']) ? $url['target'] : '_self';
						} else {
							$url = array();
							$url['url']   = '#';
							$url['title'] = 'title';
							$url['target'] = '_self';
						}

						if ( ! empty( $button ) && ! empty( $url['title'] ) ) { ?>
                            <div class="but-wrap">
                                <a href="<?php echo esc_attr( $url['url'] ); ?>"
                                   class="<?php echo esc_attr( $btn_style ); ?>" target="<?php echo esc_attr($url['target']); ?>">
									<?php echo wp_kses_post( $url['title'] ); ?>
                                </a>
                            </div>
						<?php } ?>
                    </div>
                </div>
			<?php

			return ob_get_clean();
		}
	}
}