<?php

//Banner Slider shortcode

if ( function_exists( 'vc_map' ) ) {
    $url = EF_URL . '/admin/assets/images/shortcodes_images/banner_slider/';
	vc_map(
		array(
			'name'                    => __( 'Banner Slider', 'js_composer' ),
			'base'                    => 'banner_slider',
			'as_parent'               => array( 'only' => 'banner_slider_items' ),
			'content_element'         => true,
			'show_settings_on_create' => true,
			'js_view'                 => 'VcColumnView',
			'params'                  => array(
                array(
                    'type'       => 'select_preview',
                    'param_name' => 'type_slider',
                    'heading'    => esc_html__( 'Type Slider', 'js_composer' ),
                    'value'      => array(
	                    array(
		                    'label' => esc_html__( 'Supersized slider', 'js_composer' ),
		                    'value' => 'supersized_slider',
		                    'image' => $url . 'supersized-slider.jpg'
	                    ),
                        array(
		                    'label' => esc_html__( 'Modern slider ', 'js_composer' ),
		                    'value' => 'modern',
		                    'image' => $url . 'modern.jpg'
	                    )
                    ),
                    'admin_label' => true,
                    'save_always' => true,
                ),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Autoplay (sec)', 'js_composer' ),
					'description' => __( '0 - off autoplay.', 'js_composer' ),
					'param_name'  => 'autoplay',
					'value'       => '0',
					'group'       => __( 'Animation', 'js_composer' )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Speed (milliseconds)', 'js_composer' ),
					'description' => __( 'Speed Animation. Default 1000 milliseconds', 'js_composer' ),
					'param_name'  => 'speed',
					'value'       => '500',
					'group'       => __( 'Animation', 'js_composer' )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Extra class name', 'js_composer' ),
					'param_name'  => 'el_class',
					'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'js_composer' ),
					'value'       => ''
				),
				array(
					'type'       => 'css_editor',
					'heading'    => __( 'CSS box', 'js_composer' ),
					'param_name' => 'css',
					'group'      => __( 'Design options', 'js_composer' )
				)
			) //end params
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_banner_slider extends WPBakeryShortCodesContainer {
		protected function content( $atts, $content = null ) {

			extract( shortcode_atts( array(
				'type_slider' => 'supersized_slider',
				'autoplay'    => '0',
				'speed'       => '500',
				'css'         => '',
				'el_class'    => ''
			), $atts ) );

			$type_slider = isset($type_slider) && !empty($type_slider) ? $type_slider : 'supersized_slider';

			if ( ! in_array( "supersized", self::$js_scripts ) && $type_slider == 'supersized_slider') {
				self::$js_scripts[] = "supersized";
			}

			if ( ! in_array( "phoxy-banner-slider", self::$js_scripts ) ) {
				self::$js_scripts[] = "phoxy-banner-slider";
			}
			$this->enqueueJs();

			// include needed stylesheets
			if ( ! in_array( "phoxy-banner-slider-style", self::$css_scripts ) ) {
				self::$css_scripts[] = "phoxy-banner-slider-style";
			}

			if ( ! in_array( "supersized-style", self::$js_scripts ) && $type_slider == 'supersized_slider') {
				self::$css_scripts[] = "supersized-style";
			}

			$this->enqueueCss();

			$autoplay = !empty($autoplay) && is_numeric( $autoplay ) ? $autoplay * 1000 : 0;
			$speed    = !empty($speed) && is_numeric( $speed ) ? $speed : '1500';
			$class    = ( ! empty( $el_class ) ) ? $el_class : '';
			$class    .= vc_shortcode_custom_css_class( $css, ' ' );

			global $banner_slider_items;
			$banner_slider_items = array();

			$class .= ' ' . $type_slider;

			do_shortcode( $content );

			ob_start();

			if(! empty( $banner_slider_items )){
				if($type_slider == 'supersized_slider'){

					$images_urls = array();
					$output = '';
					$counter = 0;
					foreach ( $banner_slider_items as $item ) {
						$value = (object) $item['atts'];

						$img_url = ( ! empty( $value->image ) && is_numeric( $value->image ) ) ? wp_get_attachment_url( $value->image ) : '';
						$images_urls[] = $img_url;


						$title                = isset( $value->title ) && ! empty( $value->title ) ? $value->title : '';
						$subtitle             = isset( $value->subtitle ) && ! empty( $value->subtitle ) ? $value->subtitle : '';
						$button               = isset( $value->button ) && ! empty( $value->button ) ? $value->button : '';
						$btn_style            = isset( $value->btn_style ) && ! empty( $value->btn_style ) ? $value->btn_style : 'a-btn';

						$activeClass = $counter < 1 ? 'activeslide' : '';

						$output .= '<div class="content-wrap slide-'. $counter .' ' . $activeClass . '">';

						if ( ! empty( $title ) ) {
							$output .= '<h1 class="title">' . wp_kses_post( $title ) . '</h1>';
						}

						if ( ! empty( $subtitle ) ) {
							$output .= '<div class="subtitle">' . wp_kses_post( $subtitle ) . '</div>';
						}

						if ( ! empty( $button ) ) {
							$url = vc_build_link( $button );
							$url['target'] = isset($url['target']) && !empty($url['target']) ? $url['target'] : '_self';
						} else {
							$url['url']    = '#';
							$url['title']  = 'title';
							$url['target'] = '_self';
						}
						if ( ! empty( $button ) ) {
							$output .= '<a href="' . esc_attr( $url['url'] ) .'" class="' . esc_attr( $btn_style ) . '" target="' . esc_attr( $url['target'] ) . '">' . esc_html( $url['title'] ) . '</a>';
						}

						$output .= '</div>';
						$counter++;
					}

					$images_urls = implode(",",$images_urls); ?>

                    <div class="banner-slider-supersized full-window-hard <?php echo esc_attr($class); ?>" data-autoplay="<?php echo esc_attr( $autoplay ); ?>" data-speed="<?php echo esc_attr( $speed ); ?>"
                         data-images="<?php echo esc_attr($images_urls); ?>">
                        <div class="supersized-slider full-window-hard">
                            <ul class="supersized"></ul>

							<?php echo $output; ?>

                            <!--Arrow Navigation-->
                            <a id="prevslide" class="load-item">
                                <i class="ion-ios-arrow-thin-left"></i>
                            </a>
                            <a id="nextslide" class="load-item">
                                <i class="ion-ios-arrow-thin-right"></i>
                            </a>

                            <!--Time Bar-->
                            <div id="progress-back" class="load-item">
                                <div id="progress-bar"></div>
                            </div>

                            <!--Control Bar-->
                            <div class="controls-wrapper load-item">
                                <div class="controls">

                                    <a id="play-button"><i id="pauseplay" class="ion-ios-pause"></i></a>

                                </div>
                            </div>


                        </div>

                    </div>

				<?php }
				elseif($type_slider == 'modern'){ ?>

                    <div class="swiper-container banner-slider-modern full-height-window-hard"
                         data-autoplay="<?php echo esc_attr( $autoplay ); ?>" data-loop="1"
                         data-speed="<?php echo esc_attr( $speed ); ?>" data-center="1" data-space="0"
                         data-responsive="responsive" data-add-slides="1" data-pagination-type="bullets"
                         data-lg-slides="1" data-noSwiping="true">
                        <div class="swiper-wrapper">

					        <?php foreach ( $banner_slider_items as $item ) {

					            $value = (object) $item['atts'];

						        $img_url = ( ! empty( $value->image ) && is_numeric( $value->image ) ) ? wp_get_attachment_url( $value->image ) : '';
						        $alt       = ( ! empty( $value->image ) && is_numeric( $value->image ) ) ? get_post_meta($value->image , '_wp_attachment_image_alt', true ) : '';
						        $title                = isset( $value->title ) && ! empty( $value->title ) ? $value->title : '';
						        $subtitle             = isset( $value->subtitle ) && ! empty( $value->subtitle ) ? $value->subtitle : '';
						        $button               = isset( $value->button ) && ! empty( $value->button ) ? $value->button : '';
						        $btn_style            = isset( $value->btn_style ) && ! empty( $value->btn_style ) ? $value->btn_style : 'a-btn';

						        if ( ! empty( $button ) ) {
							        $url = vc_build_link( $button );
							        $url['target'] = isset($url['target']) && !empty($url['target']) ? $url['target'] : '_self';
						        } else {
							        $url['url']    = '#';
							        $url['title']  = 'title';
							        $url['target'] = '_self';
						        } ?>


                            <div class="swiper-slide">

                                <div class="bg-color">
	                                <?php if ( ! empty( $img_url ) ) {
		                                echo phoxy_the_lazy_load_flter( $img_url, array( 'class' => 's-img-switch', 'alt' => $alt ) );
	                                } ?>
                                </div>
                                <div class="content-wrapper">
                                    <div class="content-wrap">
		                                <?php if(!empty($title)){ ?>
                                            <div class="title"><mark><?php echo wp_kses_post($title); ?></mark></div>
		                                <?php }

		                                if(!empty($subtitle)){ ?>
                                            <div class="subtitle"><?php echo wp_kses_post($subtitle); ?></div>
		                                <?php }

		                                if ( ! empty( $button ) && !empty($url['title'] ) ) { ?>
                                            <div class="btn-wrap">
                                                <a href="<?php echo esc_url( $url['url'] ); ?>"
                                                   class="<?php echo esc_attr( $btn_style ); ?>"
                                                   target="<?php echo esc_attr( $url['target'] ); ?>">
					                                <?php echo esc_html( $url['title'] ); ?>
                                                </a>
                                            </div>

		                                <?php } ?>
                                    </div>
                                </div>
                            </div>

						<?php } ?>

                        </div>
                        <div class="swiper-pagination"></div>
                    </div>

				<?php }
            }

			return ob_get_clean();
		}
	}
}

if ( function_exists( 'vc_map' ) ) {
    $url = EF_URL . '/admin/assets/images/shortcodes_images/banner_slider/';
	vc_map(
		array(
			'name'            => 'Slider item',
			'base'            => 'banner_slider_items',
			'as_child'        => array( 'only' => 'banner_slider' ),
			'content_element' => true,
			'params'          => array(
                array(
                    'type'       => 'select_preview',
                    'param_name' => 'option_style',
                    'heading'    => esc_html__( 'Show options for style:', 'js_composer' ),
                    'value'      => array(
	                    array(
		                    'label' => esc_html__( 'Supersized slider', 'js_composer' ),
		                    'value' => 'supersized_slider',
		                    'image' => $url . 'supersized-slider.jpg'
	                    ),
	                    array(
		                    'label' => esc_html__( 'Modern slider ', 'js_composer' ),
		                    'value' => 'modern',
		                    'image' => $url . 'modern.jpg'
	                    )
                    ),
                    'admin_label' => true,
                    'save_always' => true,
                ),
				array(
					'type'       => 'attach_image',
					'heading'    => __( 'Image', 'js_composer' ),
					'param_name' => 'image',
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Subtitle', 'js_composer' ),
					'param_name' => 'subtitle',
					'value'      => '',
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
					'value'      => '',
				),
				array(
					'type'       => 'dropdown',
					'heading'    => __( 'Button style', 'js_composer' ),
					'param_name' => 'btn_style',
					'value'      => array(
						'Dark'  => 'a-btn',
						'Light' => 'a-btn-2',
						'Grey'  => 'a-btn-3',
						'White' => 'a-btn-4'
					),
				),
				array(
					'type'       => 'vc_link',
					'heading'    => __( 'Button', 'js_composer' ),
					'param_name' => 'button',
				),
			) //end params
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_banner_slider_items extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			global $banner_slider_items;
			$banner_slider_items[] = array( 'atts' => $atts, 'content' => $content );

			return;
		}
	}
}