<?php

//Contacts shortcode

if ( function_exists( 'vc_map' ) ) {
    $url = EF_URL . '/admin/assets/images/shortcodes_images/contacts/';
	vc_map(
		array(
			'name'        => __( 'Contacts', 'js_composer' ),
			'base'        => 'phoxy_contacts',
			'description' => __( 'Contacts info', 'js_composer' ),
			'category'    => __( 'Content', 'js_composer' ),
			'params'      => array(
                array(
                    'type'       => 'select_preview',
                    'param_name' => 'style',
                    'heading'    => esc_html__( 'Style', 'js_composer' ),
                    'value'      => array(

                        array(
                            'value' => 'info_with_form',
                            'label' => esc_html__( 'Info with form', 'js_composer' ),
                            'image' => $url . 'info-with-form.jpg'
                        ),
                        array(
                            'label' => esc_html__( 'Content with parallax', 'js_composer' ),
                            'value' => 'parallax_content',
                            'image' => $url . 'content-with-parallax.jpg'
                        ),
                        array(
                            'label' => esc_html__( 'Custom Info', 'js_composer' ),
                            'value' => 'custom_info',
                            'image' => $url . 'custom-info.jpg'
                        ),
                    ),
                    'admin_label' => true,
                    'save_always' => true,
                ),
				array(
					'type'       => 'attach_image',
					'heading'    => __( 'Image', 'js_composer' ),
					'param_name' => 'image',
					'dependency' => array( 'element' => 'style', 'value' => array( 'parallax_content' ) )
                ),
				array(
					'type'       => 'textarea_html',
					'heading'    => __( 'Text', 'js_composer' ),
					'param_name' => 'content',
					'dependency' => array( 'element' => 'style', 'value' => array('custom_info', 'info_with_form', 'parallax_content' ) )
				),
				array(
					'type'       => 'param_group',
					'heading'    => __( 'Address', 'js_composer' ),
					'param_name' => 'address_info',
					'value'      => urlencode( json_encode( array() ) ),
					'params'     => array(
						array(
							'type'       => 'textarea',
							'heading'    => __( 'Add your address', 'js_composer' ),
							'param_name' => 'address',
						),
					),
					'dependency' => array( 'element' => 'style', 'value' => array( 'custom_info', 'info_with_form' ) ),
                ),
				array(
					'type'       => 'param_group',
					'heading'    => __( 'Email', 'js_composer' ),
					'param_name' => 'email_info',
					'value'      => urlencode( json_encode( array() ) ),
					'params'     => array(
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Add your email', 'js_composer' ),
							'param_name' => 'email',
							'value'      => ''
						),
					),
					'dependency' => array( 'element' => 'style', 'value' => array( 'custom_info' ) ),
				),
				array(
					'type'       => 'param_group',
					'heading'    => __( 'Phone', 'js_composer' ),
					'param_name' => 'phone_info',
					'value'      => urlencode( json_encode( array() ) ),
					'params'     => array(
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Add your phone', 'js_composer' ),
							'param_name' => 'phone',
							'value'      => ''
						),
					),
					'dependency' => array( 'element' => 'style', 'value' => array( 'custom_info' ) ),
                ),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Contact form', 'js_composer' ),
					'param_name'  => 'form',
					'description' => __( 'Add your form id from shortcode Contact Form 7 Plugin.', 'js_composer' ),
					'dependency'  => array( 'element' => 'style', 'value' => array('info_with_form') )
                ),
				array(
					'type' => 'param_group',
					'heading' => __( 'Items single', 'js_composer' ),
					'param_name' => 'items_single',
					'value' => '',
					'params' => array(
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Title', 'js_composer' ),
							'param_name' => 'title',
						),
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Phone', 'js_composer' ),
							'param_name' => 'phone'
						),
						array(
							'type'       => 'textfield',
							'heading'    => __( 'Email', 'js_composer' ),
							'param_name' => 'email'
						),
					),
					'dependency' => array( 'element' => 'style', 'value' => array('style6') ),
				),
			),
			//end params
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_phoxy_contacts extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'image'        => '',
				'style'        => 'info_with_form',
				'address_info' => '',
				'form'         => '',
				'email_info'   => '',
				'phone_info'   => '',
				'items_single'   => ''

			), $atts ) );

			if ( !in_array( "phoxy-contacts-style", self::$css_scripts ) ) {
				self::$css_scripts[] = "phoxy-contacts-style";
			}
			$this->enqueueCss();

			if(isset($style) && $style == 'parallax_content'){
				if ( !in_array( "phoxy-parallax-lib", self::$js_scripts ) ) {
					self::$js_scripts[] = "phoxy-parallax-lib";
				}
				$this->enqueueJs();
            }

			// el class
			$url   = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_src( $image, 'full' ) : '';
			$style =  $style == 'parallax_content' ? $style . ' full-height' : $style;

			$class_overlay = ! empty( $form ) ? ' over' : '';

			// start output
			ob_start();

			?>

            <div class="contacts-info-wrap <?php echo esc_attr( $style . $class_overlay ); ?>">

				<?php

                if ( $style == 'info_with_form' ) {

					$classInfo = ! empty( $form ) ? 'col-sm-6 col-md-4' : '';
					$classForm = ! empty( $form ) ? 'col-sm-6 col-md-8' : ''; ?>

                    <div class="container no-padd">
                        <div class="row">
                            <div class="col-xs-12 <?php echo esc_attr( $classInfo ); ?>">
                                <div class="content-wrap">
									<?php if ( ! empty( $address_info ) ) { ?>
                                        <div class="content-item">
											<?php $address_info = (array) vc_param_group_parse_atts( $address_info ); ?>
                                            <h5 class="title">
                                                <?php esc_html_e( 'Address:', 'phoxy' ); ?>
                                            </h5>
											<?php foreach ( $address_info as $address ) {
												if ( ! empty( $address ) ) { ?>
                                                    <div class="address"><p><?php echo wp_kses_post( $address['address'] ); ?></p></div>
												<?php }
											} ?>
                                        </div>
									<?php }

									if ( ! empty( $content ) ) { ?>
                                        <div class="content-item">
                                            <h5 class="title">
                                                <?php esc_html_e( 'Information:', 'phoxy' ); ?>
                                            </h5>
                                            <div class="address"><p><?php echo wp_kses_post( $content ); ?></p></div>
                                        </div>
									<?php } ?>
                                </div>
                            </div>
                            <div class="col-xs-12 <?php echo esc_attr( $classForm ); ?>">
								<?php if ( ! empty( $form ) ) { ?>
                                    <div class="form btn-style-1"><?php echo do_shortcode( '[contact-form-7 id="' . esc_attr( $form ) . '"]' ); ?></div>
								<?php } ?>
                            </div>
                        </div>
                    </div>
				<?php }
				elseif ( $style == 'parallax_content full-height' ) { ?>
                    <div class="content-wrap">
						<?php if ( ! empty( $image ) ) {
							$classContent = ''; ?>
                            <div class="image-wrap full-height parallax-window full-height js-contacts-parallax" style="background-image: url('<?php echo esc_url( $url[0] ); ?>') ">
                            </div>
						<?php }else{
						    $classContent = 'no-image';
                        } ?>

                        <div class="content <?php echo esc_attr($classContent); ?>">
							<?php if ( ! empty( $content ) ) { ?>
                                <div class="text"><p><?php echo wp_kses_post( $content ); ?></p></div>
							<?php } ?>
                        </div>
                    </div>
				<?php }
				elseif ( $style == 'custom_info' ) {
					if ( ! empty( $content ) || ! empty( $address_info ) || ! empty( $phone_info ) || ! empty( $email_info ) ) {
						$bottomClass = ( ! empty( $content ) && ( ! empty( $address_info ) || ! empty( $phone_info ) || ! empty( $email_info ) ) ) ? 'col-xs-12 col-sm-6' : 'col-xs-12'; ?>
                        <div class="additional-content-wrap">
                            <div class="container">
                                <div class="row">
									<?php if ( ! empty( $content ) ) { ?>
                                        <div class="text <?php echo esc_attr( $bottomClass ); ?>">
                                            <p><?php echo wp_kses_post(do_shortcode( $content )); ?></p>
                                        </div>
									<?php } ?>

                                    <div class="content-items <?php echo esc_attr( $bottomClass ); ?>">

										<?php if ( ! empty( $address_info ) ) { ?>

                                            <div class="content-item">

												<?php $address_info = (array) vc_param_group_parse_atts( $address_info ); ?>

                                                <h5 class="title"><?php echo esc_html__( 'address:', 'phoxy' ); ?></h5>

                                                <?php foreach ( $address_info as $address ) {
													if ( ! empty( $address ) ) { ?>
                                                        <div class="address"><?php echo wp_kses_post( $address['address'] ); ?></div>
													<?php }
												} ?>

                                            </div>

										<?php }

										if ( ! empty( $phone_info ) ) { ?>

                                            <div class="content-item">

												<?php $phone_info = (array) vc_param_group_parse_atts( $phone_info ); ?>

                                                <h5 class="title"><?php echo esc_html__( 'phone:', 'phoxy' ); ?></h5>

                                                <?php foreach ( $phone_info as $phone ) {
													if ( ! empty( $phone ) ) {
													    $phone_numbers = str_replace(' ','',$phone['phone']); ?>
                                                        <a href="tel:<?php echo esc_attr( $phone_numbers ); ?>"
                                                           class="email"><?php echo wp_kses_post( $phone['phone'] ); ?></a>
													<?php }
												} ?>

                                            </div>

										<?php }

										if ( ! empty( $email_info ) ) { ?>

                                            <div class="content-item">

												<?php $email_info = (array) vc_param_group_parse_atts( $email_info ); ?>

                                                <h5 class="title"><?php echo esc_html__( 'email:', 'phoxy' ); ?></h5>

                                                <?php foreach ( $email_info as $email ) {
													if ( ! empty( $email ) ) { ?>
                                                        <a href="mailto:<?php echo esc_attr( $email['email'] ); ?>"
                                                           class="email"><?php echo wp_kses_post( $email['email'] ); ?></a>
													<?php }
												} ?>

                                            </div>

										<?php } ?>

                                    </div>
                                </div>
                            </div>
                        </div>
					<?php }
				} ?>

            </div>

			<?php
			// end output
			return ob_get_clean();
		}
	}
}

