<?php

//Phoxy Gallery shortcode

if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/gallery/';
	vc_map(
		array(
			'name'                    => esc_html__( 'Phoxy Gallery', 'js_composer' ),
			'base'                    => 'phoxy_gallery',
			'content_element'         => true,
			'show_settings_on_create' => false,
			'description'             => esc_html__( 'Simple Gallery and For Justified Gallery Plugins', 'js_composer' ),
			'params'                  => array(
                array(
                    'type'       => 'select_preview',
                    'param_name' => 'type',
                    'heading'    => esc_html__( 'Type Gallery', 'js_composer' ),
                    'description' => __( "Please note Glitch effect is very experimental. It is not supported in IE or Edge.", 'js_composer' ),
                    'value'      => array(

                        array(
                            'value' => 'with_thumbnile',
                            'label' => esc_html__( 'Fullscreen with thumbnail', 'js_composer' ),
                            'image' => $url . 'phoxy-gallery-fullscreen-with-thumbnail.jpg'
                        ),

                        array(
                            'label' => esc_html__( 'Slider transition', 'js_composer' ),
                            'value' => 'slider_transition',
                            'image' => $url . 'phoxy-gallery-slider-transition.jpg'
                        ),
                        array(
                            'label' => esc_html__( 'Glitch gallery', 'js_composer' ),
                            'value' => 'glitch',
                            'image' => $url . 'phoxy-gallery-glitch.jpg'
                        ),
	                    array(
		                    'label' => esc_html__( 'Simple slider', 'js_composer' ),
		                    'value' => 'simple_slider',
		                    'image' => $url . 'phoxy-gallery-simple-slider.jpg'
	                    ),
	                    array(
		                    'label' => esc_html__( 'Modern gallery', 'js_composer' ),
		                    'value' => 'modern_gallery',
		                    'image' => $url . 'phoxy-modern-gallery.jpg'
	                    ),
                        array(
		                    'label' => esc_html__( 'Tilt gallery', 'js_composer' ),
		                    'value' => 'tilt_gallery',
		                    'image' => $url . 'phoxy-tilt-gallery.jpg'
	                    ),
	                    array(
		                    'label' => esc_html__( 'Adjusted Grid', 'js_composer' ),
		                    'value' => 'adjusted_grid',
		                    'image' => $url . 'phoxy-adjusted-grid.jpg'
	                    ),
                        array(
		                    'label' => esc_html__( 'Full slider', 'js_composer' ),
		                    'value' => 'full_slider',
		                    'image' => $url . 'phoxy-full-slider.jpg'
	                    ),
                        array(
		                    'label' => esc_html__( 'Slider with thumbnail', 'js_composer' ),
		                    'value' => 'slider_thumbnail',
		                    'image' => $url . 'phoxy-slider-thumbnail.jpg'
	                    ),
	                    array(
		                    'label' => esc_html__( 'Mixed Masonry', 'js_composer' ),
		                    'value' => 'mixed_masonry',
		                    'image' => $url . 'mixed-masonry.jpg'
	                    ),
	                    array(
		                    'label' => esc_html__( 'Justified Gallery', 'js_composer' ),
		                    'value' => 'justified',
		                    'image' => $url . 'justified.jpg'
	                    ),
	                    array(
		                    'label' => esc_html__( 'Boxed Grid with filter', 'js_composer' ),
		                    'value' => 'boxed_grid',
		                    'image' => $url . 'boxed_grid.jpg'
	                    ),
	                    array(
		                    'label' => esc_html__( 'Metro', 'js_composer' ),
		                    'value' => 'metro',
		                    'image' => $url . 'metro.jpg'
	                    ),
	                    array(
		                    'label' => esc_html__( 'Masonry with filter', 'js_composer' ),
		                    'value' => 'masonry_filter',
		                    'image' => $url . 'masonry_filter.jpg'
	                    ),
	                    array(
		                    'label' => esc_html__( 'Masonry with gradient hover', 'js_composer' ),
		                    'value' => 'masonry_gradient',
		                    'image' => $url . 'masonry_gradient.jpg'
	                    ),
                        array(
		                    'label' => esc_html__( 'Justified with main image', 'js_composer' ),
		                    'value' => 'justified_image',
		                    'image' => $url . 'justified_image.jpg'
	                    ),
                    ),
                    'admin_label' => true,
                    'save_always' => true,
                ),
				array(
					'type'       => 'dropdown',
					'heading'    => __( 'Column number', 'js_composer' ),
					'param_name' => 'col_numb',
					'value'      => array(
						__( '2 columns', 'js_composer' ) => 'column-2',
						__( '3 columns', 'js_composer' ) => 'column-3',
						__( '4 columns', 'js_composer' ) => 'column-4',
						__( '5 columns', 'js_composer' ) => 'column-5',
					),
					'dependency' => array( 'element' => 'type', 'value' => array( 'masonry_gradient' ) ),
				),
				array(
					'type' => 'checkbox',
					'heading' => esc_html__('Show button for hide menu?', 'js_composer'),
					'param_name' => 'show_button',
					'std' => '',
					'dependency' => array( 'element' => 'type', 'value' => array( 'full_slider' ) )
				),
				array(
					'type' => 'checkbox',
					'heading' => esc_html__('Hide menu by default?', 'js_composer'),
					'param_name' => 'hide_menu',
					'std' => '',
					'dependency' => array( 'element' => 'type', 'value' => array( 'full_slider' ) )
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
					'dependency' => array( 'element' => 'type', 'value' => array( 'justified' ) )
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Subtitle', 'js_composer' ),
					'param_name' => 'subtitle',
					'dependency' => array( 'element' => 'type', 'value' => array( 'justified' ) )
				),
				array(
					'type'        => 'attach_images',
					'heading'     => 'Images',
					'param_name'  => 'images',
					'admin_label' => true,
					'description' => 'Upload your images.',
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Autoplay (milliseconds)', 'js_composer' ),
					'param_name'  => 'autoplay',
					'description' => __( 'Only number. Default 5000 milliseconds', 'js_composer' ),
					'dependency'  => array(
						'element' => 'type',
						'value'   => array( 'simple_slider', 'slider_thumbnail' )
					)
				),
                array(
                    'type'        => 'checkbox',
                    'heading'     => __( 'Autoplay turn on', 'js_composer' ),
                    'param_name'  => 'autoplay_check',
                    'description' => __( ' Default is disabled ', 'js_composer' ),
                    'dependency'  => array(
                        'element' => 'type',
                        'value'   => array( 'simple_slider', 'slider_thumbnail' )
                    )
                ),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__( 'Extra class name', 'js_composer' ),
					'param_name'  => 'el_class',
					'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'js_composer' ),
					'value'       => '',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS box', 'js_composer' ),
					'param_name' => 'css',
					'group'      => esc_html__( 'Design options', 'js_composer' ),
				),
			),

			//end params
		)
	);
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_phoxy_gallery extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'images'         => '',
				'show_button'         => '',
				'subtitle'         => '',
				'col_numb'         => 'column-2',
				'title'         => '',
				'hide_menu'         => '',
				'autoplay'           => '5000',
				'type'           => 'with_thumbnile',
				'el_class'       => '',
				'css'            => '',
                'autoplay_check' => 'false'

			), $atts ) );

			$autoplay           = ! empty( $autoplay ) && is_numeric( $autoplay ) ? $autoplay : '5000';
            $autoplay_check     = ! empty( $autoplay_check ) &&  $autoplay_check  ? $autoplay_check : '0';
			$col_numb = isset($col_numb) && !empty($col_numb) ? $col_numb : 'column-2';


			if ( isset( $type ) && $type == 'glitch' ) {
				if ( ! in_array( "glitch-slideshow-style", self::$css_scripts ) ) {
					self::$css_scripts[] = "glitch-slideshow-style";
				}
			}

			if ( isset( $type ) && $type == 'simple_slider' ) {
				if ( ! in_array( "owlcarousel-style", self::$css_scripts ) ) {
					self::$css_scripts[] = "owlcarousel-style";
				}
			}

			if ( isset( $type ) && $type == 'tilt_gallery' ) {
				if ( ! in_array( "titl-style", self::$css_scripts ) ) {
					self::$css_scripts[] = "titl-style";
				}
			}

			if ( isset( $type ) && ($type == 'justified' || $type == 'justified_image') ) {
				if ( ! in_array( "justified-gallery-style", self::$css_scripts ) ) {
					self::$css_scripts[] = "justified-gallery-style";
				}
			}

			if ( ! in_array( "phoxy-gallery-style", self::$css_scripts ) ) {
				self::$css_scripts[] = "phoxy-gallery-style";
			}
			$this->enqueueCss();

			if ( isset( $type ) && $type == 'with_thumbnile' ) {
				if ( ! in_array( "phoxy-flexslider", self::$js_scripts ) ) {
					self::$js_scripts[] = "phoxy-flexslider";
				}
			}
			if ( isset( $type ) && $type == 'slider_transition' ) {
				if ( ! in_array( "phoxy-slider-transition", self::$js_scripts ) ) {
					self::$js_scripts[] = "phoxy-slider-transition";
				}
			}

			if ( isset( $type ) && $type == 'glitch' ) {
				if ( ! in_array( "phoxy-flexslider", self::$js_scripts ) ) {
					self::$js_scripts[] = "phoxy-flexslider";
				}
				if ( ! in_array( "glitch", self::$js_scripts ) ) {
					self::$js_scripts[] = "glitch";
				}
			}

			if ( isset( $type ) && $type == 'simple_slider' ) {
				if ( ! in_array( "owlcarousel", self::$js_scripts ) ) {
					self::$js_scripts[] = "owlcarousel";
				}
			}

			if ( isset( $type ) && ($type == 'justified' || $type == 'justified_image')) {
				if ( ! in_array( "justified-gallery", self::$js_scripts ) ) {
					self::$js_scripts[] = "justified-gallery";
				}
			}

			if ( isset( $type ) && $type == 'tilt_gallery' ) {
				if ( ! in_array( "titl_effect", self::$js_scripts ) ) {
					self::$js_scripts[] = "titl_effect";
				}
			}

			$this->enqueueJs();

			if ( ! in_array( "phoxy-gallery", self::$js_scripts ) ) {
				self::$js_scripts[] = "phoxy-gallery";
			}
			$this->enqueueJs();


			// el class
			$css_classes = array(
				$this->getExtraClass( $el_class )
			);
			$wrap_class  = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts );
			/* get custum css as class*/
			$wrap_class .= vc_shortcode_custom_css_class( $css, ' ' );
			$wrap_class .= ! empty( $el_class ) ? ' ' . $el_class : '';
			$css_class  = ! empty( $wrap_class ) ? ' ' . $wrap_class : '';
			$css_class .= !empty($show_button) ? ' show-button' : '';
			$type       = isset( $type ) ? $type : 'with_thumbnile';

			ob_start(); ?>

            <!-- Row -->
			<?php if ( ! empty( $images ) ) {

				//Fullscreen with thumbnail
				$images = explode( ',', $images ); ?>
                <div class="<?php echo esc_attr( $css_class . ' ' . $type ); ?>" >
					<?php if ( $type == 'with_thumbnile' ){ ?>
                    <div class="thumb-slider-wrapp full-height-window-hard">
                        <div class="main-thumb-slider">
                            <ul class="slides">
				                <?php foreach ( $images as $key => $image_id ) :
					                $attachment = get_post( $image_id ); ?>
                                    <li>
                                        <div class="thumb-slider-bg">
							                <?php $url = wp_get_attachment_image_url( $image_id, 'full' );

							                echo phoxy_the_lazy_load_flter( $url, array(
								                'class' => 's-img-switch',
								                'alt'   => $attachment->post_excerpt
							                ) ); ?>

                                        </div>
                                    </li>
				                <?php endforeach; ?>
                            </ul>
                        </div>
                        <div class="sub-thumb-slider active">
                            <ul class="slides">
				                <?php foreach ( $images as $key => $image_id ) :
					                $attachment = get_post( $image_id ); ?>
                                    <li>
                                        <div class="thumb-slider-bg">
							                <?php $url = wp_get_attachment_image_url( $image_id, 'medium' );

							                echo phoxy_the_lazy_load_flter( $url, array(
								                'class' => 's-img-switch',
								                'alt'   => $attachment->post_excerpt
							                ) ); ?>

                                        </div>
                                    </li>
				                <?php endforeach; ?>
                            </ul>
                        </div>
                        <div class="thumb-slider-wrapp-arrow active">
                            <span class="hide-images"><?php esc_html_e( 'Hide images', 'phoxy' ); ?></span>
                            <span class="show-images"><?php esc_html_e( 'Show images', 'phoxy' ); ?></span>
                        </div>
                    </div>

	                <?php
	                }
	                elseif ( $type == 'slider_transition' ){ ?>
                        <div class="trans-slider full-height-window-hard">
                        <div class="page-view full-height-window-hard">
			                <?php if ( ! empty( $images ) ) {
				                foreach ( $images as $image ) {
					                $url         = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_src( $image, 'full' ) : '';
					                $attachment  = get_post( $image );
					                $title       = $attachment->post_excerpt;
					                $description = $attachment->post_content; ?>

                                    <div class="project">
                                        <img src="<?php echo esc_url( $url[0] ); ?>" alt="" class="s-img-switch">
                                        <div class="text">
                                            <h1><?php echo esc_html( $title ); ?></h1>
                                            <p><?php echo esc_html( $description ); ?></p>
                                        </div>
                                    </div>

				                <?php }
			                } ?>


                            <nav class="arrows">
                                <div class="arrow previous">
                                    <i class="ion-ios-arrow-thin-left"></i>
                                </div>
                                <div class="arrow next">
                                    <i class="ion-ios-arrow-thin-right"></i>
                                </div>
                            </nav>
                        </div>
                    </div>
	                <?php
	                }
	                elseif ( $type == 'glitch' ){ ?>
                        <div class="thumb-slider-wrapp">
                        <div class="glitch-overlay"></div>
                        <div class="slides slides--fullscreen effect-1">
			                <?php
			                if ( ! empty( $images ) ) {
				                foreach ( $images as $key => $slide ) :
					                $url = ( ! empty( $slide ) && is_numeric( $slide ) ) ? wp_get_attachment_image_src( $slide, 'full' ) : '';
					                $url = is_array( $url ) ? $url[0] : $url; ?>
                                    <div class="slide<?php if ( $key == 0 ): ?> slide--current<?php endif; ?>">
                                        <div class="slide__img glitch full-height-window"
                                             style="background-image: url(<?php echo esc_attr( $url ); ?>);"></div>
                                    </div>
				                <?php
				                endforeach;
			                } ?>
                        </div>

                        <div class="thumb-glitch">
                            <div class="swiper-button-prev"></div>
                            <div class="sub-thumb-slider--vertical swiper-container-vert-slider">
                                <div class="swiper-wrapper">
					                <?php foreach ( $images as $key => $image_id ) :
						                $attachment = get_post( $image_id ); ?>
                                        <div class="swiper-slide">
                                            <div class="thumb-slider-bg">
								                <?php $url = wp_get_attachment_image_url( $image_id, 'medium' );

								                echo phoxy_the_lazy_load_flter( $url, array(
									                'class' => 's-img-switch',
									                'alt'   => $attachment->post_excerpt
								                ) ); ?>

                                            </div>
                                        </div>
					                <?php endforeach; ?>
                                </div>
                            </div>
                            <div class="swiper-button-next"></div>
                        </div>
                    </div>
	                <?php
	                }
	                elseif( $type == 'simple_slider'){ ?>
                        <div class="owl-container-gallery owl-carousel full-height-window-hard"
                         data-autoplay="<?php echo esc_attr( $autoplay ); ?>" data-check="<?php echo $autoplay_check ?>"">
		                <?php foreach ( $images as $image ) {
			                $url         = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_src( $image, 'full' ) : '';
			                $url2        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_src( $image, 'large' ) : '';
			                $attachment  = get_post( $image );
			                $alt         = get_post_meta( $image, '_wp_attachment_image_alt', true );
			                $description = isset( $attachment->post_content ) && ! empty( $attachment->post_content ) ? $attachment->post_content : ''; ?>

                            <div class="owl-slide">
				                <?php if ( ! empty( $url ) ) { ?>
                                    <img src="<?php echo esc_url( $url[0] ); ?>" alt="<?php echo esc_attr( $alt ); ?>"
                                         data-url="<?php echo esc_url( $url2[0] ); ?>" class="s-img-switch">
				                <?php }

				                if ( ! empty( $description ) ) { ?>
                                    <div class="caption">
						                <?php echo esc_html( $description ); ?>
                                    </div>
				                <?php } ?>
                            </div>
		                <?php } ?>
                    </div>
	                <?php
	                }
	                elseif( $type == 'modern_gallery' ){
                        if ( ! empty( $images ) ) { ?>
                            <div class="popup-span"></div>
                            <div class="modern-gallery-isotope">
                                <?php foreach ( $images as $image ) {
                                    $url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
                                    $attachment = get_post( $image );
                                    $title      = $attachment->post_excerpt; ?>

                                    <a href="<?php echo esc_url( $url ); ?>" class="item gallery-item"
                                       data-content="<?php echo esc_attr( $title ); ?>">
                                        <img src="<?php echo esc_url( $url ); ?>" alt="<?php echo esc_attr( $title ); ?>"
                                             class="s-img-switch" data-s-hidden="1">
                                    </a>

                                <?php } ?>
                            </div>
                        <?php }

                    }
                    elseif( $type == 'tilt_gallery' ) {
					    foreach ( $images as $image ) {
							$url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
							$attachment = get_post( $image );
							$title      = $attachment->post_excerpt; ?>

                            <div class="image-wrap item">
                                <img src="<?php echo esc_url( $url ); ?>" alt="<?php echo esc_attr( $title ); ?>" class="s-img-switch" data-s-hidden="1">
                                <a href="<?php echo esc_url( $url ); ?>" class="gallery-item">
                                    <img src="<?php echo esc_url( $url ); ?>" alt="<?php echo esc_attr( $title ); ?>" class="tilt-effect s-img-switch" data-s-hidden="1">
                                </a>
                            </div>

						<?php } ?>
					<?php }
					elseif( $type == 'adjusted_grid' ){ ?>
                        <div class="row clearfix">
	                        <?php $count = 1;
	                        foreach( $images as $image ) :
		                        $url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'large' ) : '';
		                        $attachment = get_post( $image );
		                        $title      = $attachment->post_excerpt;
		                        $count_image = $count <= 9 ? '#0' . $count : '#' . $count ;
		                        ?>

                                <div class="img-list-gallery item col-xs-12 col-md-4 col-sm-6">

                                    <a href="<?php echo esc_url( $url ); ?>" class="gallery-item">
                                        <img src="<?php echo esc_url( $url ); ?>" alt="<?php echo esc_attr( $title ); ?>" class="">
                                        <div class="img-title">
                                            <span><?php echo esc_html($count_image); ?></span>
                                            <span><?php echo esc_html($title); ?></span>
                                        </div>

                                    </a>

                                </div>
		                        <?php

		                        $count++;

	                        endforeach; ?>
                        </div>
					<?php }
					elseif( $type == 'full_slider' ){
					    $hide_menu = !empty($hide_menu) ? 'active' : ''; ?>

                        <div class="slider slider-single">
	                        <?php foreach( $images as $image ){

		                        $url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
		                        $attachment = get_post( $image );
		                        $title      = $attachment->post_excerpt; ?>


                                <div class="item full-height-window-hard">
                                    <div class="img-wrap">
	                                    <?php if ( ! empty( $url ) ) {
		                                    echo phoxy_the_lazy_load_flter( $url, array( 'class' => 's-img-switch', 'alt' => $title ) );
	                                    } ?>
                                    </div>

                                    <div class="content-wrap">
				                        <?php if(!empty($title)){ ?>
                                            <div class="title"><?php echo wp_kses_post($title); ?></div>
				                        <?php } ?>
                                    </div>

                                </div>

	                        <?php } ?>

                        </div>

                        <div class="slider slider-nav">

	                        <?php foreach( $images as $image ){

		                        $url_thumb        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'medium' ) : '';
		                        $attachment = get_post( $image );
		                        $title      = $attachment->post_excerpt; ?>


                                <div class="item">

			                        <?php if ( ! empty( $url_thumb ) ) {
				                        echo phoxy_the_lazy_load_flter( $url_thumb, array( 'class' => 'thumbs', 'alt' => $title ) );
			                        } ?>


                                </div>

	                        <?php } ?>

                        </div>

                        <div class="gallery-button ion-images"></div>
                        <?php if(!empty($show_button)){ ?>
                            <div class="menu-button ion-android-menu <?php echo esc_attr($hide_menu); ?>"></div>
                        <?php } ?>


                    <?php }
                    elseif( $type == 'slider_thumbnail' ){ ?>
                        <div class="slider slider-single" data-autoplay="<?php echo $autoplay; ?>" data-check="<?php echo $autoplay_check ?>">
		                    <?php foreach( $images as $image ){

			                    $url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
			                    $attachment = get_post( $image );
			                    $title      = $attachment->post_excerpt; ?>

                                <div class="item full-height-window-hard">
                                    <div class="img-wrap">
					                    <?php if ( ! empty( $url ) ) {
						                    echo phoxy_the_lazy_load_flter( $url, array( 'class' => 's-img-switch', 'alt' => $title ) );
					                    } ?>
                                    </div>

                                </div>

		                    <?php } ?>

                        </div>

                        <div class="slider slider-nav">

		                    <?php foreach( $images as $image ){

			                    $url_thumb        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'medium' ) : '';
			                    $attachment = get_post( $image );
			                    $title      = $attachment->post_excerpt; ?>

                                <div class="item">
                                    <div class="img-wrap">
	                                    <?php if ( ! empty( $url_thumb ) ) {
		                                    echo phoxy_the_lazy_load_flter( $url_thumb, array( 'class' => 's-img-switch', 'alt' => $title ) );
	                                    } ?>
                                    </div>

                                </div>

		                    <?php } ?>

                        </div>
                    <?php }
                    elseif( $type == 'mixed_masonry' ){ ?>
                        <div class="mixed-masonry">

	                        <?php foreach ( $images as $image ) {
		                        $url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
		                        $attachment = get_post( $image );
		                        $title      = $attachment->post_excerpt;

		                        $categories = get_the_terms( $image, 'media-category' );
		                        $categories = ! empty( $categories ) ? $categories : '';
		                        $category   = array();
		                        if ( ! empty( $categories ) ) {
			                        foreach ( $categories as $item ) {
				                        $category[] = $item->name;
			                        }
			                        $category = implode( " / ", $category );
		                        } ?>

                                <a href="<?php echo esc_url( $url ); ?>" class="mixed-masonry-item item">

			                        <?php if ( ! empty( $url ) ) { ?>
                                        <img src="<?php echo esc_url( $url ); ?>" alt="<?php echo esc_attr($title); ?>" class="s-img-switch">
			                        <?php } ?>

                                    <span class="content">
                                        <span class="title"><?php echo esc_html( $title ); ?></span>
				                        <?php if(isset($category) && !empty($category)){ ?>
                                            <span class="category">
                                                <?php echo esc_html($category); ?>
                                            </span>
                                        <?php } ?>
                                    </span>

                                </a>

	                        <?php } ?>
                        </div>
					<?php }
					elseif( $type == 'justified' ){ ?>
                        <div class="justified-wrap-gallery">

							<?php if(isset($title) && !empty($title)){ ?>
                                <div class="main-title"><?php echo wp_kses_post($title); ?></div>
                            <?php }

							if(isset($subtitle) && !empty($subtitle)){ ?>
                                <div class="subtitle"><?php echo wp_kses_post($subtitle); ?></div>
							<?php } ?>


                            <div class="gallery-wrap">
	                            <?php foreach ( $images as $image ) {
		                            $url_medium        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'medium' ) : '';
		                            $url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
		                            $attachment = get_post( $image );
		                            $title      = $attachment->post_excerpt; ?>

                                    <a href="<?php echo esc_url( $url ); ?>" class="justified-item item">

			                            <?php if ( ! empty( $url ) ) { ?>
                                            <img src="<?php echo esc_url( $url_medium ); ?>" alt="" class="image">
			                            <?php } ?>

                                        <span class="content">
                                            <span class="title"><?php echo esc_html( $title ); ?></span>
                                        </span>

                                    </a>

	                            <?php } ?>
                            </div>
                        </div>
					<?php }
					elseif( $type == 'boxed_grid' ){ ?>
                        <div class="boxed-grid-gallery-wrap">

                            <div class="boxed-grid-filters">
                                <button class="button is-checked" data-filter="*"><?php esc_html_e('All', 'phoxy'); ?></button>
                                <?php
                                $categories_filter_array = array();

                                foreach ( $images as $image ) {
	                                $categories_filter = get_the_terms( $image, 'media-category' );
	                                if ( ! empty( $categories_filter ) ) {
		                                foreach ( $categories_filter as $filter ) {
                                            if (!in_array($filter->slug, $categories_filter_array)) {
	                                            $categories_filter_array[] = $filter->slug; ?>
                                                <button class="button" data-filter=".<?php echo esc_attr($filter->slug); ?>">
		                                            <?php echo esc_html($filter->name); ?>
                                                </button>
			                                <?php } ?>

		                                <?php }
	                                }
                                } ?>
                            </div>

                            <div class="gallery">
                                <?php foreach ( $images as $image ) {
                                    $url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
                                    $attachment = get_post( $image );
                                    $title      = $attachment->post_excerpt;
                                    $content      = $attachment->post_content;

                                    $categories = get_the_terms( $image, 'media-category' );
                                    $categories = ! empty( $categories ) ? $categories : '';
                                    $category   = array();
                                    if ( ! empty( $categories ) ) {
                                        foreach ( $categories as $item ) {
                                            $category[] = $item->slug;
                                        }
                                        $category = implode( " ", $category );

                                    }else{
                                        $category = '';
                                    } ?>

                                    <a href="<?php echo esc_url( $url ); ?>" class="item item-filter <?php echo esc_attr($category); ?>">

                                        <?php if ( ! empty( $url ) ) { ?>
                                            <img src="<?php echo esc_url( $url ); ?>" alt="<?php echo esc_attr($title); ?>" class="s-img-switch">
                                        <?php } ?>

                                        <span class="content">
                                            <span class="title"><?php echo esc_html( $title ); ?></span>
                                            <?php if(isset($content) && !empty($content)){ ?>
                                                <span class="text">
                                                    <?php echo esc_html($content); ?>
                                                </span>
                                            <?php } ?>
                                        </span>

                                    </a>

                                <?php } ?>
                            </div>
                        </div>
					<?php }
					elseif( $type == 'metro' ){ ?>
                        <div class="phoxy-gallery-metro-wrap">
                            <div class="light-gallery">
                                <?php foreach ( $images as $image ) {
                                    $url_full         = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_src( $image , 'full') : '';
                                    $attachment  = get_post( $image );
                                    $alt         = get_post_meta( $image, '_wp_attachment_image_alt', true );
                                    $description = isset( $attachment->post_excerpt ) && ! empty( $attachment->post_excerpt ) ? $attachment->post_excerpt : '';

                                    if(!empty($url_full)){ ?>
                                        <a href="<?php echo esc_url($url_full[0]); ?>" class="gallery-item-wrap item">
                                            <div class="gallery-item">
	                                            <?php echo phoxy_the_lazy_load_flter( $image, array( 'class' => 's-img-switch', 'alt' => $alt ) ); ?>
                                            </div>
		                                    <?php if ( ! empty( $description ) ) { ?>
                                                <span class="caption">
                                                    <?php echo wp_kses_post($description); ?>
                                                </span>
		                                    <?php } ?>
                                        </a>
                                    <?php }?>
                                <?php } ?>
                            </div>
                        </div>
                    <?php }
                    elseif( $type == 'masonry_filter' ){ ?>
                        <div class="masonry-filter-gallery-wrap">

                            <div class="masonry-filters">
                                <button class="button is-checked" data-filter="*"><?php esc_html_e('All', 'phoxy'); ?></button>
			                    <?php
			                    $categories_filter_array = array();

			                    foreach ( $images as $image ) {
				                    $categories_filter = get_the_terms( $image, 'media-category' );
				                    if ( ! empty( $categories_filter ) ) {
					                    foreach ( $categories_filter as $filter ) {
						                    if (!in_array($filter->slug, $categories_filter_array)) {
							                    $categories_filter_array[] = $filter->slug; ?>
                                                <button class="button" data-filter=".<?php echo esc_attr($filter->slug); ?>">
								                    <?php echo esc_html($filter->name); ?>
                                                </button>
						                    <?php } ?>

					                    <?php }
				                    }
			                    } ?>
                            </div>

                            <div class="gallery">
			                    <?php foreach ( $images as $image ) {
				                    $url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
				                    $attachment = get_post( $image );
				                    $title      = $attachment->post_excerpt;
				                    $content      = $attachment->post_content;

				                    $categories = get_the_terms( $image, 'media-category' );
				                    $categories = ! empty( $categories ) ? $categories : '';
				                    $category   = array();
				                    if ( ! empty( $categories ) ) {
					                    foreach ( $categories as $item ) {
						                    $category[] = $item->slug;
					                    }
					                    $category = implode( " ", $category );

				                    }else{
					                    $category = '';
				                    } ?>

                                    <div class="item-filter item <?php echo esc_attr($category); ?>">
                                        <a href="<?php echo esc_url( $url ); ?>" class="item-link">

		                                    <?php if ( ! empty( $url ) ) { ?>
                                                <img src="<?php echo esc_url( $url ); ?>" alt="<?php echo esc_attr($title); ?>">
		                                    <?php } ?>
                                        </a>
                                        <div class="content">
                                            <div class="title"><?php echo esc_html( $title ); ?></div>
		                                    <?php if(isset($content) && !empty($content)){ ?>
                                                <div class="text">
				                                    <?php echo esc_html($content); ?>
                                                </div>
		                                    <?php } ?>
                                        </div>
                                    </div>

			                    <?php } ?>
                            </div>
                        </div>
                    <?php }
                    elseif( $type == 'masonry_gradient' ){ ?>
                        <div class="masonry-gradient-wrap">
                            <div class="gallery">
			                    <?php foreach ( $images as $image ) {
				                    $url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
				                    $attachment = get_post( $image );
				                    $title      = $attachment->post_excerpt; ?>

                                    <a href="<?php echo esc_url( $url ); ?>" class="item <?php echo esc_attr($col_numb); ?>">

					                    <?php if ( ! empty( $url ) ) { ?>
                                            <img src="<?php echo esc_url( $url ); ?>" alt="<?php echo esc_attr($title); ?>">
					                    <?php } ?>

                                        <span class="content">
                                            <span class="title"><?php echo esc_html( $title ); ?></span>
                                        </span>

                                    </a>

			                    <?php } ?>
                            </div>
                        </div>
                    <?php }
                    elseif( $type == 'justified_image' ){ ?>
					    <div class="justified-images-wrap">
                            <?php if( !empty($images) ){ ?>
                                <div class="main-image">
                                    <?php $main_image_id = $images[0];
                                    $main_url        = ( ! empty( $main_image_id ) && is_numeric( $main_image_id ) ) ? wp_get_attachment_image_url( $main_image_id, 'full' ) : '';
                                    $main_attachment = get_post( $main_image_id );
                                    $image_alt = get_post_meta( $main_image_id, '_wp_attachment_image_alt', true);
                                    $main_title      = $main_attachment->post_excerpt; ?>

                                    <div class="image">
                                        <img src="<?php echo esc_url($main_url); ?>" alt="<?php echo esc_attr($image_alt); ?>" class="justified-animated-img">
                                    </div>
                                    <div class="title"><?php echo esc_html( $main_title ); ?></div>

                                </div>
                                <div class="gallery">
		                            <?php

                                    foreach ( $images as $image ) {

                                        $url_full        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
                                        $url        = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'large' ) : '';
                                        $alt = get_post_meta( $image, '_wp_attachment_image_alt', true);
	                                    $attachment = get_post( $image );
	                                    $title      = $attachment->post_excerpt; ?>

                                        <a href="<?php echo esc_url( $url_full ); ?>" class="item-image" data-title="<?php echo esc_attr($title); ?>">
                                            <img src="<?php echo esc_url( $url ); ?>" alt="<?php echo esc_attr($alt); ?>">
                                        </a>



		                            <?php ;

                                    } ?>
                                </div>
                            <?php } ?>
                        </div>
                    <?php } ?>
                </div>

				<?php
			}

			return ob_get_clean();
		}
	}
}

