<?php

//Skills shortcode

if ( function_exists( 'vc_map' ) ) {
	vc_map( array(
		'name'                    => __( 'Grid menu', 'js_composer' ),
		'base'                    => 'phoxy_grid_menu',
		'content_element'         => true,
		'show_settings_on_create' => true,
		'params'                  => array(
			array(
				'type'       => 'textfield',
				'heading'    => __( 'Main title', 'js_composer' ),
				'param_name' => 'title',
			),
			array(
				'type'       => 'textfield',
				'heading'    => __( 'Main subtitle', 'js_composer' ),
				'param_name' => 'subtitle',
			),
			array(
				'type'       => 'attach_image',
				'heading'    => __( 'Main background image', 'js_composer' ),
				'param_name' => 'image',
			),
			array(
				'type'       => 'textfield',
				'heading'    => __( 'Button text', 'js_composer' ),
				'param_name' => 'btn_text',
			),
			array(
				'type'        => 'param_group',
				'heading'     => __( 'Menu item', 'js_composer' ),
				'param_name'  => 'menu_item',
				'description' => __( 'Enter values for items', 'js_composer' ),
				'value'       => '',
				'params'      => array(
					array(
						'type'        => 'attach_image',
						'heading'     => __( 'Image', 'js_composer' ),
						'param_name'  => 'image',
					),
					array(
						'type'       => 'vc_link',
						'heading'    => __( 'Title and link', 'js_composer' ),
						'param_name' => 'link',
					),
					array(
						'type'       => 'textfield',
						'heading'    => __( 'Additional text', 'js_composer' ),
						'param_name' => 'additional_text',
					),
				),
				'description' => __( 'You can add max 5 items.', 'js_composer' ),
			),
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Extra class name', 'js_composer' ),
				'param_name'  => 'el_class',
				'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'js_composer' ),
				'value'       => '',
			),
			array(
				'type'       => 'css_editor',
				'heading'    => __( 'CSS box', 'js_composer' ),
				'param_name' => 'css',
				'group'      => __( 'Design options', 'js_composer' ),
			),
		) //end params
	) );
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_phoxy_grid_menu extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {

			extract( shortcode_atts( array(
				'title'            => '',
				'subtitle'         => '',
				'btn_text'         => '',
				'image'         => '',
				'menu_item' => array(),
				'el_class'         => '',
				'css'              => ''
			), $atts ) );

			// include needed scripts
			if ( !in_array( "phoxy-grid-menu", self::$js_scripts ) ) {
				self::$js_scripts[] = "phoxy-grid-menu";
			}

			$this->enqueueJs();

			// include needed stylesheets
			if ( !in_array( "phoxy-grid-menu-style", self::$css_scripts ) ) {
				self::$css_scripts[] = "phoxy-grid-menu-style";
			}
			$this->enqueueCss();

			$class = ( ! empty( $el_class ) ) ? $el_class : '';    // custum class
			$class .= vc_shortcode_custom_css_class( $css, ' ' );        // custum css

			$mob_items = '';
			$image    = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_url( $image ) : '';
			$btn_text = isset($btn_text) && !empty($btn_text) ? $btn_text : esc_html__('+ explore', 'phoxy');

			ob_start();

				if(!empty($menu_item)){
					$menu_item = (array) vc_param_group_parse_atts( $menu_item ); ?>
					<div class="grid-menu-wrapper <?php echo esc_attr($class); ?>">
						<div class="content content--fixed">
							<button class="menu-trigger"><?php echo esc_html($btn_text); ?></button>
						</div>
						<div class="content content--switch content--switch-current main-slide">
							<?php if(!empty($image)){ ?>
								<img src="<?php echo esc_url($image); ?>" alt="<?php esc_attr_e('Main image', 'phoxy'); ?>" class="s-img-switch">
							<?php }

							if(!empty($title)){ ?>
								<h2 class="content__title"><?php echo wp_kses_post($title); ?></h2>
							<?php }

							if(!empty($subtitle)){ ?>
								<div class="content__subtitle"><?php echo wp_kses_post($subtitle); ?></div>
							<?php } ?>
						</div>
						<nav class="grim">
							<div class="grim__item">
								<div class="grim__item-bg grim__item-bg--1"></div>
							</div>
							<div class="grim__item">
								<div class="grim__item-bg grim__item-bg--2"></div>
							</div>
							<div class="grim__item">
								<div class="grim__item-bg grim__item-bg--3"></div>
								<div class="grim__item-content">
									<div class="grim__item-inner">
										<button class="menu-trigger menu-trigger--close"><?php esc_html_e('- close', 'phoxy'); ?></button>
									</div>
								</div>
							</div>
							<div class="grim__item">
								<div class="grim__item-bg grim__item-bg--4"></div>
							</div>

							<div class="grim__item">
								<div class="grim__item-bg grim__item-bg--5">
								</div>
								<a href="<?php echo esc_url(home_url('/')); ?>" class="grim__link grim__item-content">
									<div class="grim__item-inner">
										<h3 class="grim__item-title"><?php esc_html_e('Home', 'phoxy'); ?></h3>
									</div>
								</a>
							</div>

							<?php

							$counter = 6;

							foreach ( $menu_item as $item ) {
								$image_item    = ( ! empty( $item['image'] ) && is_numeric( $item['image'] ) ) ? wp_get_attachment_url( $item['image'] ) : '';

								if ( ! empty( $item['link'] ) ) {
									$url = vc_build_link( $item['link'] );
									$url['target'] = isset($item['target']) && !empty($item['target']) ? $item['target'] : '_self';
								} else {
									$url['url']    = '#';
									$url['title']  = 'title';
									$url['target'] = '_self';
								}

								if($counter != 11 ) { ?>
                                    <div class="grim__item">
                                        <div class="grim__item-bg grim__item-bg--<?php echo esc_attr( $counter ); ?>">
											<?php if ( ! empty( $image_item ) ) { ?>
                                                <img src="<?php echo esc_url( $image_item ); ?>"
                                                     alt="<?php esc_attr_e( 'image', 'phoxy' ); ?>"
                                                     class="s-img-switch">
											<?php } ?>
                                        </div>

                                        <a href="<?php echo esc_url( $url['url'] ); ?>"
                                           class="grim__link grim__item-content"
                                           target="<?php echo esc_attr( $url['target'] ); ?>">
                                            <div class="grim__item-inner">

												<?php if ( ! empty( $url['title'] ) ) { ?>
                                                    <h3 class="grim__item-title"><?php echo esc_html( $url['title'] ); ?></h3>
												<?php }

												if ( ! empty( $item['additional_text'] ) ) { ?>
                                                    <span class="grim__item-desc"><?php echo esc_html( $item['additional_text'] ); ?></span>
												<?php } ?>

                                            </div>
                                        </a>
                                    </div>
									<?php

                                    $mob_items .= '<div class="content content--switch slide-'. esc_attr($counter) .'">';
                                    if(!empty($image_item)){
	                                    $mob_items .= '<img src="' . esc_url( $image_item ) . '" alt="' . esc_attr__( 'image', 'phoxy' ) . '" class="s-img-switch">';
                                    }
									if(!empty($url['title'])){
										$mob_items .= '<a href="' . esc_url( $url['url'] ) . '" class="content__title">'. esc_html($url['title']) .'</a>';
                                    }
									if(!empty($item['additional_text'])){
                                        $mob_items .= '<div class="content__subtitle">' . esc_html( $item['additional_text'] ) . '</div>';
									}
                                    $mob_items .= '</div>';

                                    $counter ++;
								}
							} ?>
						</nav>
                        <?php echo $mob_items; ?>
					</div>
				<?php }

			return ob_get_clean();
		} // end content()
	} // end class
} // end if


