<?php

//Custom text block shortcode

if ( function_exists( 'vc_map' ) ) {
    $url = EF_URL . '/admin/assets/images/shortcodes_images/headings/';
	vc_map(
		array(
			'name'        => __( 'Headings', 'js_composer' ),
			'base'        => 'phoxy_headings',
			'description' => __( 'Section with text button (with paddings)', 'js_composer' ),
			'category'    => __( 'Content', 'js_composer' ),
			'params'      => array(
                array(
                    'type'       => 'select_preview',
                    'param_name' => 'style',
                    'heading'    => esc_html__( 'Style', 'js_composer' ),
                    'value'      => array(
                        array(
                            'label' => esc_html__( 'Simple', 'js_composer' ),
                            'value' => 'simple',
                            'image' => $url . 'simple.jpg'
                        ),
	                    array(
		                    'label' => esc_html__( 'Small Modern', 'js_composer' ),
		                    'value' => 'text_small_modern',
		                    'image' => $url . 'text_small_modern.jpg'
	                    ),
                        array(
                            'label' => esc_html__( 'Text with button (simple)', 'js_composer' ),
                            'value' => 'text_button',
                            'image' => $url . 'text-with-button-simple.jpg'
                        ),
                        array(
                            'label' => esc_html__( 'Text with button (modern)', 'js_composer' ),
                            'value' => 'text_button_modern',
                            'image' => $url . 'text-with-button-modern.jpg'
                        ),
                        array(
                            'label' => esc_html__( 'Text center align (simple)', 'js_composer' ),
                            'value' => 'text_center',
                            'image' => $url . 'text_center_align.jpg'
                        ),
	                    array(
		                    'label' => esc_html__( 'Modern text with button', 'js_composer' ),
		                    'value' => 'modern_button',
		                    'image' => $url . 'modern_button.jpg'
	                    ),
                    ),
                    'admin_label' => true,
                    'save_always' => true,
                ),
				array(
					'type'       => 'dropdown',
					'heading'    => __( 'Text align', 'js_composer' ),
					'param_name' => 'text_align',
					'value'      => array(
						'Left content'   => 'text-left',
						'Center content' => 'text-center',
						'Right content'  => 'text-right',
					),
					'dependency' => array( 'element' => 'style', 'value' => array('text_button_modern', 'text_small_modern', 'modern_button') )
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
					'value'      => '',
				),
                array(
                    "type"       => "colorpicker",
                    "heading"    => __( "Title color", "js_composer" ),
                    "param_name" => "title_color",
                    "value"      => '', //Default color
                    'dependency' => array( 'element' => 'style', 'value' => array( 'text_center', 'simple', 'text_small_modern' ) )
                ),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Subtitle', 'js_composer' ),
					'param_name' => 'subtitle',
					'value'      => '',
				),
                array(
                    "type"       => "colorpicker",
                    "heading"    => __( "Subtitle color", "js_composer" ),
                    "param_name" => "subtitle_color",
                    "value"      => '', //Default color
                    'dependency' => array( 'element' => 'style', 'value' => array( 'text_center', 'simple', 'text_small_modern' ) )
                ),
				array(
					'type'       => 'vc_link',
					'heading'    => __( 'Link/Button', 'js_composer' ),
					'param_name' => 'button',
					'dependency' => array(
						'element' => 'style',
						'value'   => array(
							'text_button',
							'text_button_modern',
                            'modern_button'
						)
					)
				),
				array(
					'type'       => 'dropdown',
					'heading'    => __( 'Button style', 'js_composer' ),
					'param_name' => 'btn_style',
					'value'      => array(
						'Dark'  => 'a-btn',
						'Light' => 'a-btn-2',
						'Grey'  => 'a-btn-3',
						'White' => 'a-btn-4'
					),
					'dependency' => array(
						'element' => 'style',
						'value'   => array( 'text_button_modern', 'text_button', 'modern_button' )
					)
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Remove fade-in-up animation on load?', 'js_composer' ),
					'param_name' => 'animation_fade',
					'std'        => '',
				),
			),

			//end params
		)
	);
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_phoxy_headings extends WPBakeryShortCode {
		/**
		 * @param $atts
		 * @param null $content
		 *
		 * @return string
		 */
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'title'          => '',
				'text_align'     => 'text-left',
				'subtitle_color' => '',
				'subtitle'    => '',
				'title_color'    => '',
				'animation_fade' => '',
				'style'          => 'simple',
				'button'         => '',
				'btn_style'      => 'a-btn'

			), $atts ) );

			$style      = ! empty( $style ) ? $style : 'simple';
			$text_align = $style == 'text_button_modern' || $style == 'text_small_modern' || $style == 'modern_button' ? $text_align : '';


			if ( ! in_array( "phoxy-headings", self::$js_scripts ) ) {
				self::$js_scripts[] = "phoxy-headings";
			}
			$this->enqueueJs();

			// include needed stylesheets
			if ( ! in_array( "phoxy-headings-style", self::$css_scripts ) ) {
				self::$css_scripts[] = "phoxy-headings-style";
			}
			$this->enqueueCss();
			$container = $style == 'style6' ? 'container-fluid' : 'container';

			$animation_fade = isset( $animation_fade ) && ! empty( $animation_fade ) ? '' : 'load-fade';

			$subtitle_color = ! empty( $subtitle_color ) ? 'style="color:' . $subtitle_color . '" ' : '';
			$title_color    = ! empty( $title_color ) ? 'style="color:' . $title_color . '" ' : '';


			$wrapClass = $animation_fade;

			if ( ! empty( $button ) ) {
				$url = vc_build_link( $button );
				$url['target'] = isset($url['target']) && !empty($url['target']) ? $url['target'] : '_self';
			} else {
				$url['url']    = '#';
				$url['title']  = '';
				$url['target'] = '_self';
			}


			// start output
			ob_start(); ?>
            <div class="headings-wrap <?php echo esc_attr( $wrapClass ); ?>">

                <div class="<?php echo esc_attr( $container ); ?>">
                    <div class="row">
                        <div class="headings <?php echo esc_attr( $style . ' ' . $text_align ); ?>">

							<?php if ( $style == 'text_button' || $style == 'text_button_modern' ) {
								if ( ! empty( $title ) ) { ?>
                                    <h3 class="title">
                                        <?php echo esc_html( $title ); ?>
                                    </h3>
								<?php }
								if ( ! empty( $subtitle ) ) { ?>
                                    <div class="subtitle">
										<p><?php echo wp_kses_post( $subtitle ); ?></p>
                                    </div>
								<?php }
								if ( ! empty( $button ) && !empty($url['title'])) { ?>
                                    <div class="link-wrap">
                                        <a href="<?php echo esc_url( $url['url'] ); ?>"
                                           class="<?php echo esc_attr( $btn_style ); ?>"
                                           target="<?php echo esc_attr( $url['target'] ); ?>">
                                            <?php echo esc_html( $url['title'] ); ?>
                                        </a>
                                    </div>
								<?php }
							}
							elseif ( $style == 'simple' || $style == 'text_small_modern') {
								if ( ! empty( $title ) ) { ?>
                                    <h3 class="title" <?php echo $title_color; ?>>
                                        <?php echo esc_html( $title ); ?>
                                    </h3>
								<?php }
								if ( ! empty( $subtitle ) ) { ?>
                                    <div class="subtitle" <?php echo $subtitle_color; ?>>
										<p><?php echo wp_kses_post( $subtitle ); ?></p>
                                    </div>
								<?php }
							}
							elseif ( $style == 'text_center' ) {
								if ( ! empty( $subtitle ) ) { ?>
                                    <div class="subtitle" <?php echo $subtitle_color; ?>>
										<p><?php echo wp_kses_post( $subtitle ); ?></p>
                                    </div>
								<?php }
								if ( ! empty( $title ) ) { ?>
                                    <h3 class="title" <?php echo $title_color; ?>>
                                        <?php echo esc_html( $title ); ?>
                                    </h3>
								<?php }
							}
							elseif( $style == 'modern_button' ){
								if ( ! empty( $subtitle ) ) { ?>
                                    <div class="subtitle">
                                        <p><?php echo wp_kses_post( $subtitle ); ?></p>
                                    </div>
								<?php }
								if ( ! empty( $title ) ) { ?>
                                    <h3 class="title">
										<?php echo esc_html( $title ); ?>
                                    </h3>
								<?php }
								if ( ! empty( $button ) && !empty($url['title'])) { ?>
                                    <div class="link-wrap">
                                        <a href="<?php echo esc_url( $url['url'] ); ?>"
                                           class="<?php echo esc_attr( $btn_style ); ?>"
                                           target="<?php echo esc_attr( $url['target'] ); ?>">
											<?php echo esc_html( $url['title'] ); ?>
                                        </a>
                                    </div>
								<?php }
							} ?>
                        </div>
                    </div>
                </div>
            </div>
			<?php // end output

			return ob_get_clean();
		}

	}
}