<?php
//Instagram shortcode
if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/instagram/';
	vc_map(
		array(
			'name'   => __( 'Instagram', 'js_composer' ),
			'base'   => 'phoxy_instagram',
			'params' => array(
				array(
					'type'       => 'select_preview',
					'param_name' => 'style',
					'heading'    => esc_html__( 'Style', 'js_composer' ),
					'value'      => array(
						array(
							'label' => esc_html__( 'List style', 'js_composer' ),
							'value' => 'style1',
							'image' => $url . 'list-style.jpg'
						),
					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Username', 'js_composer' ),
					'admin_label' => true,
					'param_name'  => 'username',
					'description' => 'Please, also add your access token of your Instagram account in Theme Options'
				),
			),
			//end params
		)
	);
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */
	class WPBakeryShortCode_phoxy_instagram extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'style' => 'style1',
				'username' => '',
				'button'   => '',

			), $atts ) );
			// include needed stylesheets
			if ( ! in_array( "phoxy_instagram-style", self::$css_scripts ) ) {
				self::$css_scripts[] = "phoxy_instagram-style";
			}
			$this->enqueueCss();
			// include needed scripts
			if ( ! in_array( "phoxy_instagram", self::$js_scripts ) ) {
				self::$js_scripts[] = "phoxy_instagram";
			}
			$this->enqueueJs();
			$style = isset($style) ? $style : 'style1';
			ob_start();

			if ( ! empty( $username ) ) {
				$instagram_images = phoxy_get_imstagram( $username, 5 ); ?>

				<div class="insta-wrapper <?php echo esc_attr( $style ); ?>">
					<?php if(!empty($username)){ ?>
						<div class="username-wrap">
							<a href="https://www.instagram.com/<?php echo esc_attr($username); ?>" class="username">@<?php echo esc_html( $username ); ?></a>
						</div>
					<?php }
					if ( ! empty( $instagram_images['items'] ) ) {
						foreach ( $instagram_images['items'] as $image ) { ?>

							<a href="<?php echo esc_url( $image['image-url'] ); ?>" class="insta-item">
								<img src="<?php echo esc_url( $image['image-url'] ); ?>" alt="" class="s-img-switch">
								<span class="info-hover"><i></i></span>
							</a>

						<?php  }
					} ?>
				</div>

				<?php
			}
			return ob_get_clean();
		}
	}
}