<?php

//Line of images shortcode
if ( function_exists( 'vc_map' ) ) {
    $url = EF_URL . '/admin/assets/images/shortcodes_images/line_of_images/';
	vc_map( array(
		'name'                    => __( 'Line of images', 'js_composer' ),
		'base'                    => 'phoxy_line_of_images',
		'content_element'         => true,
		'show_settings_on_create' => true,
		'params'                  => array(
            array(
                'type'       => 'select_preview',
                'param_name' => 'style',
                'heading'    => esc_html__( 'Style', 'js_composer' ),
                'value'      => array(

                    array(
                        'value' => 'logos',
                        'label' => esc_html__( 'Logos with link (style 1)', 'js_composer' ),
                        'image' => $url . 'logos-with-link-style1.jpg'
                    ),

                    array(
                        'label' => esc_html__( 'Logos with link (style 2)', 'js_composer' ),
                        'value' => 'logos2',
                        'image' => $url . 'logos-with-link-style2.jpg'
                    ),

	                array(
		                'label' => esc_html__( 'Logos with link (style 3)', 'js_composer' ),
		                'value' => 'logos3',
		                'image' => $url . 'logos-with-link-style3.jpg'
	                ),

	                array(
		                'label' => esc_html__( 'Logos with link (style 4)', 'js_composer' ),
		                'value' => 'logos4',
		                'image' => $url . 'logos-with-link-style4.jpg'
	                ),
	                array(
		                'label' => esc_html__( 'Logos without link', 'js_composer' ),
		                'value' => 'logos_without_link',
		                'image' => $url . 'logos-without-link.jpg'
	                ),
	                array(
		                'label' => esc_html__( 'Logos in slider', 'js_composer' ),
		                'value' => 'logos_in_slider',
		                'image' => $url . 'logos-in-slider.jpg'
	                ),
                    array(
                        'label' => esc_html__( 'Only images', 'js_composer' ),
                        'value' => 'images',
                        'image' => $url . 'only-images.jpg'
                    )
                ),
                'admin_label' => true,
                'save_always' => true,
            ),
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Count images in line', 'js_composer' ),
				'param_name'  => 'count',
				'description' => __( 'Only number.', 'js_composer' ),
				'dependency'  => array( 'element' => 'style', 'value' => array( 'images', 'logos_without_link', 'logos_in_slider' ) )
			),
			array(
				'type'       => 'attach_images',
				'heading'    => __( 'Images', 'js_composer' ),
				'param_name' => 'images',
				'dependency' => array( 'element' => 'style', 'value' => array( 'images', 'logos_without_link' ) )
			),
			array(
				'type'       => 'param_group',
				'heading'    => __( 'Values', 'js_composer' ),
				'param_name' => 'logos',
				'value'      => urlencode( json_encode( array() ) ),
				'params'     => array(
					array(
						'type'       => 'attach_image',
						'heading'    => __( 'Image', 'js_composer' ),
						'param_name' => 'image'
					),
					array(
						'type'        => 'textfield',
						'heading'     => __( 'URL', 'js_composer' ),
						'param_name'  => 'url',
						'description' => __( 'Add url for images.', 'js_composer' ),
					),
				),
				'dependency' => array( 'element' => 'style', 'value' => array( 'logos', 'logos2', 'logos3', 'logos4', 'logos_in_slider' ) )
			),
			array(
				'type'       => 'dropdown',
				'param_name' => 'popup_thumb',
				'heading'    => 'Show thumbnail images in popup by default?',
				'value'      => array(
					'Yes' => 'true',
					'None'          => 'false'
				),
				'dependency' => array( 'element' => 'style', 'value' => array( 'images' ) )
			),
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Autoplay (sec)', 'js_composer' ),
				'description' => __( '0 - off autoplay.', 'js_composer' ),
				'param_name'  => 'autoplay',
				'value'       => '0',
				'dependency' => array( 'element' => 'style', 'value' => array( 'logos_in_slider' ) )
			),
			array(
				'type'        => 'textfield',
				'heading'     => __( 'Extra class name', 'js_composer' ),
				'param_name'  => 'el_class',
				'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'js_composer' ),
				'value'       => '',
			),
			array(
				'type'       => 'css_editor',
				'heading'    => __( 'CSS box', 'js_composer' ),
				'param_name' => 'css',
				'group'      => __( 'Design options', 'js_composer' ),
			),
		) //end params
	) );
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_phoxy_line_of_images extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {

			extract( shortcode_atts( array(
				'style'    => 'logos',
				'images'   => '',
				'count'    => '5',
				'autoplay'    => '5',
				'logos'    => '',
				'popup_thumb' => 'true',
				'el_class' => '',
				'css'      => '',
			), $atts ) );

			// include needed stylesheets
			if ( !in_array( "phoxy-line-of-images-style", self::$css_scripts ) ) {
				self::$css_scripts[] = "phoxy-line-of-images-style";
			}
			$this->enqueueCss();

			// custum css
			$css_class = vc_shortcode_custom_css_class( $css, ' ' );

			// custum class
			$css_class .= ( ! empty( $el_class ) ) ? ' ' . $el_class : '';
			$autoplay = !empty($autoplay) && is_numeric( $autoplay ) ? $autoplay * 1000 : 0;
			$styleClass = $style == 'logos2' || $style == 'logos3' || $style == 'logos4' ? 'logos' : '';
			$popup_thumb = isset($popup_thumb) ? $popup_thumb : 'true';

			ob_start(); ?>

            <div class="line-of-images <?php echo esc_attr( $css_class . ' ' . $style . ' ' . $styleClass ); ?>">
                <div class="line-wrap light-gallery clearfix" data-thumb="<?php echo esc_attr($popup_thumb); ?>">
					<?php if ( $style == 'logos' || $style == 'logos2' || $style == 'logos3' || $style == 'logos4'){
						if ( ! empty( $logos ) ) {
							$num   = 1;
							$logos = (array) vc_param_group_parse_atts( $logos );

							foreach ( $logos as $logo ) {
								$logo['url'] = ! empty( $logo['url'] ) ? $logo['url'] : '#';

								if ( ! empty( $logo['image'] ) ) {
									$alt       = get_post_meta($logo['image'], '_wp_attachment_image_alt', true );
									if ( $style == 'logos2' || $style == 'logos3' ) {
										$class_logo = 'col-xs-12 col-sm-6 col-md-3';
									} else {
										$class_logo = '';
									} ?>

                                    <a href="<?php echo esc_url( $logo['url'] ); ?>"
                                       class="<?php echo esc_attr( $class_logo ); ?>">
									    <?php if ( $style != 'logos4') {
										    echo phoxy_the_lazy_load_flter( $logo['image'], array(
											    'class' => '',
											    'alt'   => $alt
										    ), true, 'large' );
									    }elseif ( $style == 'logos4') { ?>
                                             <span class="first-image">
                                                <?php echo phoxy_the_lazy_load_flter( $logo['image'], array( 'class' => '', 'alt' => $alt ), true, 'large' ); ?>
                                             </span>
                                             <span class="second-image">
                                                 <?php echo phoxy_the_lazy_load_flter( $logo['image'], array( 'class' => '', 'alt' => $alt ), true, 'large' ); ?>
                                             </span>
                                        <?php } ?>
                                    </a>

								<?php }
								$num ++;
							}
						}
					}
					elseif( $style == 'logos_without_link' ) {
                        if ( ! empty( $images ) ) {

                        $images = explode( ',', $images );
                        $width  = 100 / $count;

                            foreach ( $images as $image ) {

                                $alt       = get_post_meta($image, '_wp_attachment_image_alt', true );
                                $url = wp_get_attachment_url( $image ); ?>

                                <div class="image-line-wrap" style="width:<?php echo esc_attr( $width ); ?>%;">
                                    <?php echo phoxy_the_lazy_load_flter( $url, array( 'class' => 'img-logo', 'alt' =>  $alt ), true, 'large' ); ?>
                                </div>

                            <?php }
                        }
					}
					elseif( $style == 'logos_in_slider' ){
					    $md_count = $count > 4 ? 4 : $count;
					    ?>
					    <div class="swiper-container" data-mouse="1" data-autoplay="<?php echo esc_attr( $autoplay ); ?>"
                             data-loop="1" data-speed="1500" data-space="0" data-mode="horizontal" data-pagination-type="bullets"
                             data-responsive="responsive" data-add-slides="<?php echo esc_attr( $count ); ?>" data-md-slides="<?php echo esc_attr($md_count); ?>" data-lg-slides="<?php echo esc_attr( $count ); ?>" data-sm-slides="3" data-xs-slides="2" data-noSwiping="true">
                            <div class="swiper-wrapper">

                            <?php if ( ! empty( $logos ) ) {
                                $logos = (array) vc_param_group_parse_atts( $logos );

                                foreach ( $logos as $logo ) {
                                    $logo['url'] = ! empty( $logo['url'] ) ? $logo['url'] : '#';

                                    if ( ! empty( $logo['image'] ) ) {
	                                    $url_image = wp_get_attachment_url( $logo['image'] );
                                        $alt       = get_post_meta($logo['image'], '_wp_attachment_image_alt', true ); ?>

                                        <div class="swiper-slide">
                                            <a href="<?php echo esc_url( $logo['url'] ); ?>"
                                               class="logo-wrap">
                                                <img src="<?php echo esc_url($url_image); ?>" alt="<?php echo esc_attr($alt); ?>">
                                            </a>
                                        </div>

                                    <?php }
                                        }
                                } ?>

                            </div>
                        </div>
                    <?php }
					else{
                        if ( ! empty( $images ) ) {
                        $num    = 1;
                        $images = explode( ',', $images );
                        $width  = 100 / $count;

                        foreach ( $images as $image ) {

					    $alt       = get_post_meta($image, '_wp_attachment_image_alt', true );
                        $url = wp_get_attachment_image_src( $image, 'full' ); ?>

                        <a href="<?php echo esc_attr( $url[0] ); ?>" class="gallery-item image-line-wrap" style="width:<?php echo esc_attr( $width ); ?>%;">
                            <?php echo phoxy_the_lazy_load_flter( $image, array( 'class' => 's-img-switch', 'alt' =>  $alt ), true, 'large' ); ?>
                        </a>

                        <?php if ( !($num % $count) && $num < count( $images ) ){ ?>

                            </div>
                            <div class="line-wrap">
                        <?php }
                            $num ++;
                            }
                        }
					} ?>
                </div>
            </div>

			<?php
			return ob_get_clean();
		}
	}
}