<?php

//Posts Slider shortcode

if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/posts_sliders/';
	vc_map(
		array(
			'name'     => __( 'Posts Sliders', 'js_composer' ),
			'base'     => 'phoxy_posts_sliders',
			'category' => __( 'Content', 'js_composer' ),
			'params'   => array(
				array(
					'type'       => 'select_preview',
					'param_name' => 'style',
					'heading'    => esc_html__( 'Style', 'js_composer' ),
					'value'      => array(
						array(
							'value' => 'Urban',
							'label' => esc_html__( 'Urban', 'js_composer' ),
							'image' => $url . 'urban.jpg'
						),

					),
				),
				array(
					'type'       => 'checkbox',
					'heading'    => __( 'Change font for title of posts?', 'js_composer' ),
					'param_name' => 'change_fonts',
					'value'      => array( __( 'Yes, please', 'js_composer' ) => 'yes' ),
				),
				array(
					'type' => 'google_fonts',
					'param_name' => 'fonts',
					'heading'     => __( 'Title font', 'js_composer' ),
					'value' => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
					'settings' => array(
						'fields' => array(
							'font_family_description' => __( 'Select font family.', 'js_composer' ),
							'font_style_description' => __( 'Select font styling.', 'js_composer' ),
						),
					),
					'dependency' => array( 'element' => 'change_fonts', 'value' => 'yes' )
				),
				array(
					'type'        => 'vc_efa_chosen',
					'heading'     => __( 'Select Categories', 'js_composer' ),
					'param_name'  => 'cats',
					'placeholder' => __( 'Select category', 'js_composer' ),
					'value'       => phoxy_element_values( 'categories', array(
						'sort_order' => 'ASC',
						'taxonomy'   => 'category',
						'hide_empty' => false,
					) ),
					'std'         => '',
				),
				array(
					'type'        => 'dropdown',
					'heading'     => __( 'Order by', 'js_composer' ),
					'param_name'  => 'orderby',
					'value'       => array(
						'',
						__( 'Date', 'js_composer' )          => 'date',
						__( 'ID', 'js_composer' )            => 'ID',
						__( 'Author', 'js_composer' )        => 'author',
						__( 'Title', 'js_composer' )         => 'title',
						__( 'Modified', 'js_composer' )      => 'modified',
						__( 'Random', 'js_composer' )        => 'rand',
						__( 'Comment count', 'js_composer' ) => 'comment_count'
					),
					'description' => sprintf( __( 'Select how to sort retrieved posts. More at %s.', 'js_composer' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' )
				),
				array(
					'type'        => 'dropdown',
					'heading'     => __( 'Sort order', 'js_composer' ),
					'param_name'  => 'order',
					'value'       => array(
						__( 'Descending', 'js_composer' ) => 'DESC',
						__( 'Ascending', 'js_composer' )  => 'ASC',
					),
					'description' => sprintf( __( 'Select ascending or descending order. More at %s.', 'js_composer' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' )
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Autoplay (milliseconds)', 'js_composer' ),
					'description' => __( 'Autoplay Animation. Default 5000 milliseconds', 'js_composer' ),
					'param_name'  => 'autoplay',
					'value'       => '5000',
				),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Speed (milliseconds)', 'js_composer' ),
					'description' => __( 'Speed Animation. Default 1500 milliseconds', 'js_composer' ),
					'param_name'  => 'speed',
					'value'       => '1500',
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Count items', 'js_composer' ),
					'param_name' => 'count',
				),
				array(
					'type'       => 'dropdown',
					'heading'    => __( 'Button style', 'js_composer' ),
					'param_name' => 'btn_style',
					'dependency' => array( 'element' => 'style', 'value' => array( 'simple' ) ),
					'value'      => array(
						'Dark'  => 'a-btn',
						'Light' => 'a-btn-2',
						'Grey'  => 'a-btn-3',
						'White' => 'a-btn-4'
					),
				),
			)
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	class WPBakeryShortCode_phoxy_posts_sliders extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			extract( shortcode_atts( array(
				'cats'                 => '',
				'fonts'                 => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
				'count'                => '',
				'btn_style'                => 'a-btn',
				'style'                => 'urban',
				'orderby'              => '',
				'change_fonts'              => '',
				'order'                => 'date',
				'autoplay'             => '5000',
				'speed'                => '1500',
			), $atts ) );


			$text_font_inline_style = '';
			if($change_fonts){
				$text_font_data = $this->getFontsData( $fonts );

				// Build the inline style
				$text_font_inline_style = $this->googleFontsStyles( $text_font_data );

				// Enqueue the right font
				$this->enqueueGoogleFonts( $text_font_data );
			}


			// include needed stylesheets
			if ( ! in_array( "phoxy-posts-style", self::$css_scripts ) ) {
				self::$css_scripts[] = "phoxy-posts-style";
			}
			$this->enqueueCss();


			$style = isset($style) && !empty($style) ? $style : 'urban';
			$speed = isset($speed) && is_numeric( $speed ) ? $speed : '1500';
			$autoplay = isset($autoplay) && is_numeric( $autoplay ) ? $autoplay : '5000';

			// base args
			$args = array(
				'post_type'      => 'post',
				'posts_per_page' => ( ! empty( $count ) && is_numeric( $count ) ) ? $count : 9,
			);

			// Order posts
			if ( null !== $orderby ) {
				$args['orderby'] = $orderby;
			}
			$args['order'] = $order;

			// category
			if ( ! empty( $cats ) ) {
				$term_slugs        = explode( ',', $cats );
				$args['tax_query'] = array(
					array(
						'taxonomy' => 'category',
						'field'    => 'slug',
						'terms'    => $term_slugs,
					)
				);
			}

			ob_start();

			$posts = new WP_Query( $args );

			if ( $posts->have_posts() ) { ?>

				<div class="posts-slider-wrap <?php echo esc_attr( $style ); ?>">
					<?php if ( $style == 'urban' ) { ?>
						<div class="swiper-container"
						     data-mouse="0" data-space="0" data-pagination-type="bullets"
						     data-mode="horizontal" data-autoplay="<?php echo esc_attr( $autoplay ); ?>"
						     data-loop="1" data-speed="<?php echo esc_attr( $speed ); ?>" data-center="0"
						     data-responsive="responsive" data-add-slides="1">
							<div class="swiper-wrapper">
								<?php while ( $posts->have_posts() ) :
									$posts->the_post();

									$image_id        = get_post_thumbnail_id( $posts->ID );
									$alt       = get_post_meta($image_id, '_wp_attachment_image_alt', true );
									$image           = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_url( $image_id, 'full' ) : ''; ?>

									<div class="swiper-slide">
										<div class="content-wrap">
											<div class="content">
												<div class="info-top">
													<div class="category"><?php the_category( ', ' ); ?></div>
													<div class="date"><?php the_time( get_option( 'date_format' ) ); ?></div>
												</div>
												<a href="<?php the_permalink(); ?>" class="title" style="<?php echo esc_attr($text_font_inline_style); ?>">
													<?php the_title(); ?>
												</a>
												<div class="excerpt">
													<?php the_excerpt(); ?>
												</div>
												<a href="<?php the_permalink(); ?>" class="but <?php echo esc_attr($btn_style); ?>"><?php esc_html_e('Read more', 'phoxy'); ?></a>
											</div>
											<div class="img-wrap">
												<?php echo phoxy_the_lazy_load_flter( $image, array(
													'class' => 's-img-switch',
													'alt' => $alt
												) ); ?>
											</div>
										</div>
									</div>

								<?php endwhile;


								wp_reset_postdata(); ?>


							</div>
							<!-- Add Arrows -->
							<div class="swiper-button swiper-button-next"></div>
							<div class="swiper-button swiper-button-prev"></div>
						</div>


					<?php }?>

				</div>

			<?php }

			return ob_get_clean();
		}



		// Build the string of values in an Array
		protected function getFontsData( $fontsString ) {

			// Font data Extraction
			$googleFontsParam = new Vc_Google_Fonts();
			$fieldSettings = array();
			$fontsData = strlen( $fontsString ) > 0 ? $googleFontsParam->_vc_google_fonts_parse_attributes( $fieldSettings, $fontsString ) : '';
			return $fontsData;

		}

		// Build the inline style starting from the data
		protected function googleFontsStyles( $fontsData ) {

			// Inline styles
			$fontFamily = explode( ':', $fontsData['values']['font_family'] );
			$styles[] = 'font-family:' . $fontFamily[0];
			$fontStyles = explode( ':', $fontsData['values']['font_style'] );
			$styles[] = 'font-weight:' . $fontStyles[1];
			$styles[] = 'font-style:' . $fontStyles[2];

			$inline_style = '';
			foreach( $styles as $attribute ){
				$inline_style .= $attribute.'; ';
			}

			return $inline_style;

		}

		// Enqueue right google font from Googleapis
		protected function enqueueGoogleFonts( $fontsData ) {

			// Get extra subsets for settings (latin/cyrillic/etc)
			$settings = get_option( 'wpb_js_google_fonts_subsets' );
			if ( is_array( $settings ) && ! empty( $settings ) ) {
				$subsets = '&subset=' . implode( ',', $settings );
			} else {
				$subsets = '';
			}

			// We also need to enqueue font from googleapis
			if ( isset( $fontsData['values']['font_family'] ) ) {
				wp_enqueue_style(
					'vc_google_fonts_' . vc_build_safe_css_class( $fontsData['values']['font_family'] ),
					'//fonts.googleapis.com/css?family=' . $fontsData['values']['font_family'] . $subsets
				);
			}

		}




	}
}


