<?php

//Services shortcode

if ( function_exists( 'vc_map' ) ) {
    $url = EF_URL . '/admin/assets/images/shortcodes_images/services/';
	vc_map(
		array(
			'name'        => __( 'Services', 'js_composer' ),
			'base'        => 'phoxy_services',
			'category'    => __( 'Content', 'js_composer' ),
			'description' => __( 'Block with image and text', 'js_composer' ),
			'params'      => array(
                array(
                    'type'       => 'select_preview',
                    'param_name' => 'style',
                    'heading'    => esc_html__( 'Style', 'js_composer' ),
                    'value'      => array(
                        array(
                            'label' => esc_html__( 'Center', 'js_composer' ),
                            'value' => 'center',
                            'image' => $url . 'center.jpg'
                        ),
	                    array(
		                    'label' => esc_html__( 'With images', 'js_composer' ),
		                    'value' => 'with_images',
		                    'image' => $url . 'with_images.jpg'
	                    ),
	                    array(
		                    'value' => 'accordion',
		                    'label' => esc_html__( 'Accordion', 'js_composer' ),
		                    'image' => $url . 'accordion.jpg'
	                    ),
	                    array(
		                    'value' => 'numerical',
		                    'label' => esc_html__( 'Numerical', 'js_composer' ),
		                    'image' => $url . 'numerical.jpg'
	                    ),
                    ),
                    'admin_label' => true,
                    'save_always' => true,
                ),
				array(
					'type'        => 'attach_image',
					'heading'     => __( 'Image', 'js_composer' ),
					'description' => esc_html__( 'Please add image', 'js_composer' ),
					'param_name'  => 'image',
					'dependency'  => array( 'element' => 'style', 'value' => array( 'accordion', 'with_images' ) )
				),
				array(
					'type'        => 'iconpicker',
					'heading'     => __( 'Icon', 'js_composer' ),
					'param_name'  => 'icon',
					'value'       => 'icon-arrow-1-circle-down',
					'settings'    => array(
						'emptyIcon'    => false,
						'type'         => 'info',
						'source'       => phoxy_simple_line_icons(),
						'iconsPerPage' => 4000,
					),
					'description' => __( 'Select icon from library.', 'js_composer' ),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'center' ) )
				),
				array(
					'type'       => 'colorpicker',
					'heading'    => 'Icon color',
					'param_name' => 'icon_color',
                    "value"       => '#999999', //Default color
					'dependency' => array( 'element' => 'style', 'value' => array( 'center' ) )
				),
				array(
					'type'       => 'colorpicker',
					'heading'    => 'Icon color on hover',
					'param_name' => 'icon_color_hover',
                    "value"       => '#222222', //Default color
					'dependency' => array( 'element' => 'style', 'value' => array( 'center' ) )
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
					'dependency' => array(
						'element' => 'style',
						'value'   => array( 'center', 'accordion', 'with_images' )
					),
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Text', 'js_composer' ),
					'param_name' => 'text',
					'dependency' => array(
						'element' => 'style',
						'value'   => array( 'center', 'accordion', 'with_images' )
					),
				),
				array(
					'type'        => 'param_group',
					'heading'     => __( 'Items', 'js_composer' ),
					'param_name'  => 'items_accordion',
					'description' => esc_html__( 'Please add more information about item', 'js_composer' ),
					'value'       => '',
					'params'      => array(
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Number', 'js_composer' ),
							'description' => esc_html__( 'Please add number', 'js_composer' ),
							'param_name'  => 'number',
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Title', 'js_composer' ),
							'description' => esc_html__( 'Please add title', 'js_composer' ),
							'param_name'  => 'title',
						),
						array(
							'type'        => 'textarea',
							'heading'     => __( 'Text', 'js_composer' ),
							'description' => esc_html__( 'Please add simole text', 'js_composer' ),
							'param_name'  => 'text',
						),
					),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'accordion' ) ),
				),
				array(
					'type'        => 'param_group',
					'heading'     => __( 'Items', 'js_composer' ),
					'param_name'  => 'items_numerical',
					'description' => esc_html__( 'Please add more information about item', 'js_composer' ),
					'value'       => '',
					'params'      => array(
						array(
							'type'        => 'iconpicker',
							'heading'     => __( 'Icon', 'js_composer' ),
							'param_name'  => 'icon',
							'value'       => 'icon-arrow-1-circle-down',
							'settings'    => array(
								'emptyIcon'    => false,
								'type'         => 'info',
								'source'       => phoxy_simple_line_icons(),
								'iconsPerPage' => 4000,
							),
							'description' => __( 'Select icon from library.', 'js_composer' ),
						),
						array(
							'type'        => 'textfield',
							'heading'     => __( 'Title', 'js_composer' ),
							'description' => esc_html__( 'Please add title', 'js_composer' ),
							'param_name'  => 'title',
						),
						array(
							'type'        => 'textarea',
							'heading'     => __( 'Text', 'js_composer' ),
							'description' => esc_html__( 'Please add simole text', 'js_composer' ),
							'param_name'  => 'text',
						),
					),
					'dependency'  => array( 'element' => 'style', 'value' => array( 'numerical' ) ),
				),
			)
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_phoxy_services extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {

			extract( shortcode_atts( array(
				'title'            => '',
				'icon'             => 'icon-arrow-1-circle-down',
				'icon_color'       => '',
				'icon_color_hover' => '',
				'style'      => 'center',
				'text'             => '',
				'items_accordion'  => array(),
				'items_numerical'  => array(),
				'image'            => ''
			), $atts ) );


			// include needed stylesheets
			if ( ! in_array( "phoxy-services-style", self::$css_scripts ) ) {
				self::$css_scripts[] = "phoxy-services-style";
			}
			$this->enqueueCss();

			if ( ! in_array( "phoxy_services", self::$js_scripts ) ) {
				self::$js_scripts[] = "phoxy_services";
			}
			$this->enqueueJs();

			$url              = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_url( $image ) : '';
			$icon_color       = ! empty( $icon_color ) ? $icon_color : '#999';
			$icon_color_hover = ! empty( $icon_color_hover ) ? $icon_color_hover : '#222';

			ob_start(); ?>

            <div class="services <?php echo esc_attr( $style ); ?>">

				<?php

				if ( $style == 'center' ) { ?>
                    <div class="content">
                        <?php
                        if ( ! empty( $icon ) ) { ?>
                            <i class="<?php echo esc_attr( $icon ); ?>"
                               style="color:<?php echo esc_attr( $icon_color ); ?>"
                               onmouseover="this.style.color='<?php echo esc_attr( $icon_color_hover ); ?>'"
                               onmouseout="this.style.color='<?php echo esc_attr( $icon_color ); ?>'"></i>
                        <?php } ?>

                        <?php if ( ! empty( $title ) ) { ?>
                            <h4 class="title"><?php echo esc_html( $title ); ?></h4>
                        <?php }

                        if ( ! empty( $text ) ) { ?>
                            <div class="text"><?php echo wp_kses_post( $text ); ?></div>
                        <?php } ?>
                    </div>
                <?php }
                elseif( $style == 'accordion' ){
	                if ( ! empty( $url ) ) { ?>
                        <div class="img-wrap">
			                <?php echo phoxy_the_lazy_load_flter( $url,
				                array(
					                'class' => 's-img-switch',
					                'alt'   => ''
				                )
			                ); ?>
                        </div>
	                <?php } ?>
                    <div class="accordeon-wrap">
                        <?php if(!empty($title)){ ?>
                             <div class="main-title"><?php echo esc_html( $title ); ?></div>
                        <?php }
                        if(!empty($text)){ ?>
                        <div class="main-text"><?php echo esc_html( $text ); ?></div>
                        <?php }

                        if ( ! empty( $items_accordion ) ) {
			                $items_accordion = (array) vc_param_group_parse_atts( $items_accordion ); ?>
                            <ul class="accordeon">
				                <?php

				                $counter = 1;
				                foreach ( $items_accordion as $item ) {
					                $active      = $counter === 1 ? 'is-show' : '';
					                $active_icon = $counter === 1 ? 'ion-minus' : 'ion-plus'; ?>
                                    <li class="">
                                        <a href="" class="toggle">
                                            <div class="inner-wrap">
								                <?php if ( ! empty( $item['number'] ) ) { ?>
                                                    <div class="number"><?php echo esc_html( $item['number'] ); ?></div>
								                <?php }

								                if ( ! empty( $item['title'] ) ) { ?>
                                                    <div class="title"><?php echo esc_html( $item['title'] ); ?></div>
								                <?php } ?>
                                            </div>
                                            <i class="<?php echo esc_attr( $active_icon ); ?>"></i>
                                        </a>
                                        <ul class="list-drop <?php echo esc_attr( $active ); ?>">
                                            <li>
								                <?php if ( ! empty( $item['text'] ) ) { ?>
                                                    <div class="text"><?php echo wp_kses_post( $item['text'] ); ?></div>
								                <?php } ?>
                                            </li>
                                        </ul>

                                    </li>
					                <?php
					                $counter ++;
				                } ?>
                            </ul>
		                <?php } ?>
                    </div>
                <?php }
                elseif( $style == 'with_images' ){ ?>
                    <div class="content">
		                <?php
		                if ( ! empty( $url ) ) { ?>
                            <div class="img-wrap">
				                <?php echo phoxy_the_lazy_load_flter( $url,
					                array(
						                'class' => '',
						                'alt'   => ''
					                )
				                ); ?>
                            </div>
		                <?php } ?>

		                <?php if ( ! empty( $title ) ) { ?>
                            <h4 class="title"><?php echo esc_html( $title ); ?></h4>
		                <?php }

		                if ( ! empty( $text ) ) { ?>
                            <div class="text"><?php echo wp_kses_post( $text ); ?></div>
		                <?php } ?>
                    </div>
                <?php }
                elseif( $style == 'numerical' ){
	                if ( ! empty( $items_numerical ) ) {
		                $items_numerical = (array) vc_param_group_parse_atts( $items_numerical ); ?>
                        <div class="numerical-wrap row">
                            <?php

                            $counter = 1;
                            foreach ( $items_numerical as $item ) {
	                            $item['icon'] = isset($item['icon']) && !empty($item['icon']) ? $item['icon'] : 'icon-arrow-1-circle-down';
	                            $number = $counter < 10 ? '0' . $counter : $counter; ?>

                                <div class="item-service col-xs-12 col-sm-6">

                                    <div class="inner-wrap">
                                        <div class="icon-wrap">
	                                        <?php if ( ! empty( $item['icon'] ) ) { ?>
                                                <i class="icon <?php echo esc_attr($item['icon']); ?>"></i>
	                                        <?php } ?>
                                        </div>
                                        <div class="content">
                                            <div class="number"><?php echo esc_html( $number ); ?></div>
	                                        <?php if ( ! empty( $item['title'] ) ) { ?>
                                                <div class="title"><?php echo esc_html( $item['title'] ); ?></div>
	                                        <?php }

	                                        if ( ! empty( $item['text'] ) ) { ?>
                                                <div class="text"><?php echo esc_html( $item['text'] ); ?></div>
	                                        <?php } ?>
                                        </div>

                                    </div>

                                </div>
                                <?php
                                $counter ++;
                            } ?>
                        </div>
                    <?php }
                }?>
            </div>

			<?php

			return ob_get_clean();
		}
	}
}
