<?php

//Video Banner shortcode

if ( function_exists( 'vc_map' ) ) {
	$url = EF_URL . '/admin/assets/images/shortcodes_images/video_banner/';
	vc_map(
		array(
			'name'            => 'Video Banner',
			'base'            => 'video_banner',
			'content_element' => true,
			'params'          => array(
				array(
					'type'       => 'select_preview',
					'param_name' => 'style',
					'heading'    => esc_html__( 'Style Banner', 'js_composer' ),
					'value'      => array(

						array(
							'value' => 'simple',
							'label' => esc_html__( 'Simple', 'js_composer' ),
							'image' => $url . 'simple.jpg'
						),
						array(
							'label' => esc_html__( 'Modern', 'js_composer' ),
							'value' => 'modern',
							'image' => $url . 'modern.jpg'
						),
						array(
							'label' => esc_html__( 'Centered Modern', 'js_composer' ),
							'value' => 'centered_modern',
							'image' => $url . 'centered_modern.jpg'
						),
					),
					'admin_label' => true,
					'save_always' => true,
				),
				array(
					'type'       => 'attach_image',
					'heading'    => __( 'Preview Image', 'js_composer' ),
					'param_name' => 'preview',
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Video link', 'js_composer' ),
					'description' => __( 'Insert your youtube video link', 'js_composer' ),
					'param_name' => 'video_link',
					'value'      => ''
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Title', 'js_composer' ),
					'param_name' => 'title',
					'value'      => '',
					'dependency' => array( 'element' => 'style', 'value_not_equal_to' => array( 'centered_modern' ) )
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'First word of title ', 'js_composer' ),
					'param_name' => 'first_word',
					'value'      => '',
					'dependency' => array( 'element' => 'style', 'value' => array( 'centered_modern' ) )
				),
				array(
					'type'       => 'textfield',
					'heading'    => __( 'Second word of title ', 'js_composer' ),
					'param_name' => 'second_word',
					'value'      => '',
					'dependency' => array( 'element' => 'style', 'value' => array( 'centered_modern' ) )
				),
				array(
					'type'       => 'textarea',
					'heading'    => __( 'Subtitle', 'js_composer' ),
					'param_name' => 'subtitle',
					'value'      => '',
					'dependency' => array( 'element' => 'style', 'value' => array( 'modern' ) )
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Autoplay', 'js_composer' ),
					'param_name'       => 'autoplay',
					'value' => array( __( 'Yes', 'js_composer' ) => 'on' ),
					'std'  => 'off',
					'dependency' => array( 'element' => 'style', 'value' => array( 'simple' ) )
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Mute sound', 'js_composer' ),
					'param_name' => 'mute',
					'value' => array( __( 'Yes', 'js_composer' ) => 'on' ),
					'std'  => 'off',
					'dependency' => array( 'element' => 'style', 'value' => array( 'simple' ) )
				),
                array(
                    'type'       => 'textfield',
                    'heading'    => __( 'Video start(second)', 'js_composer' ),
                    'param_name' => 'start',
                    'value'      => '',
                    'dependency' => array( 'element' => 'style', 'value' => array( 'simple' ) )
                ),
                array(
                    'type'       => 'textfield',
                    'heading'    => __( 'Video end(second)', 'js_composer' ),
                    'param_name' => 'end',
                    'value'      => '',
                    'dependency' => array( 'element' => 'style', 'value' => array( 'simple' ) )
                ),
				array(
					'type'        => 'textfield',
					'heading'     => __( 'Extra class name', 'js_composer' ),
					'param_name'  => 'el_class',
					'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'js_composer' ),
					'value'       => ''
				),
				array(
					'type'       => 'css_editor',
					'heading'    => __( 'CSS box', 'js_composer' ),
					'param_name' => 'css',
					'group'      => __( 'Design options', 'js_composer' )
				)

			),

			//end params
		)
	);
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
	/* Frontend Output Shortcode */

	class WPBakeryShortCode_video_banner extends WPBakeryShortCode {
		protected function content( $atts, $content = null ) {
			/* get all params */
			extract( shortcode_atts( array(
				'css'      => '',
				'el_class' => '',
				'style' => 'simple',
				'preview' => '',
				'first_word' => '',
				'second_word' => '',
				'video_link' => '',
				'title' => '',
				'subtitle' => '',
				'autoplay' => '0',
				'mute' => 'off',
				'start' => '',
				'end' => '',

			), $atts ) );


			if ( !in_array( "phoxy-video-banner-style", self::$css_scripts ) ) {
				self::$css_scripts[] = "phoxy-video-banner-style";
			}

			if ( !in_array( "magnific-popup", self::$css_scripts ) && $style != 'simple') {
				self::$css_scripts[] = "magnific-popup";
			}

			$this->enqueueCss();


			if ( !in_array( "magnific", self::$js_scripts ) && $style != 'simple' ) {
				self::$js_scripts[] = "magnific";
			}

			if ( !in_array( "phoxy-youtube", self::$js_scripts ) && $style == 'simple' ) {
				self::$js_scripts[] = "phoxy-youtube";
			}

			if ( ! in_array( "parallax-fragments-js", self::$js_scripts ) && $style == 'centered_modern'  ) {
				self::$js_scripts[] = "parallax-fragments-js";
			}

			if ( !in_array( "phoxy-video-banner", self::$js_scripts ) ) {
				self::$js_scripts[] = "phoxy-video-banner";
			}
			$this->enqueueJs();

			$style = isset($style) && !empty($style) ? $style : 'simple';

			$class = ( ! empty( $el_class ) ) ? $el_class : '';
			$class .= vc_shortcode_custom_css_class( $css, ' ' );

			// for youtube

			$video_params = array(
				'enablejsapi' => 1,
				'autoplay' => $autoplay == 'on' ? 1 : 0 ,
				'loop' => 1,
				'controls' => 0 ,
				'modestbranding' => 0,
				'rel' => 0,
                'showinfo' => 0,
                'mute' => 1,
                'start' => ($start) ? $start : 0,
			);

            if ($end) {
                $video_params['end'] = $end;
            }

			$mute = ($mute == 'on') ? 1 : 0;

			$classAutoplay = $autoplay == 'on' ? ' play':'';
			$classAutoplayPause = $autoplay == 'on' ? ' start':'';

			$preview_url = !empty($preview) ? wp_get_attachment_url( $preview )  : '';

			ob_start(); ?>

            <div class="<?php echo esc_attr( $class ); ?>">

			<?php if( $style == 'simple' ){ ?>
                <div class="full-height-window-hard iframe-video banner-video youtube <?php echo esc_attr( $classAutoplay); ?>" data-type-start="click" data-mute="<?php echo esc_attr( $mute ); ?>" >
					<?php if(!empty($title)){ ?>
                        <div class="title">
							<?php echo wp_kses_post($title); ?>
                        </div>
					<?php } ?>
					<?php if (!empty($video_link)) {
						echo str_replace("?feature=oembed", "?feature=oembed&" . http_build_query ( $video_params ), wp_oembed_get($video_link));
					}
					if ($preview_url) :
						echo phoxy_the_lazy_load_flter( $preview_url, array(
							'class' => 's-img-switch',
							'alt'   => ''
						) );
					endif; ?>
                    <div class="video-content">
                        <span class="mute-button mute<?php echo esc_attr($mute); ?>"></span>
                        <span class="play-button <?php echo esc_attr($classAutoplayPause); ?>"></span>
                        <span class="full-button"></span>
                    </div>
                </div>
            <?php }
            elseif($style == 'modern'){ ?>

                <div class="video video-banner-modern only-button" data-type-start="click" >
                    <div class="preview">
	                    <?php if ($preview_url) :
		                    echo phoxy_the_lazy_load_flter( $preview_url, array(
			                    'class' => 's-img-switch',
			                    'alt'   => ''
		                    ) );
	                    endif; ?>
                    </div>
                    <div class="text-content">
	                    <?php if(!empty($title)){ ?>
                            <div class="title"><mark><?php echo wp_kses_post($title); ?></mark></div>
	                    <?php }

	                    if(!empty($subtitle)){ ?>
                            <div class="subtitle"><?php echo wp_kses_post($subtitle); ?></div>
	                    <?php } ?>
                    </div>
                    <div class="video-content">
                        <?php if(!empty($video_link)){ ?>
                            <a href="<?php echo esc_url($video_link); ?>" class="play"></a>
                        <?php } ?>
                    </div>
                    <span class="close fa fa-close"></span>
                </div>

            <?php }
            elseif( $style == 'centered_modern' ){

			    $id_prev = 'prev' . rand(); ?>
                <div class="video video-banner-centered-modern only-button full-height-window-hard" data-type-start="click" >
                    <div class="prev-wrap" id="<?php echo esc_attr($id_prev); ?>">
                        <div class="preview layer" data-depth="0.2">
		                    <?php if ($preview_url) :
			                    echo phoxy_the_lazy_load_flter( $preview_url, array(
				                    'class' => 's-img-switch',
				                    'alt'   => ''
			                    ) );
		                    endif; ?>
                        </div>
                    </div>
                    <div class="text-content">
						<?php if(!empty($first_word)){ ?>
                            <div class="first-word"><?php echo wp_kses_post($first_word); ?></div>
						<?php } ?>

                        <div class="video-content">
                            <?php if(!empty($video_link)){ ?>
                                <a href="<?php echo esc_url($video_link); ?>" class="play"></a>
                            <?php } ?>
                        </div>

						<?php if(!empty($second_word)){ ?>
                            <div class="second-word"><?php echo wp_kses_post($second_word); ?></div>
						<?php } ?>
                    </div>
                    <span class="close fa fa-close"></span>
                </div>
            <?php } ?>

            </div>


			<?php
			return ob_get_clean();
		}
	}
}
