<?php
/**
 * 404 Page
 *
 * @package phoxy
 * @since 1.0
 *
 */

$btntext = cs_get_option( 'error_btn_text' ) ? cs_get_option( 'error_btn_text' ) : esc_html__('Go home', 'phoxy');
$title =  cs_get_option( 'error_title' ) ? cs_get_option( 'error_title' ) : esc_html__("You're lost!", "phoxy");
$style =  cs_get_option( 'image_404' ) ? cs_get_option( 'image_404' ) : '#faf7f7';
$dark_text =  cs_get_option( 'image_404' ) ? '' : 'dark-text';

get_header();
?>
	<div class="container-fluid no-padd error-height">
		<div class="hero-inner bg-cover full-height-window " style="background:<?php echo esc_attr($style); ?>;">

			<?php if ( cs_get_option( 'image_404' ) ):
				echo phoxy_the_lazy_load_flter( cs_get_option( 'image_404' ), array(
				  'class' => 's-img-switch',
				  'alt'   => esc_attr__( '404 image', 'phoxy' )
				) );
            endif; ?>
			<div class="fullheight text-center <?php echo esc_attr($dark_text);?>">
				<div class="vertical-align">
					<h1 class="bigtext"><?php echo wp_kses_post($title); ?></h1>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="error-btn"><?php echo esc_html( $btntext ); ?></a>
				</div>
			</div>
		</div>
	</div>
<?php get_footer();
