<?php

/**
 * The template for displaying [ultimate_gdpr_myaccount] shortcode view in wp-admin
 *
 * You can overwrite this template by copying it to yourtheme/ct-ultimate-gdpr/shortcode folder
 *
 * @version 1.0
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<div class="ct-ultimate-gdpr-container">

	<?php if ( isset( $options['notices'] ) ) : ?>
		<?php foreach ( $options['notices'] as $notice ) : ?>

            <div class="notice-info notice">
				<?php echo esc_html( $notice ); ?>
            </div>

		<?php endforeach; endif; ?>

    <div id="tabs">
        <ul>
            <li><a href="#tabs-1"><?php echo esc_html__( 'Personal Data Access', 'phoxy' ); ?></a></li>
            <li><a href="#tabs-2"><?php echo esc_html__( 'Forget me', 'phoxy' ); ?></a></li>
            <li><a href="#tabs-3"><?php echo esc_html__( 'Data rectification', 'phoxy' ); ?></a></li>
        </ul>

        <div id="tabs-1">

            <div class="ct-headerContent">
				<?php echo esc_html__( 'Below, you can request for your personal data that\'s collected by this website sent to you in an e-mail.', 'phoxy' ); ?>
            </div>

            <form action="" method="post" class="custom_form">
               
                <input type="email" name="ct-ultimate-gdpr-email" placeholder="<?php esc_attr_e('Email..', 'phoxy'); ?>" value="" required="">
                <div class="foxdsgn_checkbox__wrap desc_margin">
                    <input class="foxdsgn_custom_checkbox" type="checkbox" name="ct-ultimate-gdpr-consent" required="">
                    <label class="foxdsgn_custom_label" for="ct-ultimate-gdpr-consent">
    					<?php echo esc_html__( "I consent to have my email collected in order to receive my requested data. See Privacy Policy page for more information.", 'phoxy' ); ?>
                    </label>
                </div>
                <input type="submit" name="ct-ultimate-gdpr-data-access-submit"
                       value="<?php echo esc_html__( "Submit", 'phoxy' ); ?>">
            </form>
        </div>

        <div id="tabs-2">
            <div class="ct-headerContent">
				<?php echo esc_html__( 'Below, you can browse services which collects your personal data on this website. Check services you wish to be forgotten by. This will send a request to the website admin. You will be notified by e-mail once this is done."', 'phoxy' ); ?>
            </div>

            <form action="" method="post">

                <div class="ct-ultimate-gdpr-services-list custom_form">

					<?php

					/** @var CT_Ultimate_GDPR_Service_Abstract $service */
					foreach ( $options['services'] as $service ):

						?>
                        <div class="ct-ultimate-gdpr-service-options">
                            <div class="ct-ultimate-gdpr-service-option checkbox_wrap__right">
                                <input type="checkbox" name="ct-ultimate-gdpr-service-forget[]"
                                       value="<?php echo esc_attr( $service->get_id() ); ?>">
                                <div class="checkbox_label"></div>
                            </div>
                            <div class="ct-ultimate-gdpr-service-details">
                                <div class="ct-ultimate-gdpr-service-title"><?php echo esc_html( $service->get_name() ); ?></div>
                                <div class="ct-ultimate-gdpr-service-description"><?php echo esc_html( $service->get_description() ); ?></div>
                            </div>
                        </div>


					<?php endforeach; ?>


                    <div class="ct-ultimate-gdpr-services-email">

                        <input type="email" name="ct-ultimate-gdpr-email" placeholder="<?php esc_attr_e('Email..', 'phoxy'); ?>" value="" required="">

                    </div>
                        <div class="foxdsgn_checkbox__wrap">
                            <input class="foxdsgn_custom_checkbox" type="checkbox" name="ct-ultimate-gdpr-consent" required="">
                            <label  class="foxdsgn_custom_label" for="ct-ultimate-gdpr-consent">
                              <?php echo esc_html__( "I consent to have my email collected in order to process this request. See Privacy Policy page for more information.", 'phoxy' ); ?>
                          </label>
                      </div>

                    <input type="submit" class="ct-ultimate-gdpr-forget-submitBtn" name="ct-ultimate-gdpr-forget-submit"
                           value="<?php echo esc_html__( "Submit", 'phoxy' ); ?>">


                </div>

            </form>
        </div>

        <div id="tabs-3">
            <div class="ct-headerContent">
				<?php echo esc_html__( 'Below, you can send a request to have your data rectified by  the website admin. Enter what you would like to be rectified. You will be notified by e-mail once this is done.', 'phoxy' ); ?>
            </div>

            <form action="" method="post" class="custom_form">

                <div class="ct-ultimate-gdpr-services-email">

                    <textarea name="ct-ultimate-gdpr-rectification-data-current" rows="5" placeholder="<?php esc_attr_e( "Current data", 'phoxy' ); ?>" required></textarea>

                </div>

                <div class="ct-ultimate-gdpr-services-email">

                    <textarea name="ct-ultimate-gdpr-rectification-data-rectified" rows="5" placeholder="<?php esc_attr_e( "Rectified data", 'phoxy' ); ?>" required></textarea>

                </div>

                <div class="ct-ultimate-gdpr-services-email">

                    <input type="email" name="ct-ultimate-gdpr-email" value="" placeholder="<?php esc_attr_e('Email..', 'phoxy'); ?>" required="">

                </div>
                
                
                <div class="foxdsgn_checkbox__wrap">
                          <input class="foxdsgn_custom_checkbox" type="checkbox" name="ct-ultimate-gdpr-consent" required="">
                          <label class="foxdsgn_custom_label" for="ct-ultimate-gdpr-consent">
                            <?php echo esc_html__( "I consent to have my email collected in order to process this request. See Privacy Policy page for more information.", 'phoxy' ); ?>
                        </label>
                      </div>



              

                <input type="submit" class="ct-ultimate-gdpr-forget-submitBtn"
                       name="ct-ultimate-gdpr-rectification-submit"
                       value="<?php esc_attr_e( "Submit", 'phoxy' ); ?>">


            </form>
        </div>

    </div>

</div>