<?php
/**
 *
 * Footer
 * @since 1.0.0
 * @version 1.0.0
 *
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}
// page options
$meta_data           = get_post_meta( $post_id, '_custom_page_options', true );
$meta_data_portfolio = get_post_meta( $post_id, 'phoxy_portfolio_options', true );
$whizzy_meta = get_post_meta($post_id, 'phoxy_whizzy_options', true);
$class_footer        = ! empty( $meta_data['fixed_transparent_footer'] ) || is_404() || ( ! empty( $meta_data_portfolio['fixed_transparent_footer'] ) ) ? ' fix-bottom' : '';
$class_footer        = ! empty( $whizzy_meta['fixed_transparent_footer'] ) || is_404() || ( ! empty( $whizzy_meta['fixed_transparent_footer'] ) ) ? ' fix-bottom' : $class_footer;

$enable_footer_copy     = isset( $meta_data['enable_footer_copy_page'] ) ? $meta_data['enable_footer_copy_page'] : cs_get_option( 'enable_footer_copy' );
$enable_footer_parallax = isset( $meta_data['enable_parallax_footer_page'] ) ? $meta_data['enable_parallax_footer_page'] : cs_get_option( 'enable_parallax_footer' );
$copyright_align        = isset( $meta_data['phoxy_copyright_align'] ) ? $meta_data['phoxy_copyright_align'] : cs_get_option( 'phoxy_copyright_align' );
$unit_class = ! function_exists( 'cs_framework_init' ) ? 'unit' : '';

if ( empty( $copyright_align ) ) {
	$copyright_align = 'center';
}

if ( isset( $meta_data_portfolio['enable_footer_copy_page'] ) ) {
	$enable_footer_copy = $meta_data_portfolio['enable_footer_copy_page'];
}
if ( isset( $whizzy_meta['enable_footer_copy_page'] ) ) {
	$enable_footer_copy = $whizzy_meta['enable_footer_copy_page'];
}

if ( isset( $meta_data_portfolio['enable_parallax_footer_page'] ) ) {
    $enable_footer_parallax = $meta_data_portfolio['enable_parallax_footer_page'];
}
if ( isset( $whizzy_meta['enable_parallax_footer_page'] ) ) {
    $enable_footer_parallax = $whizzy_meta['enable_parallax_footer_page'];
}

if ( isset( $meta_data_portfolio['phoxy_copyright_align'] ) ) {
    $copyright_align = $meta_data_portfolio['phoxy_copyright_align'];
}
if ( isset( $whizzy_meta['phoxy_copyright_align'] ) ) {
    $copyright_align = $whizzy_meta['phoxy_copyright_align'];
}

if ( $unit_class != 'unit' && ! $enable_footer_copy  ) {
	$class_footer .= ' no-footer';
}

$enable_footer_parallax = apply_filters( 'phoxy_blog_footer_style', $enable_footer_parallax );
if ( $enable_footer_parallax ) {
	$class_footer .= ' footer-parallax';
}

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

$phoxy_footer_style = cs_get_option( 'phoxy_footer_style' ) ? cs_get_option( 'phoxy_footer_style' ) : 'modern';

if ( isset( $meta_data_portfolio['phoxy_footer_style'] ) ) {
	$phoxy_footer_style = $meta_data_portfolio['phoxy_footer_style'];
} elseif ( isset( $meta_data['phoxy_footer_style'] ) && $meta_data['phoxy_footer_style'] ) {
	$phoxy_footer_style = $meta_data['phoxy_footer_style'];
}elseif ( isset( $whizzy_meta['phoxy_footer_style'] ) && $whizzy_meta['phoxy_footer_style'] ) {
	$phoxy_footer_style = $whizzy_meta['phoxy_footer_style'];
}

$class_footer .= ' ' . $phoxy_footer_style; ?>

</div>

<?php if ( ! is_404() ) { ?>
    <footer id="footer" class="<?php echo esc_attr( $class_footer ); ?>">

		<?php if ( $phoxy_footer_style == 'classic' ) { ?>
            <div class="container">
              <div class="row flex-wrap">

				<?php if ( $phoxy_footer_style == 'classic' ) { ?>
                    <div class="footer-logo col-lg-4 col-xs-12">
	                    <?php phoxy_site_logo(); ?>
                    </div>
				<?php } ?>

                <div class="copyright text-center col-lg-4 col-xs-12">
					<?php
					$footer_text = cs_get_option( 'footer_text' ) ? cs_get_option( 'footer_text' ) : esc_html__( ' &copy;', 'phoxy' ) . date( 'Y' ) . bloginfo( 'name' );
					echo wp_kses_post( $footer_text ); ?>
                </div>


				<?php if ( $phoxy_footer_style == 'classic' ) { ?>
                    <div class="scroll-top-button col-lg-4 col-xs-12">
                        <a href="#" id="back-to-top"><?php esc_html_e('To top', 'phoxy'); ?> <i> &uarr; </i></a>
                    </div>
				<?php } ?>
              </div>
            </div>
		<?php } ?>

		<?php if ( $unit_class == 'unit' || ($enable_footer_copy == true && $phoxy_footer_style != 'classic') ) { ?>
            <div class="footer-bottom-wrap no-widgets">
                <div class="container">
                    <div class="row flex-wrap">
						<?php if ( $enable_footer_copy == true || $unit_class == 'unit') { ?>
                            <div class="copyright col-xs-12 text-<?php echo esc_attr( $copyright_align  ); ?>">
								<?php $footer_text = cs_get_option( 'footer_text' ) ? cs_get_option( 'footer_text' ) : esc_html__( ' &copy;', 'phoxy' ) . date( 'Y' ) . bloginfo( 'name' );
								echo wp_kses_post( $footer_text ); ?>
                            </div>
						<?php } ?>
                    </div>
                </div>
            </div>
		<?php } ?>

    </footer>
<?php }


$classCopy = cs_get_option( 'enable_copyright' ) && ! cs_get_option( 'text_copyright' ) ? '' : 'copy';
if ( cs_get_option( 'enable_copyright' ) ): ?>
    <div class="phoxy_copyright_overlay <?php echo esc_attr( $classCopy ); ?>">
        <div class="phoxy_copyright_overlay-active">
			<?php if ( cs_get_option( 'text_copyright' ) ) : ?>
                <div class="phoxy_copyright_overlay_text">
					<?php echo wp_kses_post( cs_get_option( 'text_copyright' ) ); ?>
                </div>
			<?php endif; ?>
        </div>
    </div>
<?php endif; ?>
<div class="fullview">
    <div class="fullview__close"></div>
</div>

<?php wp_footer(); ?>
</body>
</html>