<?php
/**
 * The template includes necessary functions for theme.
 *
 * @package phoxy
 * @since 1.0
 */

if ( ! isset( $content_width ) ) {
	$content_width = 1200; /* pixels */
}


defined( 'PHOXY_T_URI' ) or define( 'PHOXY_T_URI', get_template_directory_uri() );
defined( 'PHOXY_T_PATH' ) or define( 'PHOXY_T_PATH', get_template_directory() );

// Include functions
require_once PHOXY_T_PATH . '/include/class-tgm-plugin-activation.php';
require_once PHOXY_T_PATH . '/include/helper-functions.php';
require_once PHOXY_T_PATH . '/include/actions-config.php';
require_once PHOXY_T_PATH . '/include/custom-header.php';
require_once PHOXY_T_PATH . '/include/filters.php';
require_once PHOXY_T_PATH . '/include/customizer.php';
require_once PHOXY_T_PATH . '/include/menu-walker.php';
require_once PHOXY_T_PATH . '/include/custom-menu.php';


require PHOXY_T_PATH . '/plugin-update-checker/plugin-update-checker.php';
$MyUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
	'https://main.aheto.co/wp-update/?action=get_metadata&slug=phoxy', //Metadata URL.
	__FILE__, //Full path to the main plugin file.
	'phoxy' //Plugin slug. Usually it's the same as the name of the directory.
);

// after setup
if (!function_exists('phoxy_after_setup')) {
	function phoxy_after_setup() {
		register_nav_menus( array( 'primary-menu' => esc_html__( 'Primary menu', 'phoxy' ) ) );
		add_theme_support( 'post-formats', array( 'video', 'gallery', 'quote', 'link' ) );
		add_theme_support( 'custom-header' );
		add_theme_support( 'custom-background' );
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list', 'gallery', 'caption' ) );
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'title-tag' );
		add_theme_support( 'woocommerce' );
	}
}
add_action( 'after_setup_theme', 'phoxy_after_setup' );

if ( ! function_exists( 'phoxy_wp_body_classes' ) ) {
	function phoxy_wp_body_classes( $classes ) {
		global $phoxy_body_class;

		if ( is_page() || is_home() ) {
			$post_id = get_queried_object_id();
		} else {
			$post_id = get_the_ID();
		}

		$meta_data           = get_post_meta( $post_id, '_custom_page_options', true );
		$meta_data_portfolio = get_post_meta( $post_id, 'phoxy_portfolio_options', true );
		$whizzy_meta = get_post_meta($post_id, 'phoxy_portfolio_options', true);
		$menu_main_style     = is_404() ? 'only_logo' : cs_get_option( 'menu_style' );
		$menu_main_style     = ! empty( $menu_main_style ) || ! function_exists( 'cs_framework_init' ) ? $menu_main_style : 'left';
		$static_right = cs_get_option( 'static_right' ) ? 'right-aside' : '';
		$static_right = isset( $meta_data['static_right'] ) && $meta_data['static_right'] ? 'right-aside' : $static_right;
		$menu_bottom = cs_get_option( 'menu_bottom' ) ? ' menu-bottom' : '';
		$menu_bottom = isset( $meta_data['menu_bottom'] ) && $meta_data['menu_bottom'] ? ' menu-bottom' : $menu_bottom;

		if ( isset( $meta_data['change_menu'] ) && $meta_data['change_menu'] && isset( $meta_data['menu_style'] ) ) {
			$menu_main_style = $meta_data['menu_style'];
		}

		if ( isset( $meta_data_portfolio['change_menu'] ) && $meta_data_portfolio['change_menu'] && isset( $meta_data_portfolio['menu_style'] ) ) {
			$menu_main_style = $meta_data_portfolio['menu_style'];
		}

		if ( isset( $whizzy_meta['change_menu'] ) && $whizzy_meta['change_menu'] && isset( $whizzy_meta['menu_style'] ) ) {
			$menu_main_style = $whizzy_meta['menu_style'];
		}

		if($menu_main_style == 'static_aside'){
			$phoxy_body_class .= ' static-menu ' . $static_right;

		}elseif($menu_main_style == 'aside'){
			$phoxy_body_class .= ' body-aside-menu';
		}else{
			$phoxy_body_class .= $menu_bottom;
		}

		$phoxy_body_class = explode(' ', $phoxy_body_class);

		foreach ($phoxy_body_class as $class){
			$classes[] = $class;
		}

		return $classes;
	}
}
add_filter( 'body_class','phoxy_wp_body_classes' );
