<?php
/**
 *
 * The Header for Phoxy theme
 * @since 1.0.0
 * @version 1.0.0
 *
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

global $phoxy_body_class;

$meta_data           = get_post_meta( $post_id, '_custom_page_options', true );
$meta_data_portfolio = get_post_meta( $post_id, 'phoxy_portfolio_options', true );
$whizzy_meta = get_post_meta($post_id, 'phoxy_whizzy_options', true);
$unit_class              = ! function_exists( 'cs_framework_init' ) ? ' unit ' : '';

// page options
$enable_footer_parallax = isset( $meta_data['enable_parallax_footer_page'] ) ? $meta_data['enable_parallax_footer_page'] : cs_get_option( 'enable_parallax_footer' );
if ( isset( $meta_data_portfolio['enable_parallax_footer_page'] ) ) {
	$enable_footer_parallax = $meta_data_portfolio['enable_parallax_footer_page'];
}

$enable_footer_parallax = apply_filters( 'phoxy_blog_footer_style', $enable_footer_parallax );
$class_main_wrapper = $enable_footer_parallax ? ' footer-parallax' : '';

$preloader_text   = cs_get_option( 'preloader_text' ) ? cs_get_option( 'preloader_text' ) : 'i';


$class_desc_padd = ! empty( $meta_data['padding_desktop'] ) ? ' padding-desc' : '';

$mobile      = cs_get_option( 'mobile_menu' );
$phoxy_body_class   = isset( $mobile ) && $mobile ? ' mob-main-menu' : '';


$mobileWidth = isset( $mobile ) && $mobile ? '1024' : '991';

$bg_slider = cs_get_option('bg_slider');
$bg_slider = isset($meta_data['bg_slider']) && !empty($meta_data['bg_slider']) ? $meta_data['bg_slider'] : $bg_slider;

$bg_slider_images = cs_get_option('bg_slider_images');
$bg_slider_images = isset($meta_data['bg_slider_images']) && !empty($meta_data['bg_slider_images']) ? $meta_data['bg_slider_images'] : $bg_slider_images;


if($bg_slider && !empty($bg_slider_images)){
	$phoxy_body_class   .= ' bg_slider';
}  ?>

<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0;" />
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<!-- MAIN_WRAPPER -->
<?php
$class_animsition = 'animsition' . $unit_class;

if ( cs_get_option( 'phoxy_disable_preloader' ) || cs_get_option( 'preloader_type' ) == 'text' || cs_get_option( 'preloader_type' ) == 'spinner' || cs_get_option( 'preloader_type' ) == 'infinity') {
	$class_animsition = '';
}

$class_main_wrapper .= $class_animsition . ' ' . $class_desc_padd;
$black_version = cs_get_option('dark_version');

//svg preloader
if ( ! cs_get_option( 'phoxy_disable_preloader' ) && cs_get_option( 'preloader_type' ) == 'text' ) { ?>
    <div class="preloader-text <?php echo esc_attr( $black_version ? 'preloader-text--dark' : '' ); ?>">
        <div class="wrap">
            <div class="loading">
                <div class="bounceball"></div>
                <div class="text"><?php echo esc_html($preloader_text); ?></div>
            </div>
        </div>
    </div>
<?php }

//spinner preloader
if ( ! cs_get_option( 'phoxy_disable_preloader' ) && cs_get_option( 'preloader_type' ) == 'spinner' ) { ?>
    <div class="spinner-preloader-wrap">
        <div class="cssload-container">
            <div class="cssload-item cssload-moon"></div>
        </div>
    </div>
<?php }

if ( ! cs_get_option( 'phoxy_disable_preloader' ) && cs_get_option( 'preloader_type' ) == 'infinity' ) { ?>
    <div class="preloader-wrap <?php echo esc_attr( $black_version ? 'preloader-wrap--dark' : '' ); ?>">
        <svg width="30px" height="30px" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid" class="lds-infinity">
            <path fill="none" d="M24.3,30C11.4,30,5,43.3,5,50s6.4,20,19.3,20c19.3,0,32.1-40,51.4-40 C88.6,30,95,43.3,95,50s-6.4,20-19.3,20C56.4,70,43.6,30,24.3,30z" stroke="#222222" stroke-width="10" stroke-dasharray="236.06181396484376 20.527114257812485">
                <animate attributeName="stroke-dashoffset" calcMode="linear" values="0;256.58892822265625" keyTimes="0;1" dur="1.1" begin="0s" repeatCount="indefinite"></animate>
            </path>
        </svg>
    </div>
<?php }

if($bg_slider && !empty($bg_slider_images)){
	$bg_slider_images = explode( ',', $bg_slider_images ); ?>

    <div class="body-gridrotate">
        <ul class="body-list">
			<?php foreach ( $bg_slider_images as $slide ) {
				$url = ( ! empty( $slide ) && is_numeric( $slide ) ) ? wp_get_attachment_image_url( $slide, 'full' ) : '';
				$alt = get_post_meta( $slide, '_wp_attachment_image_alt', true ); ?>
                <li>
                    <span>
                        <img src="<?php echo esc_url($url); ?>" alt="<?php echo esc_attr($alt); ?>" class="s-img-switch">
                    </span>
                </li>
				<?php
			} ?>
        </ul>
    </div>

<?php } ?>

<div class="main-wrapper <?php echo esc_attr( $class_main_wrapper ); ?>"
     data-top="<?php echo esc_attr( $mobileWidth ); ?>">

	<?php do_action('phoxy_main_header'); ?>

