<?php
/**
 * Custom Page Template
 *
 * @package phoxy
 * @since 1.0
 *
 */

get_header();
$page_meta = get_post_meta( $post->ID, '_custom_page_options' );
$unit_class = ! function_exists( 'cs_framework_init' ) ? 'unit' : '';
$protected = '';
$image_id = cs_get_option('shop_bg_image');
$image    = ( ! empty( $image_id ) && is_numeric( $image_id ) ) ? wp_get_attachment_url( $image_id ) : '';

if ( post_password_required() ) {
	$protected = 'protected-page';
}


while ( have_posts() ) : the_post();

	$content = get_the_content();
	if ( ! strpos( $content, 'vc_' ) ) { ?>
		<div class="single-post">

                 <?php
                 if( $unit_class == 'unit' ){ ?>
                       <div class="post-little-banner">
                            <h3 class="page-title-blog"><?php the_title(); ?></h3>
                        </div>
                        <div class="post-paper padding-both">
                 <?php }elseif(function_exists('is_woocommerce') && (is_cart() || is_checkout())){ ?>
                     <div class="shop-parallax-banner">
		                 <?php if(isset($image) && !empty($image)){ ?>
                             <img src="<?php echo esc_url($image); ?>" alt="<?php esc_attr_e('Main shop image', 'phoxy'); ?>" class="s-img-switch">
		                 <?php } ?>
                         <div class="title"><?php the_title(); ?></div>
                     </div>

                 <?php } ?>
				<div class="container no-padd <?php echo esc_attr( $protected ); ?>">
					<div class="row">
						<div class="col-xs-12">
							<?php the_content();

							wp_link_pages( 'link_before=<span class="pages">&link_after=</span>&before=<div class="post-nav"> <span>' . esc_html__( "Page:", 'phoxy' ) . ' </span> &after=</div>' ); ?>

						</div>
					</div>
				</div>
			<?php
			if ( comments_open() ) { ?>
				<div class="comments container no-padd-md">
					<?php comments_template( '', true ); ?>
				</div>
			<?php } ?>

            <?php if($unit_class == 'unit'){ ?>
                </div>
            <?php } ?>
		</div>
	<?php } else { ?>
		<?php

        if( is_page() || is_home()) {
            $post_id = get_queried_object_id();
        } else {
            $post_id = get_the_ID();
        }

        $meta_data = get_post_meta( $post_id, '_custom_page_options', true );
        $menu_main_style = cs_get_option( 'menu_style' );

        if(isset($meta_data['change_menu']) && $meta_data['change_menu'] && isset($meta_data['menu_style'])){
            $menu_main_style = $meta_data['menu_style'];
        }
        $class_container = $menu_main_style == 'static_aside' ? '-fluid' : '';

        $class_container .= !empty($page_meta[0]['disable_container_padding']) ? ' no-padd' : ''; ?>

		<div class="container<?php echo esc_attr( $class_container ); ?>">
			<div class="hero">
				<?php the_content(); ?>
			</div>
		</div>

	<?php }
endwhile;
get_footer();
