<?php
/**
 * Single portfolio
 *
 * @package phoxy
 * @since 1.0
 *
 */
get_header();

$protected = '';

if (post_password_required()) {
    $protected = 'protected-page';
}

$protected_title = cs_get_option('portfolio_protect_title') ? cs_get_option('portfolio_protect_title') : esc_html__('Protected gallery', 'phoxy');

while (have_posts()) : the_post();

    $get_id = get_the_ID();

	$portfolio_meta = get_post_meta($get_id, 'phoxy_portfolio_options');

	$size_images = 'full';
	if (isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 1) {
		$size_images = 'thumbnail';
	} elseif (isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 2) {
		$size_images = 'medium';
	} elseif (isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 3) {
		$size_images = 'medium_large';
	} elseif (isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 4) {
		$size_images = 'large';
	}
	$port_style = isset($portfolio_meta[0]['portfolio_style']) ? $portfolio_meta[0]['portfolio_style'] : 'parallax';
	$protected_style = isset($portfolio_meta[0]['portfolio_protected_style']) ? $portfolio_meta[0]['portfolio_protected_style'] : 'classic';
	$protected_bg = isset($portfolio_meta[0]['protected_bg']) ? $portfolio_meta[0]['protected_bg'] : ' ';

	if(post_password_required($get_id) && $protected_style == 'modern' && !empty($protected_bg)){ ?>
        <div class="bg-protected-wrap">
            <img src="<?php echo esc_url($protected_bg); ?>" alt="<?php esc_html_e('Protected gallery', 'phoxy'); ?>" class="s-img-switch">
        </div>
    <?php }


	if ($port_style == 'parallax' && !post_password_required($get_id)) { ?>
        <div class="container-fluid no-padd portfolio-single-content parallax <?php echo esc_attr($protected . ' ' . $protected_style); ?>">
    <?php }elseif($port_style == 'masonry' || $port_style == 'grid'){ ?>
    <div class="container clearfix portfolio-single-content <?php echo esc_attr($port_style . ' ' . $protected . ' ' . $protected_style); ?>">
	<?php } elseif (!post_password_required($get_id)){ ?>
        <div class="container-fluid portfolio-single-content <?php echo esc_attr($port_style . ' ' . $protected . ' ' . $protected_style); ?>">
    <?php }else { ?>
        <div class="container-fluid clearfix portfolio-single-content <?php echo esc_attr($protected . ' ' . $protected_style); ?>">
    <?php }

    if (post_password_required($get_id)) {
        if($protected_style == 'classic'){
	        if(!empty($protected_title)) { ?>
                <h3 class="protected-title"><?php echo esc_html($protected_title); ?></h3>
		        <?php
	        }
	        if(get_post_thumbnail_id($get_id)){ ?>
                <div class="img-wrap-protected">
			        <?php $image_id = get_post_thumbnail_id($get_id);
			        $url = wp_get_attachment_image_url($image_id, 'full');
			        $image_alt = get_post_meta( $image_id, '_wp_attachment_image_alt', true);
			        echo phoxy_the_lazy_load_flter( $url, array(
				        'class' => 'img-protected',
				        'alt' => $image_alt
			        ) ); ?>
                </div>
	        <?php }


	        the_content();
        } else{
            $excerpt_protected = isset($portfolio_meta[0]['protected_descr']) && !empty($portfolio_meta[0]['protected_descr']) ? $portfolio_meta[0]['protected_descr'] : ''; ?>

            <div class="protected-content-wrap">
                <div class="protected-left">
	                <?php if(get_post_thumbnail_id($get_id)){ ?>
                        <div class="img-wrap-protected">
			                <?php $image_id = get_post_thumbnail_id($get_id);
			                $url = wp_get_attachment_image_url($image_id, 'full');
			                $image_alt = get_post_meta( $image_id, '_wp_attachment_image_alt', true);
			                echo phoxy_the_lazy_load_flter( $url, array(
				                'class' => 'img-protected',
				                'alt' => $image_alt
			                ) ); ?>
                        </div>
	                <?php } ?>
	                <div class="title-modern-protected">
                        <?php the_title(); ?>
                    </div>
	                <?php if(!empty($excerpt_protected)){ ?>
                        <div class="excerpt">
			                <?php echo esc_html($excerpt_protected); ?>
                        </div>
	                <?php } ?>
                </div>
                <div class="protected-right">
                    <?php  if(!empty($protected_title)) { ?>
                        <h3 class="protected-title"><?php echo esc_html($protected_title); ?></h3>
                    <?php
	                }
	                the_content(); ?>
                </div>
            </div>



	        <?php
        }
    }
    else {
        $images = !empty($portfolio_meta[0]['slider']) ? explode(',', $portfolio_meta[0]['slider']) : '';
        if ($port_style == 'parallax') {

            $count = 0;
            if(!empty($images)){
                foreach ($images as $image) {
                $url = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';
                $url_size = (is_numeric($image) && !empty($image)) ? wp_get_attachment_image_src($image, $size_images) : '';
                $attachment = get_post($image); ?>

                <div class="parallax-window full-height-window" data-parallax="scroll" data-position-Y="top"
                     data-image-src="<?php echo esc_url($url_size[0]); ?>" data-ios-disabled="false" data-android-disabled="false">
                    <?php
                    if ($count == 0) { ?>
                        <div class="content-parallax">
                            <div class="category-parallax">
                                <?php the_terms($get_id, 'portfolio-category'); ?>
                            </div>
                            <?php the_title('<h3 class="title">', '</h3>'); ?>

                        </div>
                    <?php } ?>
                </div>
                <?php
                $count++;
            }
            }
        }
        elseif($port_style == 'masonry'){

	        $gallery_column = isset($portfolio_meta[0]['gallery_column']) ? $portfolio_meta[0]['gallery_column'] : 'col-4';
	        $gallery_hover = isset($portfolio_meta[0]['gallery_hover']) ? $portfolio_meta[0]['gallery_hover'] : 'default'; ?>
            <div class="light-gallery">

            <?php if(!empty($images)){
                foreach ($images as $image) {
                $url = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';
                $url_size = (is_numeric($image) && !empty($image)) ? wp_get_attachment_image_src($image, $size_images) : '';
                $attachment = get_post($image);
                $excerpt = $attachment->post_excerpt; ?>

                    <a href="<?php echo esc_url($url); ?>" class="gallery-item <?php echo esc_attr($gallery_column . ' ' . $gallery_hover); ?>">
                        <?php echo phoxy_the_lazy_load_flter( $image, array( 'class' => '', 'alt' => '' ) );
                        if(!empty($excerpt)){ ?>
                            <span class="caption">
                                <?php echo wp_kses_post($excerpt); ?>
                            </span>
                        <?php } ?>
                    </a>
                <?php
                }
            } ?>
            </div>
         <?php }
         elseif($port_style == 'grid'){

	        $gallery_column = isset($portfolio_meta[0]['gallery_column']) ? $portfolio_meta[0]['gallery_column'] : 'col-4';
	        $gallery_hover = isset($portfolio_meta[0]['gallery_hover']) ? $portfolio_meta[0]['gallery_hover'] : 'default'; ?>
            <div class="light-gallery">

		        <?php if(!empty($images)){
			        foreach ($images as $image) {
				        $url = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';
				        $url_size = (is_numeric($image) && !empty($image)) ? wp_get_attachment_image_src($image, $size_images) : '';
				        $attachment = get_post($image);
				        $excerpt = $attachment->post_excerpt; ?>
                      <div class="gallery-item-wrap <?php echo esc_attr($gallery_column . ' ' . $gallery_hover); ?>">
                        <a href="<?php echo esc_url($url); ?>" class="gallery-item ">
					        <?php echo phoxy_the_lazy_load_flter( $image, array( 'class' => 's-img-switch', 'alt' => '' ) ); ?>
                        </a>
                          <?php if(!empty($excerpt)){ ?>
                              <span class="caption">
                                  <?php echo wp_kses_post($excerpt); ?>
                              </span>
                          <?php } ?>
                      </div>
				        <?php
			        }
		        } ?>
            </div>

        <?php }
        elseif($port_style == 'full_screen'){
	        $gallery_column = isset($portfolio_meta[0]['gallery_column']) ? $portfolio_meta[0]['gallery_column'] : 'col-4';
	        $gallery_hover = isset($portfolio_meta[0]['gallery_hover']) ? $portfolio_meta[0]['gallery_hover'] : 'default'; ?>
            <div class="light-gallery">

		        <?php if(!empty($images)){
			        foreach ($images as $image) {
				        $url = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';
				        $url_size = (is_numeric($image) && !empty($image)) ? wp_get_attachment_image_src($image, $size_images) : '';
				        $attachment = get_post($image);
				        $excerpt = $attachment->post_excerpt; ?>
                        <div class="gallery-item-wrap <?php echo esc_attr($gallery_column . ' ' . $gallery_hover); ?>">
                            <a href="<?php echo esc_url($url); ?>" class="gallery-item ">
						        <?php echo phoxy_the_lazy_load_flter( $image, array( 'class' => 's-img-switch', 'alt' => '' ) ); ?>
                            </a>
					        <?php if(!empty($excerpt)){ ?>
                                <span class="caption">
                                  <span><?php echo wp_kses_post($excerpt); ?></span>
                              </span>
					        <?php } ?>
                        </div>
				        <?php
			        }
		        } ?>
            </div>
        <?php }
        elseif($port_style == 'metro_2'){
            $gallery_hover = isset($portfolio_meta[0]['gallery_hover']) ? $portfolio_meta[0]['gallery_hover'] : 'default'; ?>
            <div class="container">
                <div class="light-gallery">
                    <?php if(!empty($images)){
                        foreach ($images as $image) {
                            $url = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';
                            $url_size = (is_numeric($image) && !empty($image)) ? wp_get_attachment_image_src($image, $size_images) : '';
                            $attachment = get_post($image);
                            $excerpt = $attachment->post_excerpt; ?>
                            <div class="gallery-item-wrap <?php echo esc_attr($gallery_hover); ?>">
                                <a href="<?php echo esc_url($url); ?>" class="gallery-item ">
                                    <?php echo phoxy_the_lazy_load_flter( $image, array( 'class' => 's-img-switch', 'alt' => '' ) ); ?>
                                </a>
                                <?php if(!empty($excerpt)){ ?>
                                    <span class="caption">
                              <?php echo wp_kses_post($excerpt); ?>
                          </span>
                                <?php } ?>
                            </div>
                            <?php
                        }
                    } ?>
                </div>
            </div>
        <?php }
        elseif($port_style == 'metro_3'){
	        $gallery_hover = isset($portfolio_meta[0]['gallery_hover']) ? $portfolio_meta[0]['gallery_hover'] : 'default'; ?>
            <div class="light-gallery">

                <?php if(!empty($images)){
                    foreach ($images as $image) {
                        $url = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';
                        $url_size = (is_numeric($image) && !empty($image)) ? wp_get_attachment_image_src($image, $size_images) : '';
                        $attachment = get_post($image);
                        $excerpt = $attachment->post_excerpt; ?>
                            <a href="<?php echo esc_url($url); ?>" class="gallery-item-wrap <?php echo esc_attr($gallery_hover); ?>">
                                <div class="gallery-item ">
                                    <?php echo phoxy_the_lazy_load_flter( $image, array( 'class' => 's-img-switch', 'alt' => '' ) ); ?>
                                </div>
                                <?php if(!empty($excerpt)){ ?>
                                    <span class="caption">
                                        <?php echo wp_kses_post($excerpt); ?>
                                    </span>
                                <?php } ?>
                            </a>
                        <?php
                    }
                } ?>
            </div>
        <?php }
        elseif($port_style == 'another'){
            echo do_shortcode(get_the_content());
        }
        elseif($port_style == 'full_slider'){ ?>
            <div class="swiper-container portfolio-slider-wrapper full-height-window slider_classic"
                 data-mouse="0" data-autoplay="5000"
                 data-loop="1" data-speed="1500"
                 data-space="0"
                 data-pagination-type="bullets">
                <div class="swiper-wrapper">
                    <?php if ( ! empty( $images ) ) {
                            foreach ( $images as $key => $slide ) :
                            $url = ( ! empty( $slide ) && is_numeric( $slide ) ) ? wp_get_attachment_image_url( $slide, 'full' ) : '';
                            $image_alt = ! empty( $slide ) ? get_post_meta( $slide, '_wp_attachment_image_alt', true ) : '';
                            $attachment = get_post( $slide );
                            $excerpt = $attachment->post_excerpt; ?>

				        <div class="swiper-slide full-height-window">

                            <div class="slider-wrap">

						        <?php if ( ! empty( $url ) ) {
							        echo phoxy_the_lazy_load_flter( $url, array(
								        'class' => 's-img-switch',
                                        'alt' => $image_alt
							        ) );
						        } ?>

                                <div class="content-wrap container">

							        <h5 class="portfolio-title"><?php echo esc_html($excerpt); ?></h5>

                                </div>
                            </div>

                        </div>
                            <?php endforeach;
                    } ?>
                </div>
                <div class="swiper-pagination"></div>
            </div>
        <?php }
	    if (cs_get_option('navigation_portfolio')) {
		    if (isset($portfolio_meta[0]['phoxy_navigation_portfolio']) && $portfolio_meta[0]['phoxy_navigation_portfolio']) { ?>
                <div class="container">
                    <div class="row">
                        <div class="single-pagination <?php echo esc_attr($portfolio_meta[0]['portfolio_style']); ?>">
						    <?php
						    $prev_post = get_previous_post();
						    if (!empty($prev_post)) :  ?>
                                <div class="pag-prev">
                                <span>
                                    <span><?php esc_html_e('prev', 'phoxy'); ?></span>
                                    <a href="<?php echo esc_url(get_permalink($prev_post->ID)); ?>" class="content">
                                        <?php echo get_the_title( $prev_post ); ?>
                                    </a>
                                </span>
                                </div>

						    <?php endif; ?>
						    <?php
						    $next_post = get_next_post();
						    if (!empty($next_post)) : ?>
                                <div class="pag-next">
                                <span>
                                    <span><?php esc_html_e('next', 'phoxy'); ?></span>
                                    <a href="<?php echo esc_url(get_permalink($next_post->ID)); ?>" class="content">
                                        <?php echo get_the_title( $next_post ); ?>
                                    </a>
                                </span>
                                </div>
						    <?php endif; ?>
                        </div>
                    </div>
                </div>
		    <?php }
	    }
    } ?>

    </div>
    <?php
endwhile;

get_footer(); 