<?php
/**
 * Single
 *
 * @package phoxy
 * @since 1.0
 *
 */
get_header();

$protected = '';

if ( post_password_required() ) {
	$protected = 'protected-page';
}
$cs_sidebar = cs_get_option( 'sidebar' );

$post_meta = get_post_meta( $post->ID, 'phoxy_post_options' );

$preview = isset( $post_meta[0]['post_preview_style'] ) ? $post_meta[0]['post_preview_style'] : '';

$unit_class = ! function_exists( 'cs_framework_init' ) ? 'unit' : '';

if ( get_post_type( $post->ID ) == 'whizzy_proof_gallery' ) {
	$cs_sidebar = false;
}

$content_size_class = ( ($unit_class == 'unit' && is_active_sidebar('sidebar')) || ( $cs_sidebar && in_array( 'post', $cs_sidebar ) ) ) ? 'col-md-9' : 'col-md-12';
$blog_type          = cs_get_option( 'blog_single_type' ) ? cs_get_option( 'blog_single_type' ) : 'classic';
$sidebar_class      = ( $unit_class == 'unit'  && is_active_sidebar('sidebar')) || $cs_sidebar && in_array( 'blog', $cs_sidebar ) ? ' sidebar-show' : 'sidebar-no';

$singleClass = $blog_type == 'classic' && $sidebar_class == ' sidebar-show' ? ' pr30 ' : '';

while ( have_posts() ) :
	$get_id = get_the_ID();

	$protected_style = '';

	$whizzy_meta = get_post_meta($get_id, 'phoxy_whizzy_options', true);
	$whizzy_style = isset($whizzy_meta['portfolio_style']) && !empty($whizzy_meta['portfolio_style']) ? $whizzy_meta['portfolio_style'] : 'classic';

	$whizzy_clients = array();

	if ( get_post_type( $post->ID ) == 'whizzy_proof_gallery' ) {

		$protected_style = isset($whizzy_meta['portfolio_protected_style']) ? $whizzy_meta['portfolio_protected_style'] : 'classic';
		$protected_bg = isset($whizzy_meta['protected_bg']) ? $whizzy_meta['protected_bg'] : ' ';

		$whizzy_clients = get_the_terms($get_id, 'whizzy-client');


		if(post_password_required($get_id) && $protected_style == 'modern' && !empty($protected_bg)){ ?>
            <div class="bg-protected-wrap">
                <img src="<?php echo esc_url($protected_bg); ?>" alt="<?php esc_html_e('Protected gallery', 'phoxy'); ?>" class="s-img-switch">
            </div>
		<?php }
    }


	the_post();


	if(get_post_type( $post->ID ) == 'whizzy_proof_gallery' && !empty($whizzy_clients) && $whizzy_style == 'modern'){ ?>
        <div class="whizzy-client-banner">
			<?php if ( get_post_thumbnail_id( $post->ID ) ) {
				$image_id = get_post_thumbnail_id( $post->ID );
				$image    = ( is_numeric( $image_id ) && ! empty( $image_id ) ) ? wp_get_attachment_image_src( $image_id, 'full' ) : '';
				$url_main = $image[0];
				$alt = get_the_title(); ?>

                <img src="<?php echo esc_url($url_main); ?>" alt="<?php echo esc_attr($alt); ?>" class="s-img-switch">
			<?php }

			$term_data = get_term_meta( $whizzy_clients[0]->term_id, 'whizzy_clients_options', true );
			$client_img_url = !empty($term_data) ? wp_get_attachment_image_url($term_data['client_photo'] , 'medium') : '';
			if(!empty($client_img_url) && !empty($whizzy_clients[0]->name)){ ?>
                <div class="img-wrap">
                    <img src="<?php echo esc_url($client_img_url); ?>" alt="<?php echo esc_attr($whizzy_clients[0]->name); ?>" class="s-img-switch">
                </div>
			<?php }

			if(isset($whizzy_clients[0]->name) && !empty($whizzy_clients[0]->name)){ ?>
                <div class="client-name"><?php echo esc_html($whizzy_clients[0]->name); ?></div>
			<?php }
			if(isset($whizzy_clients[0]->description) && !empty($whizzy_clients[0]->description)){ ?>
                <div class="client-description"><?php echo esc_html($whizzy_clients[0]->description); ?></div>
			<?php }?>


        </div>
	<?php } ?>

    <div class="container <?php echo esc_html($protected_style . ' ' . $protected); ?>">
        <div class="row">

            <?php if(post_password_required($get_id) && get_post_type( $post->ID ) == 'whizzy_proof_gallery' ){
	            $protected_title = cs_get_option('portfolio_protect_title') ? cs_get_option('portfolio_protect_title') : esc_html__('Protected gallery', 'phoxy');

	            if($protected_style == 'classic'){
		            if(!empty($protected_title)) { ?>
                        <h3 class="protected-title"><?php echo esc_html($protected_title); ?></h3>
			            <?php
		            }
		            if(get_post_thumbnail_id($get_id)){ ?>
                        <div class="img-wrap-protected">
				            <?php $image_id = get_post_thumbnail_id($get_id);
				            $url = wp_get_attachment_image_url($image_id, 'full');
				            $image_alt = get_post_meta( $image_id, '_wp_attachment_image_alt', true);
				            echo phoxy_the_lazy_load_flter( $url, array(
					            'class' => 'img-protected',
					            'alt' => $image_alt
				            ) ); ?>
                        </div>
		            <?php }


		            the_content();
	            }
	            else{
		            $excerpt_protected = isset($whizzy_meta['protected_descr']) && !empty($whizzy_meta['protected_descr']) ? $whizzy_meta['protected_descr'] : ''; ?>

                    <div class="protected-content-wrap">
                        <div class="protected-left">
				            <?php if(get_post_thumbnail_id($get_id)){ ?>
                                <div class="img-wrap-protected">
						            <?php $image_id = get_post_thumbnail_id($get_id);
						            $url = wp_get_attachment_image_url($image_id, 'full');
						            $image_alt = get_post_meta( $image_id, '_wp_attachment_image_alt', true);
						            echo phoxy_the_lazy_load_flter( $url, array(
							            'class' => 'img-protected',
							            'alt' => $image_alt
						            ) ); ?>
                                </div>
				            <?php } ?>
                            <div class="title-modern-protected">
					            <?php the_title(); ?>
                            </div>
				            <?php if(!empty($excerpt_protected)){ ?>
                                <div class="excerpt">
						            <?php echo esc_html($excerpt_protected); ?>
                                </div>
				            <?php } ?>
                        </div>
                        <div class="protected-right">
				            <?php  if(!empty($protected_title)) { ?>
                                <h3 class="protected-title"><?php echo esc_html($protected_title); ?></h3>
					            <?php
				            }
				            the_content(); ?>
                        </div>
                    </div>
		            <?php
	            }
            }else{ ?>
                <div class="post-details no-padd-md <?php echo esc_attr( $unit_class . ' ' . $preview  . ' ' . $content_size_class ); ?>">
                    <div class="single-content clearfix <?php echo esc_attr( $protected . $singleClass); ?>">
                        <div class="single-content-wrapper">
                            <?php if((get_post_type( $post->ID ) == 'whizzy_proof_gallery' && !empty($whizzy_clients) && $whizzy_style !== 'modern') || (get_post_type( $post->ID ) !== 'whizzy_proof_gallery')){ ?>
                                <div class="main-top-content">
		                            <?php if ( $unit_class == 'unit'  || cs_get_option( 'phoxy_post_cat' ) ) { ?>
                                        <div class="single-categories"><?php the_category( ' ' ); ?></div>
		                            <?php }
		                            the_title( '<h2 class="title">', '</h2>' ); ?>
                                    <div class="title-wrap">
			                            <?php if (  $unit_class == 'unit'  || cs_get_option( 'phoxy_post_author' ) ) { ?>
                                            <div class="author"><?php esc_html_e( 'by ', 'phoxy' ); ?>
                                                <span><?php the_author_link(); ?></span> </div>
			                            <?php } ?>
                                        <div class="date-post"><?php the_time( get_option( 'date_format' ) ); ?></div>
                                    </div>
                                </div>
                            <?php } ?>

				            <?php
				            if ( $blog_type == 'classic' || $unit_class == 'unit' ) {
					            if ( ( has_post_thumbnail() || isset( $post_meta[0]['post_preview_style'] ) ) ) { ?>

						            <?php if ( isset( $post_meta[0]['post_preview_style'] ) && $post_meta[0]['post_preview_style'] != 'text' && $post_meta[0]['post_preview_style'] != 'image' && ( get_post_format( $post->ID ) != 'quote' ) || ! isset( $post_meta[0]['post_preview_style'] ) && $unit_class != 'unit'  ) {
							            $video_params = array(
								            'enablejsapi'    => 1,
								            'loop'           => 1,
								            'autoplay'       => 1,
								            'controls'       => 0,
								            'showinfo'       => 0,
								            'modestbranding' => 0,
								            'rel'            => 0,
							            );
							            phoxy_blog_item_hedeader( $post_meta, $post->ID, $video_params, 'start', '' );
						            }
                                    elseif ( has_post_thumbnail() ) { ?>
                                        <div class="post-banner">
								            <?php $tumb_url = get_the_post_thumbnail_url( $post->ID, 'full' );
								            $post_thumbnail_id = get_post_thumbnail_id( $post->ID );
								            $image_alt = get_post_meta($post_thumbnail_id, '_wp_attachment_image_alt', true);?>
                                            <img src="<?php echo esc_url( $tumb_url ); ?>" alt="<?php echo esc_attr($image_alt); ?>" class="">
                                        </div>
						            <?php }
					            }
				            }
				            if ( $blog_type == 'modern' ) { ?>
			            <?php if ( ! has_post_thumbnail() || $unit_class == 'unit' ) { ?>

                            <div class="post-little-banner">
                                <div class="main-top-content text-center">
						            <?php the_title( '<h2 class="title">', '</h2>' ); ?>
                                    <div class="date-post"><?php the_time( get_option( 'date_format' ) ); ?></div>
						            <?php if ( cs_get_option( 'phoxy_post_author' ) ) { ?>
                                        <div class="author">
								            <?php esc_html_e( 'Written by: ', 'phoxy' );
								            the_author_link(); ?>
                                        </div>
						            <?php } ?>
                                </div>
                            </div>
			            <?php } ?>

                            <div class="post-paper <?php echo esc_attr( $sidebar_class . ' ' . $blog_type ); ?>">
					            <?php }

					            the_content();

					            wp_link_pages( 'link_before=<span class="pages">&link_after=</span>&before=<div class="post-nav"> <span>' . esc_html__( "Page:", 'phoxy' ) . ' </span> &after=</div>' ); ?>

					            <?php if(get_post_type($post->ID ) !== 'whizzy_proof_gallery'){

						            $tags = get_the_tags();

						            if( (isset($tags) && !empty($tags)) || $unit_class != 'unit'  && function_exists( 'phoxy_like_counter' ) ){ ?>
                                        <div class="post-info">
								            <?php if ( $unit_class == 'unit' || cs_get_option( 'phoxy_post_tags' ) ) { ?>
                                                <div class="single-tags"><?php the_tags( '', ' ' ); ?></div>
								            <?php } ?>
								            <?php if ( $unit_class != 'unit'  && function_exists( 'phoxy_like_counter' ) ) { ?>
                                                <div class="likes-wrap">
										            <?php phoxy_like_button();
										            phoxy_like_counter(); ?>
                                                    <span>
                                    <?php esc_html_e('Like', 'phoxy'); ?>
                                </span>
                                                </div>
								            <?php } ?>
                                        </div>
						            <?php }

					            }

					            if(get_post_type($post->ID ) !== 'whizzy_proof_gallery'){?>
                                    <ul class="comments clearfix main">
							            <?php if ( comments_open() || '0' != get_comments_number() && wp_count_comments( $post->ID ) ) {
								            comments_template( '', true );
							            } ?>
                                    </ul>
					            <?php } ?>

                            </div>
				            <?php
				            wp_reset_postdata();

				            if ( get_post_type( $post->ID ) !== 'whizzy_proof_gallery' ) { ?>
                                <div class="single-post-pagination">
						            <?php
						            $prev_post = get_previous_post();
						            if ( ! empty( $prev_post ) ) :
							            $prev_thumbnail = get_the_post_thumbnail_url( $prev_post->ID, 'large' );
							            $prev_post_title = get_the_title( $prev_post ); ?>
                                        <div class="pag-prev">
								            <?php if(!empty($prev_thumbnail)){ ?>
                                                <img src="<?php echo esc_url($prev_thumbnail); ?>" alt="<?php echo esc_attr($prev_post_title); ?>" class="s-img-switch">
								            <?php } ?>
                                            <span>
                                    <?php esc_html_e( 'Previous post', 'phoxy' ); ?>
                                                <a href="<?php echo esc_url( get_permalink( $prev_post ) ); ?>" class="content">
                                        <?php echo wp_kses_post($prev_post_title); ?>
                                    </a>
                                </span>
                                        </div>
						            <?php endif;

						            $next_post = get_next_post();
						            if ( ! empty( $next_post ) ) :
							            $next_thumbnail = get_the_post_thumbnail_url( $next_post->ID, 'large');
							            $next_post_title = get_the_title( $next_post ); ?>
                                        <div class="pag-next">
								            <?php if(!empty($next_thumbnail)){ ?>
                                                <img src="<?php echo esc_url($next_thumbnail); ?>" alt="<?php echo esc_attr($next_post_title); ?>" class="s-img-switch">
								            <?php } ?>
                                            <span>
                                    <?php esc_html_e( 'Next post', 'phoxy' ); ?>
                                                <a href="<?php echo esc_url( get_permalink( $next_post ) ); ?>" class="content">
                                        <?php echo wp_kses_post($next_post_title); ?>
                                    </a>
                                </span>
                                        </div>
						            <?php endif; ?>
                                </div>
                            <?php } ?>

                        </div>
                    </div>
		            <?php if ( ( $unit_class == 'unit' && is_active_sidebar('sidebar')) || ( $cs_sidebar && in_array( 'post', $cs_sidebar ) ) ) { ?>
                        <div class="col-md-3 pl30md">
			            <?php if ( ! function_exists( 'dynamic_sidebar' ) || ! dynamic_sidebar( 'sidebar' ) ) ?>
                            </div>
			            <?php } ?>
                </div>
            <?php } ?>



   </div>
    <?php if ( $blog_type == 'modern' ) { ?>
        </div>
	<?php }


endwhile;

get_footer();











