<?php
/**
 * Aside menu
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

$aside_open    = cs_get_option( 'aside_open' );
$meta_data           = get_post_meta( $post_id, '_custom_page_options', true );
$meta_data_portfolio = get_post_meta( $post_id, 'phoxy_portfolio_options', true );
$meta_data_events    = get_post_meta( $post_id, 'phoxy_events_options', true );

if ( isset( $meta_data['change_menu'] ) && $meta_data['change_menu'] && isset( $meta_data['aside_open'] ) ) {
    $aside_open = $meta_data['aside_open'];
}
if ( isset( $meta_data_portfolio['aside_open'] ) ) {
    $aside_open = $meta_data_portfolio['aside_open'];
} elseif ( isset( $meta_data_events['aside_open'] ) ) {
    $aside_open = $meta_data_events['aside_open'];
}

$aside_open = isset( $aside_open ) && $aside_open ? 'active-menu' : '';

$fixed_menu_class = phoxy_fixed_header('aside', $post_id); ?>

<div class="header_top_bg <?php echo esc_attr( $fixed_menu_class ) ?>">
    <div class="container-fluid">
        <div class="row">
            <div class="col-xs-12">

                <!-- HEADER -->
                <header class="right-menu aside-menu aside-fix">

                    <!-- MOB MENU ICON -->
                    <a href="#" class="mob-nav">
                        <div class="hamburger">
                            <i><?php esc_html_e( 'Menu', 'phoxy' ); ?></i>
                        </div>
                    </a>
                    <!-- /MOB MENU ICON -->

                    <!-- LOGO -->
					<?php phoxy_site_logo(); ?>
                    <!-- /LOGO -->

                    <!-- ASIDE MENU ICON -->
                    <a href="#" class="aside-nav">
                        <span class="aside-nav-line line-1"></span>
                        <span class="aside-nav-line line-2"></span>
                        <span class="aside-nav-line line-3"></span>
                    </a>
                    <!-- /ASIDE MOB MENU ICON -->

                    <!-- NAVIGATION -->
                    <nav id="topmenu" class="topmenu <?php echo esc_attr( $aside_open ); ?>">
                        <a href="#" class="mob-nav-close">
                            <span><?php esc_html_e( 'close', 'phoxy' ); ?></span>
                            <div class="hamburger">
                                <span class="line"></span>
                                <span class="line"></span>
                            </div>
                        </a>

						<?php phoxy_custom_menu(); ?>
                    </nav>
                    <!-- NAVIGATION -->
                </header>
            </div>
        </div>
    </div>
</div>