<?php
/**
 * Simple Menu.
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

$fixed_menu_class = phoxy_fixed_header( 'simple', $post_id );

$container = cs_get_option( 'menu_container' );
$dark_mega_menu = cs_get_option( 'dark_mega_menu' );
$additional_class = isset($dark_mega_menu) && !empty($dark_mega_menu) ? ' dark-submenu' : '';

$meta_data = get_post_meta( $post_id, '_custom_page_options', true );

$container = isset( $meta_data['menu_container'] ) && $meta_data['menu_container'] ? $meta_data['menu_container'] : $container;
$meta_data_portfolio = get_post_meta( $post_id, 'phoxy_portfolio_options', true );
$hide_menu = isset($meta_data_portfolio['hide_menu']) && !empty($meta_data_portfolio['hide_menu']) ? ' hide-menu header_trans-fixed menu_light_text' : '';

$container = $container ? 'container' : 'container-fluid'; ?>

<div class="header_top_bg <?php echo esc_attr( $fixed_menu_class . $hide_menu .$additional_class ) ?>">
	<div class="<?php echo esc_attr( $container ); ?>">
		<div class="row">
			<div class="col-xs-12">
				<header class="right-menu classic simple">

                    <!-- MOB MENU ICON -->
                    <a href="#" class="mob-nav">
                        <div class="hamburger">
                            <i><?php esc_html_e( 'Menu', 'phoxy' ); ?></i>
                        </div>
                    </a>
                    <!-- /MOB MENU ICON -->

					<!-- LOGO -->
                    <div class="logo-wrap">
					    <?php phoxy_site_logo(); ?>
                    </div>
					<!-- /LOGO -->

					<!-- NAVIGATION -->
					<nav id="topmenu" class="topmenu">
						<?php if ( function_exists('is_woocommerce') ) {
							if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
								$count = WC()->cart->cart_contents_count; ?>

                                <div class="mini-cart-wrapper mob-version">
                                    <a class="phoxy-shop-icon ion-bag"
                                       href="<?php echo wc_get_cart_url(); ?>"
                                       title="<?php esc_attr_e( 'View your shopping cart', 'phoxy' ); ?>">
										<?php if ( $count > 0 ) { ?>
                                            <div class="cart-contents">
                                                <span class="cart-contents-count"><?php echo esc_html( $count ); ?></span>
                                            </div>
										<?php } ?>
                                    </a>
                                </div>
							<?php }
						} ?>

                        <a href="#" class="mob-nav-close">
							<span><?php esc_html_e( 'close', 'phoxy' ); ?></span>
							<div class="hamburger">
								<span class="line"></span>
								<span class="line"></span>
							</div>
						</a>

						<?php phoxy_custom_menu(); ?>

						<?php if ( function_exists( 'cs_framework_init' ) ) { ?>
                            <div class="f-right mob-version">

								<?php $links = cs_get_option( 'header_social_classic' );
								if ( ! empty( $links ) ) { ?>
                                    <div class="phoxy-top-social">
                                        <ul class="social">
											<?php foreach ( $links as $link ) { ?>
                                                <li>
                                                    <a href="<?php echo esc_url( $link['header_link'] ); ?>"
                                                       target="_blank">
														<?php echo esc_html( $link['header_icon'] ); ?>
                                                    </a>
                                                </li>
											<?php } ?>
                                        </ul>
                                    </div>
								<?php } ?>

                            </div>
						<?php } ?>
					</nav>
					<!-- NAVIGATION -->

					<?php if ( function_exists( 'cs_framework_init' ) || function_exists('is_woocommerce')) { ?>
                        <div class="f-right">

							<?php $links = cs_get_option( 'header_social_classic' );
							if ( ! empty( $links ) ) { ?>
                                <div class="phoxy-top-social">
                                    <ul class="social">
										<?php foreach ( $links as $link ) { ?>
                                            <li>
                                                <a href="<?php echo esc_url( $link['header_link'] ); ?>"
                                                   target="_blank">
													<?php echo esc_html( $link['header_icon'] ); ?>
                                                </a>
                                            </li>
										<?php } ?>
                                    </ul>
                                </div>
							<?php }

							if ( function_exists('is_woocommerce') ) {
								if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
									$count = WC()->cart->cart_contents_count; ?>

                                    <div class="mini-cart-wrapper">
                                        <a class="phoxy-shop-icon ion-bag"
                                           href="<?php echo wc_get_cart_url(); ?>"
                                           title="<?php esc_attr_e( 'View your shopping cart', 'phoxy' ); ?>">
											<?php if ( $count > 0 ) { ?>
                                                <div class="cart-contents">
                                                    <span class="cart-contents-count"><?php echo esc_html( $count ); ?></span>
                                                </div>
											<?php } ?>
                                        </a>
										<?php echo phoxy_mini_cart(); ?>
                                    </div>
								<?php }
							} ?>

                        </div>
					<?php } ?>

				</header>
			</div>
		</div>
	</div>
</div>
