<?php
/**
 * Static aside menu
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

$meta_data = get_post_meta( $post_id, '_custom_page_options', true );

$footer_text = cs_get_option( 'static_text' ) ? cs_get_option( 'static_text' ) : ' ';
$static_right = cs_get_option( 'static_right' ) ? 'right-aside' : '';
$static_right = isset( $meta_data['static_right'] ) && $meta_data['static_right'] ? 'right-aside' : $static_right;

$fixed_menu_class = phoxy_fixed_header( 'static-aside', $post_id ); ?>

<div class="header_top_bg <?php echo esc_attr( $fixed_menu_class . ' ' . $static_right) ?>">
    <div class="container-fluid">
        <div class="row">
            <div class="col-xs-12">

                <!-- HEADER -->
                <header class="right-menu aside-menu static">

                    <!-- MOB MENU ICON -->
                    <a href="#" class="mob-nav">
                        <div class="hamburger">
                            <i><?php esc_html_e( 'Menu', 'phoxy' ); ?></i>
                        </div>
                    </a>
                    <!-- /MOB MENU ICON -->

                    <!-- LOGO -->
					<?php phoxy_site_logo(); ?>
                    <!-- /LOGO -->

                    <!-- ASIDE MENU ICON -->
                    <a href="#" class="aside-nav">
                        <span class="aside-nav-line line-1"></span>
                        <span class="aside-nav-line line-2"></span>
                        <span class="aside-nav-line line-3"></span>
                    </a>
                    <!-- /ASIDE MOB MENU ICON -->

                    <!-- NAVIGATION -->
                    <nav id="topmenu" class="topmenu">
                        <a href="#" class="mob-nav-close">
                            <span><?php esc_html_e( 'close', 'phoxy' ); ?></span>
                            <div class="hamburger">
                                <span class="line"></span>
                                <span class="line"></span>
                            </div>
                        </a>

						<?php phoxy_custom_menu();

						if ( function_exists( 'cs_framework_init' ) ) { ?>
                            <div class="f-right">

                            <?php $links = cs_get_option( 'header_social' );
                            if ( ! empty( $links ) ) { ?>
                                <div class="phoxy-top-social">
                                        <ul class="social">
                                          <?php foreach ( cs_get_option( 'header_social' ) as $link ) { ?>
                                              <li>
                                                  <a href="<?php echo esc_url( $link['header_social_link'] ); ?>"
                                                     target="_blank">
                                                      <i class="<?php echo esc_attr( $link['header_social_icon'] ); ?>"></i>
                                                  </a>
                                                </li>
                                          <?php } ?>
                                        </ul>
                                    </div>
                                <?php }

                                if(!empty($footer_text)){ ?>
                                    <div class="copy">
		                                <?php echo wp_kses_post( $footer_text ); ?>
                                    </div>
                                <?php }?>

                            </div>
						<?php } ?>
                    </nav>
                    <!-- NAVIGATION -->
                </header>
            </div>
        </div>
    </div>
</div>
