<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $width
 * @var $css
 * @var $offset
 * @var $css_animation
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Column
 */
$responsive_classes = array(
	'desctop_mt',
	'desctop_mb',
	'desctop_md_mt',
	'desctop_md_mb',
	'tablets_mt',
	'tablets_mb',
	'mobile_mt',
	'mobile_mb',
	'desctop_lg_pt',
	'desctop_lg_pb',
	'desctop_pt',
	'desctop_pb',
	'tablets_pt',
	'tablets_pb',
	'mobile_pt',
	'mobile_pb'
);

$resp_classes = '';
foreach ( $responsive_classes as $value ) {
	if ( isset( $atts[ $value ] ) && $atts[ $value ] != 'none' ) {
		$resp_classes .= ' ' . $atts[ $value ];
	}
}

$el_class = $width = $css = $offset = $css_animation ='';
$output   = '';
$atts     = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$width = wpb_translateColumnWidthToSpan( $width );
$width = vc_column_offset_class_merge( $offset, $width );

$css_classes = array(
	$this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation ),
	'wpb_column',
	'vc_column_container',
	$width,
);

if ( vc_shortcode_custom_css_has_property( $css, array( 'border', 'background' ) ) ) {
	$css_classes[] = 'vc_col-has-fill';
}

$wrapper_attributes = array();

$css_class            = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"'; ?>

<div <?php echo implode( ' ', $wrapper_attributes ); ?>>
	<div class="vc_column-inner <?php echo esc_attr( trim( vc_shortcode_custom_css_class( $css ) )); ?> <?php echo esc_attr( $resp_classes ); ?>">
		<div class="wpb_wrapper">
			<?php echo wpb_js_remove_wpautop( $content ); ?>
		</div>
	</div>
</div>