<?php
/**
 * Content wrappers
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/global/wrapper-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$template = wc_get_theme_slug_for_templates();
$image_id = cs_get_option('shop_bg_image');
$image    = ( ! empty( $image_id ) && is_numeric( $image_id ) ) ? wp_get_attachment_url( $image_id ) : '';

$class_col = 'col-lg-12';
$sidebarWidg = wp_get_sidebars_widgets();
$class_col =  is_active_sidebar('shop') && !empty($sidebarWidg['shop']) ? 'col-md-9' : 'col-md-12';


if(is_shop()){ ?>
    <div class="shop-parallax-banner">
		<?php if(isset($image) && !empty($image)){ ?>
            <img src="<?php echo esc_url($image); ?>" alt="<?php esc_attr_e('Main shop image', 'phoxy'); ?>" class="s-img-switch">
		<?php } ?>
        <div class="title"><?php woocommerce_page_title(); ?></div>
    </div>

<?php }

switch ( $template ) {
	case 'phoxy' :
		echo '<div class="container"><div class="row">';
		break;
	default :
		echo '<div id="primary" class="content-area"><main id="main" class="site-main" role="main">';
		break;
} ?>


<div class="col-xs-12 <?php echo esc_attr($class_col); ?>">


